<?php

if( !in_array('action', kirhero_frontpage_elements_positioning() ) || !is_front_page() )
{
	return ;
}

$action_title = get_theme_mod( 'kirhero_admin_frontpage_action_section_title_text', kirhero_get_default_theme_settings( 'frontpage-action-title-text' ) );	
$action_subtitle = get_theme_mod( 'kirhero_admin_frontpage_action_section_subtitle_text', kirhero_get_default_theme_settings( 'frontpage-action-subtitle-text' ) );	
$action_text = get_theme_mod( 'kirhero_admin_frontpage_action_section_text', kirhero_get_default_theme_settings( 'frontpage-action-text' ) );
$action_button_text = get_theme_mod( 'kirhero_admin_frontpage_action_button_text', kirhero_get_default_theme_settings( 'frontpage-action-button-text' ) );	

$action_button_link = get_theme_mod( 'kirhero_admin_frontpage_action_button_link', kirhero_get_default_theme_settings( 'frontpage-action-button-link' ) );	

$action_items_per_row = get_theme_mod( 'kirhero_admin_frontpage_action_section_items_count', kirhero_get_default_theme_settings( 'frontpage-action-items-count' ) );	
$action_array = get_theme_mod('kirhero_admin_frontpage_action_section_action_content', kirhero_get_default_theme_settings( 'frontpage-action-items-array' ) );
/*This returns a json so we have to decode it*/
$action_array_decode = json_decode($action_array, true);

//css
$action_css_class = 'frontpage-action site-inner';

//linear-gradient(140deg, #ebb0e7 0%, #2642D3 100%)

?>




<div class="frontpage-action-wrap">
	
	<div class="<?php echo esc_attr($action_css_class)?>">		
		<div class="fp_action_wrap">
			<h2 class="frontpage-action-title"><b><?php echo esc_html($action_title) ?></b></h2>
			<h3 class="frontpage-action-subtitle"><?php echo esc_html($action_subtitle) ?></h3>
			<p class="frontpage-action-text"><?php echo esc_html($action_text) ?></p>
			
			<div class="fp_action_button">
				<a href="<?php echo esc_url($action_button_link)?>" class="fp_action_button_a">
					<span>
						<span><?php echo esc_html($action_button_text)?></span>
						<span class="fp_fa_action">
							<i class="fa fa-long-arrow-right" aria-hidden="true"></i>
						</span>
					</span>
				</a>
			</div>
			
		</div>
	</div>
</div>