<?php

if( !in_array('contact', kirhero_frontpage_elements_positioning() ) || !is_front_page() )
{
	return ;
}

$contact_title = get_theme_mod( 'kirhero_admin_frontpage_contact_section_title_text', kirhero_get_default_theme_settings( 'frontpage-contact-title-text' ) );	
$contact_image = get_theme_mod( 'kirhero_admin_frontpage_contact_image', kirhero_get_default_theme_settings( 'frontpage-contact-image' ) );	
$contact_text = get_theme_mod( 'kirhero_admin_frontpage_contact_section_text', kirhero_get_default_theme_settings( 'frontpage-contact-text' ) );
$contact_image_attachment = get_theme_mod( 'kirhero_admin_frontpage_contact_image_attachment', kirhero_get_default_theme_settings( 'frontpage-contact-image-attachment' ) );
			
$contact_switch = get_theme_mod( 'kirhero_admin_frontpage_contact_switch', kirhero_get_default_theme_settings( 'frontpage-contact-switch' ) );

$contact_shortcode_title = get_theme_mod( 'kirhero_admin_frontpage_contact_section_shortcode_title', kirhero_get_default_theme_settings( 'frontpage-contact-shortcode-title' ) );
$contact_shortcode = get_theme_mod( 'kirhero_admin_frontpage_contact_section_shortcode', kirhero_get_default_theme_settings( 'frontpage-contact-shortcode' ) );

//editor
$contact_content = get_theme_mod( 'kirhero_admin_frontpage_contact_section_editor', kirhero_get_default_theme_settings('frontpage-contact-editor') );


//if not image background 
if( $contact_switch !== 'image' )
{
	$contact_image = '';
	$contact_image_attachment = '';
}

//css
$contact_css_class = 'frontpage-contact site-inner';

//$contact_image
$css_image ='';

if (!empty( $contact_image ) )
{
	$css_image = "background-image:url(".$contact_image.");";
	
	// Get contact background attachment
	if ( ! empty( $contact_image_attachment ) && 'initial' != $contact_image_attachment ) 
	{
		$css_image .= 'background-attachment:'. $contact_image_attachment .';';
	}
}

//css for back wrap
$css_back_wrap = '';

if( !empty( $contact_image ) )
{
	$css_back_wrap = 'fp_contact_img_wrap';
}

?>



<div class="frontpage-contact-wrap fp_contact_img" style="<?php echo esc_attr($css_image)?>">
	<div class="<?php echo esc_attr($contact_css_class)?>">
		<div class="fp_contact_wrap">		
			<div class="has-grid one-half first">
				<h2 class="frontpage-contact-title"><?php echo esc_html($contact_title) ?></h2>
				<p class="frontpage-contact-text"><?php echo esc_html($contact_text) ?></p>
				
				<div class="frontpage-contact-content">
					<?php echo apply_filters( 'kirhero_wp_editor_content', $contact_content ); ?>									
				</div>
			</div>
		
			<div class="has-grid one-half frontpage-shortcode-wrap">
				<h3 class="frontpage-contact-shortcode-title"><?php echo esc_html($contact_shortcode_title);?></h3>
				<?php if ( is_active_sidebar( 'kirhero-contact-widgets' ) ) : ?>
					<?php dynamic_sidebar( 'kirhero-contact-widgets' ); ?>
				<?php endif; ?>
				
				<?php if ( !empty( $contact_shortcode) ) : ?>
					<div class="frontpage-shortcode-div">
					<?php echo do_shortcode($contact_shortcode); ?>
					</div>
				<?php endif; ?>
			</div>
		</div>
	</div>
	<div class="<?php echo esc_attr($css_back_wrap)?>"></div>
</div>