<?php

if( !in_array('features', kirhero_frontpage_elements_positioning() ) || !is_front_page() )
{
	return ;
}

$features_title = get_theme_mod( 'kirhero_admin_frontpage_features_section_title_text', kirhero_get_default_theme_settings( 'frontpage-features-title-text' ) );	
$features_text = get_theme_mod( 'kirhero_admin_frontpage_features_section_text', kirhero_get_default_theme_settings( 'frontpage-features-text' ) );	
$features_items_per_row = get_theme_mod( 'kirhero_admin_frontpage_features_section_items_count', kirhero_get_default_theme_settings( 'frontpage-features-items-count' ) );	
$features_array = get_theme_mod('kirhero_admin_frontpage_features_section_content', kirhero_get_default_theme_settings( 'frontpage-features-items-array' ) );
/*This returns a json so we have to decode it*/
$features_array_decode = json_decode($features_array, true);

//css
$features_css_class = 'frontpage-features site-inner';
//grid
$classes = 'has-grid ';
if ( $features_items_per_row == 2 ) 
{
	$classes .= 'one-half';
}
else if ( $features_items_per_row == 3 )
{
	$classes .= 'one-third';
}
else if ( $features_items_per_row == 4 )
{
	$classes .= 'one-fourth';
}

?>


	
<div id="frontpage-features-wrap" class="frontpage-features-wrap">
	
	<div class="<?php echo esc_attr($features_css_class)?>">
		
		<div class="fp_features_wrap">
			<h2 class="frontpage-features-title"><?php echo esc_html($features_title) ?></h2>
			<p class="frontpage-features-text"><?php echo esc_html($features_text) ?></p>
			
				<?php 
					
				$first = 0;
				$kirhero_count_responsive = 0;
				
				
				foreach($features_array_decode as $features_array_item)
				{
				?>
				
					<div class="<?php echo esc_attr($classes); if($first == 0){ echo ' first'; } ?>">
					
						<div class="fp_features_member">
							
							<div class="fp_features_member_div">
								
								<?php if( !empty( $features_array_item['link'] ) ) 
								{
								?>
									
								<a class="fp_features_member_a" href="<?php echo esc_url($features_array_item['link']) ?>">
								<?php } ?>
									
									<span class="fp_features_member_fa"><i class="fa <?php echo esc_attr($features_array_item['icon_value']) ?>" style="color:<?php echo esc_attr($features_array_item['color'])?>"></i></span>
								
									<h4 class="fp_features_h4"><?php echo esc_html($features_array_item['title']) ?></h4>
								
								<?php if( !empty( $features_array_item['link'] ) ) 
								{	
								?>
								</a>	
								<?php
								}
								?>	
									<p class="fp_features_member_text"><?php echo esc_html($features_array_item['text']) ?></p>
							</div>
	
						</div>
					</div>
					
					<?php
							
					$first++;
					$kirhero_count_responsive++;
					
					//clear for mobile 
					if ( $kirhero_count_responsive % 1 == 0 )
					{
						echo '<div class="frontpage-clear-mobile"></div>';
						$kirhero_count_responsive = 0;
					}
					// Reset counter to clear floats
					if ( kirhero_frontpage_features_grid() == $first ) 
					{
						$first = 0;
					}	
			     }	
				?>
		</div>
	</div>
</div>

