<?php

if( !in_array('slide_title', kirhero_frontpage_elements_positioning() ) || !is_front_page() )
{
	return ;
}
	
$size = get_theme_mod( 'kirhero_admin_frontpage_slide_title_image_size', kirhero_get_default_theme_settings( 'frontpage-slide-title-background-image-size' ) );	

$kirhero_image = get_theme_mod( 'kirhero_admin_frontpage_slide_title_image', kirhero_get_default_theme_settings( 'frontpage-slide-title-background-image' ) );	
$attachment = get_theme_mod( 'kirhero_admin_frontpage_slide_title_image_attachment', kirhero_get_default_theme_settings( 'frontpage-slide-title-background-image-attachment' ) );	
$position = get_theme_mod( 'kirhero_admin_frontpage_slide_title_image_position', kirhero_get_default_theme_settings( 'frontpage-slide-title-background-image-position' ));

$kirhero_switch = get_theme_mod( 'kirhero_admin_frontpage_slide_title_switch', kirhero_get_default_theme_settings( 'frontpage-slide-title-switch' ) );

//if not image background 
if( $kirhero_switch !== 'image' )
{
	$kirhero_image = '';
	$attachment = '';
	$position = '';
}


$current_size_img = array(
			'extra_small' => 'height:500px',
			'small'  => 'height:500px',
			'medium' => 'height:700px',
			'large'  => 'height:940px',
			);


$slider_img_link = $current_size_img[$size];


//content
$slider_text_title = get_theme_mod( 'kirhero_admin_frontpage_slide_title_title', kirhero_get_default_theme_settings( 'frontpage-slide-title-title' ) );	
$slider_text = get_theme_mod( 'kirhero_admin_frontpage_slide_title_text', kirhero_get_default_theme_settings( 'frontpage-slide-title-text' ) );	
$slider_button_text = get_theme_mod( 'kirhero_admin_frontpage_slide_title_button_text', kirhero_get_default_theme_settings( 'frontpage-slide-title-button-text' ) );	
$slider_button_url = get_theme_mod( 'kirhero_admin_frontpage_slide_title_button_url', kirhero_get_default_theme_settings( 'frontpage-slide-title-button-url' ) );	

$slider_css = '';

//img
if( !empty( $kirhero_image ) )
{
	$slider_css .= "background-image: url('".$kirhero_image."');";
}

if( !empty( $attachment ) )
{
	$slider_css .= 'background-attachment: '.$attachment.';';
}

if( !empty( $position ) )
{
	$slider_css .= 'background-position: '.$position.';';
}


$elements = kirhero_frontpage_elements_positioning();

if (current($elements) === 'slide_title') 
{
	$slider_css .= 'margin-top: -'. kirhero_header_content_calc().'px;';
}

//css for back wrap
$css_back_wrap = '';

if( !empty( $kirhero_image ) )
{
	$css_back_wrap = 'frontpage-slide-img';
}
	
?>


<div class="site-frontpage-slide">
	
		<div class="frontpage-slide-wrap" style="<?php echo esc_attr($slider_css) ?>">
			<div class="<?php echo esc_attr($css_back_wrap)?>" style="<?php echo esc_attr($slider_img_link)?>"></div>
			<?php if( !empty( $slider_text_title) || !empty( $slider_text ) ) { ?>
				<div class="frontpage-slide-block-inner">
		               <h2 class="frontpage-slide-title"><?php echo esc_html($slider_text_title) ?></h2>
		               <p class="frontpage-slide-text"><?php echo esc_html($slider_text) ?></p>
		               <a class="frontpage-slide-btn button-fp" href="<?php echo esc_url($slider_button_url) ?>">
			               <?php echo esc_html($slider_button_text) ?>
			          	<span class="frontpage-fa-margin-left">
								<i class="fa fa-long-arrow-right" aria-hidden="true"></i>
						</span>     
			          </a>
				</div>
	          <?php } ?>
	     </div><!-- .frontapge-slide -->
</div>
