<?php
	
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! class_exists( 'Kirhero_Customizer' )) 
{

	/**
	 * The kirhero Customizer class
	 */
	class Kirhero_Customizer 
	{
		
		public function __construct() 
		{
			
			add_action( 'customize_register', array( $this, 'require_file' ) );
			
			//load panel 
			add_action( 'customize_register', array( $this, 'kirhero_header' ) );
			add_action( 'customize_register', array( $this, 'kirhero_blog' ) );
			add_action( 'customize_register', array( $this, 'kirhero_general' ) );
			add_action( 'customize_register', array( $this, 'kirhero_fonts' ) );
			add_action( 'customize_register', array( $this, 'kirhero_sidebar' ) );
			add_action( 'customize_register', array( $this, 'kirhero_footer' ) );
			add_action( 'customize_register', array( $this, 'kirhero_slider' ) );
			add_action( 'customize_register', array( $this, 'kirhero_frontpage' ) );
			

			
			add_action( 'customize_register', array( $this, 'kirhero_admin_sections'), 10);		
				
			add_action( 'customize_preview_init', array( $this, 'kirhero_customizer_live_preview' ) );
			
			
			
			add_action( 'customize_controls_enqueue_scripts', 	array( $this, 'custom_customize_enqueue' ), 5 );
			
			add_filter( 'kirhero_css', array( $this, 'css' ) );
		
			add_action( 'wp_head', array( $this, 'css_fonts' ), 999 );
		
			
			add_action( 'wp_enqueue_scripts', 		array( $this, 'load_fonts' ) );
			
		}
		
		
		public function custom_customize_enqueue() 
		{

			wp_enqueue_style( 'kirhero-general', get_template_directory_uri().'/inc/customizer/assets/css/general.css' );
			
			wp_enqueue_script( 'kirhero-themecustomizer-controls', get_template_directory_uri().'/assets/js/customizer-control.js', array(), '1.0', true);

		}
		
		public function kirhero_customizer_live_preview()
		{
			
			wp_enqueue_script( 'kirhero-themecustomizer', get_template_directory_uri().'/assets/js/customizer.js', array( 'jquery','customize-preview' ), '1', true);
		}
		
		public function require_file($wp_customize) 
		{
			
			require_once( get_template_directory() . '/inc/customizer/classes/Kirhero_Range_Customize_Control.php' );
			require_once( get_template_directory() . '/inc/customizer/classes/Kirhero_Color_Customizer_Control.php' );
			require_once( get_template_directory() . '/inc/customizer/classes/Kirhero_Header_Customizer_Control.php' );
			require_once( get_template_directory() . '/inc/customizer/classes/Kirhero_Buttongroup_Customizer_Control.php' );
			require_once( get_template_directory() . '/inc/customizer/classes/Kirhero_Dimensions_Customizer_Control.php' );
			require_once( get_template_directory() . '/inc/customizer/classes/Kirhero_Radio_Image_Customizer_Control.php' );
			require_once( get_template_directory() . '/inc/customizer/classes/Kirhero_Sortable_Customizer_Control.php' );
			require_once( get_template_directory() . '/inc/customizer/classes/Kirhero_Fonts_Customizer_Control.php' );
			require_once( get_template_directory() . '/inc/customizer/classes/Kirhero_Repeater_Customizer_Control.php' );
			require_once( get_template_directory() . '/inc/customizer/classes/Kirhero_Page_Editor_Customizer_Control.php' );
			
			
			
			//Kirhero_Fonts_Customizer_Control		
			$wp_customize->register_control_type( 'Kirhero_Range_Customize_Control');
			$wp_customize->register_control_type( 'Kirhero_Color_Customizer_Control');
			$wp_customize->register_control_type( 'Kirhero_Buttongroup_Customizer_Control');
			$wp_customize->register_control_type( 'Kirhero_Dimensions_Customizer_Control');
			$wp_customize->register_control_type( 'Kirhero_Radio_Image_Customizer_Control');
			$wp_customize->register_control_type( 'Kirhero_Sortable_Customizer_Control');
			$wp_customize->register_control_type( 'Kirhero_Fonts_Customizer_Control');
			
			require_once( get_template_directory() . '/inc/customizer/sanitize.php' );

		}
		
		
		static public function css($name)
		{	
			$css = '';
			
			//var
			
			//header
			$header_drop_shadow = get_theme_mod( 'kirhero_header_drop_shadow', kirhero_get_default_theme_settings( 'header-drop-shadow' ) );
			$has_wide_layout = get_theme_mod( 'kirhero_admin_general_layout_style', kirhero_get_default_theme_settings( 'general-layout-style' ) );
			$header_menu_link_color_effect = get_theme_mod( 'kirhero_header_menu_link_color_effect', kirhero_get_default_theme_settings( 'header-menu-link-color-effect' ) );
			$kirhero_header_transparent_hp = get_theme_mod( 'kirhero_header_transparent_hp', kirhero_get_default_theme_settings( 'header-transparent-hp' ) );
			
			//general
			$general_link_color = get_theme_mod( 'kirhero_admin_general_link_color', kirhero_get_default_theme_settings( 'general-link-color' ) );
			$general_link_color_hover = get_theme_mod( 'kirhero_admin_general_link_color_hover', kirhero_get_default_theme_settings( 'general-link-color-hover' ) );
			$general_primary_color = get_theme_mod( 'kirhero_admin_general_primary_color', kirhero_get_default_theme_settings( 'general-pages-primary-color' ) );
			$general_primary_color_hover = get_theme_mod( 'kirhero_admin_general_primary_color_hover', kirhero_get_default_theme_settings( 'general-pages-primary-color-hover' ) );
			$general_primary_border_color = get_theme_mod( 'kirhero_admin_general_primary_border_color', kirhero_get_default_theme_settings( 'general-pages-primary-border-color' ) );
			$general_breadcrumbs_link_color = get_theme_mod( 'kirhero_general_subheader_breadcrumbs_link_color', kirhero_get_default_theme_settings( 'general-page-header-breadcrumbs-link-color' ) );
			
		
			//footer
			$footer_text_color = get_theme_mod( 'kirhero_admin_footer_text_color', kirhero_get_default_theme_settings( 'footer-text-color' ) );
			$footer_link_color = get_theme_mod( 'kirhero_admin_footer_link_color', kirhero_get_default_theme_settings( 'footer-link-color' ) );
			$footer_link_color_hover = get_theme_mod( 'kirhero_admin_footer_link_color_hover', kirhero_get_default_theme_settings( 'footer-link-color-hover' ) );
			$footer_widgets_title_color = get_theme_mod( 'kirhero_admin_footer_widgets_title_color', kirhero_get_default_theme_settings( 'footer-widgets-title-color' ) );
			$footer_hr_color = get_theme_mod( 'kirhero_admin_footer_hr_color', kirhero_get_default_theme_settings( 'footer-hr-color' ) );

			
			//sidebar
			$sidebar_title_background_color = get_theme_mod( 'kirhero_admin_sidebar_title_background_color', kirhero_get_default_theme_settings( 'sidebar-title-background-color' ) );
			$sidebar_title_border_color = get_theme_mod( 'kirhero_admin_sidebar_title_border_color', kirhero_get_default_theme_settings( 'sidebar-title-border-color' ) );
			$sidebar_link_color = get_theme_mod( 'kirhero_admin_sidebar_link_color', kirhero_get_default_theme_settings( 'sidebar-link-color' ) );
			$sidebar_text_color = get_theme_mod( 'kirhero_admin_sidebar_text_color', kirhero_get_default_theme_settings( 'sidebar-text-color' ) );
			$sidebar_text_color_hover = get_theme_mod( 'kirhero_admin_sidebar_link_color_hover', kirhero_get_default_theme_settings( 'sidebar-text-color-hover' ) );
			
			//blog
			$blog_breadcrumbs_link_color = get_theme_mod( 'kirhero_blog_subheader_breadcrumbs_link_color', kirhero_get_default_theme_settings( 'blog-page-header-breadcrumbs-link-color' ) );
			$blog_article_drop_shadow = get_theme_mod( 'kirhero_blog_article_drop_shadow', kirhero_get_default_theme_settings( 'blog-article-drop-shadow' ) );
			
			
			//frontpage

			$frontpage_about_background_color = get_theme_mod( 'kirhero_admin_frontpage_about_content_background_color', kirhero_get_default_theme_settings( 'frontpage-about-background-color' ) );
			$frontpage_about_text_color = get_theme_mod( 'kirhero_admin_frontpage_about_content_text_color', kirhero_get_default_theme_settings( 'frontpage-about-text-color' ) );
			
			
			$frontpage_about_link_color = get_theme_mod( 'kirhero_admin_frontpage_about_content_link_color', kirhero_get_default_theme_settings( 'frontpage-about-link-color' ) );
			$frontpage_about_link_color_hover = get_theme_mod( 'kirhero_admin_frontpage_about_content_link_color_hover', kirhero_get_default_theme_settings( 'frontpage-about-link-color-hover' ) );
			
			
			
			$frontpage_team_background_color = get_theme_mod( 'kirhero_admin_frontpage_team_section_background_color', kirhero_get_default_theme_settings( 'frontpage-team-background-color' ) );
			
			$frontpage_team_title_color = get_theme_mod( 'kirhero_admin_frontpage_team_section_title_color', kirhero_get_default_theme_settings( 'frontpage-team-title-color' ) );
			$frontpage_team_text_color = get_theme_mod( 'kirhero_admin_frontpage_team_section_text_color', kirhero_get_default_theme_settings( 'frontpage-team-text-color' ) );
			
			
			
			$frontpage_team_link_color = get_theme_mod( 'kirhero_admin_frontpage_team_section_link_color', kirhero_get_default_theme_settings( 'frontpage-team-link-color' ) );
			$frontpage_team_link_color_hover = get_theme_mod( 'kirhero_admin_frontpage_team_section_link_color_hover', kirhero_get_default_theme_settings( 'frontpage-team-link-color-hover' ) );
			
			
			$frontpage_blog_background_color = get_theme_mod( 'kirhero_admin_frontpage_blog_section_background_color', kirhero_get_default_theme_settings( 'frontpage-blog-background-color' ) );
			$frontpage_blog_title_color = get_theme_mod( 'kirhero_admin_frontpage_blog_section_title_color', kirhero_get_default_theme_settings( 'frontpage-blog-title-color' ) );
			$frontpage_blog_text_color = get_theme_mod( 'kirhero_admin_frontpage_blog_section_text_color', kirhero_get_default_theme_settings( 'frontpage-blog-text-color' ) );
			
			
			$frontpage_blog_link_color = get_theme_mod( 'kirhero_admin_frontpage_blog_section_link_color', kirhero_get_default_theme_settings( 'frontpage-blog-link-color' ) );
			$frontpage_blog_link_color_hover = get_theme_mod( 'kirhero_admin_frontpage_blog_section_link_color_hover', kirhero_get_default_theme_settings( 'frontpage-blog-link-color-hover' ) );
			
			
			$frontpage_features_background_color = get_theme_mod( 'kirhero_admin_frontpage_features_section_background_color', kirhero_get_default_theme_settings( 'frontpage-features-background-color' ) );
			$frontpage_features_background_color_liner = get_theme_mod( 'kirhero_admin_frontpage_features_section_background_color_liner', kirhero_get_default_theme_settings( 'frontpage-features-background-color-liner' ) );
			
			$frontpage_features_title_color = get_theme_mod( 'kirhero_admin_frontpage_features_section_title_color', kirhero_get_default_theme_settings( 'frontpage-features-title-color' ) );
			$frontpage_features_text_color = get_theme_mod( 'kirhero_admin_frontpage_features_section_text_color', kirhero_get_default_theme_settings( 'frontpage-features-text-color' ) );
			
			
			
			$frontpage_action_background_color = get_theme_mod( 'kirhero_admin_frontpage_action_section_background_color', kirhero_get_default_theme_settings( 'frontpage-action-background-color' ) );
			$frontpage_action_background_color_2 = get_theme_mod( 'kirhero_admin_frontpage_action_section_background_color_2', kirhero_get_default_theme_settings( 'frontpage-action-background-color-2' ) );
			
			$frontpage_action_title_color = get_theme_mod( 'kirhero_admin_frontpage_action_section_title_color', kirhero_get_default_theme_settings( 'frontpage-action-title-color' ) );
			
			$frontpage_action_text_color = get_theme_mod( 'kirhero_admin_frontpage_action_section_text_color', kirhero_get_default_theme_settings( 'frontpage-action-text-color' ) );
			
			
			$frontpage_subscribe_background_color = get_theme_mod( 'kirhero_admin_frontpage_subscribe_section_background_color', kirhero_get_default_theme_settings( 'frontpage-subscribe-background-color' ) );
			$frontpage_subscribe_background_color_liner = get_theme_mod( 'kirhero_admin_frontpage_subscribe_section_background_color_liner', kirhero_get_default_theme_settings( 'frontpage-subscribe-background-color-liner' ) );
			
			$frontpage_subscribe_title_color = get_theme_mod( 'kirhero_admin_frontpage_subscribe_section_title_color', kirhero_get_default_theme_settings( 'frontpage-subscribe-title-color' ) );
			
			$frontpage_subscribe_text_color = get_theme_mod( 'kirhero_admin_frontpage_subscribe_section_text_color', kirhero_get_default_theme_settings( 'frontpage-subscribe-text-color' ) );
			$frontpage_subscribe_widget_background_color = get_theme_mod( 'kirhero_admin_frontpage_subscribe_widget_background_color', kirhero_get_default_theme_settings( 'frontpage-subscribe-widget-background-color' ) );
			
			$frontpage_subscribe_widget_text_color = get_theme_mod( 'kirhero_admin_frontpage_subscribe_widget_text_color', kirhero_get_default_theme_settings( 'frontpage-subscribe-widget-text-color' ) );
			$frontpage_subscribe_widget_link_color = get_theme_mod( 'kirhero_admin_frontpage_subscribe_widget_link_color', kirhero_get_default_theme_settings( 'frontpage-subscribe-widget-link-color' ) );
			$frontpage_subscribe_widget_link_color_hover = get_theme_mod( 'kirhero_admin_frontpage_subscribe_widget_link_color_hover', kirhero_get_default_theme_settings( 'frontpage-subscribe-widget-link-color-hover' ) );
			
			
			$frontpage_contact_background_color = get_theme_mod( 'kirhero_admin_frontpage_contact_section_background_color', kirhero_get_default_theme_settings( 'frontpage-contact-background-color' ) );
			$frontpage_contact_background_color_liner = get_theme_mod( 'kirhero_admin_frontpage_contact_section_background_color_liner', kirhero_get_default_theme_settings( 'frontpage-contact-background-color-liner' ) );
			
			$frontpage_contact_text_color = get_theme_mod( 'kirhero_admin_frontpage_contact_section_text_color', kirhero_get_default_theme_settings( 'frontpage-contact-text-color' ) );
			
			
			$frontpage_contact_link_color = get_theme_mod( 'kirhero_admin_frontpage_contact_section_link_color', kirhero_get_default_theme_settings( 'frontpage-contact-link-color' ) );
			$frontpage_contact_link_color_hover = get_theme_mod( 'kirhero_admin_frontpage_contact_section_link_color_hover', kirhero_get_default_theme_settings( 'frontpage-contact-link-color-hover' ) );
			
			
			$frontpage_contact_shortcode_link_color = get_theme_mod( 'kirhero_admin_frontpage_contact_section_shortcode_link_color', kirhero_get_default_theme_settings( 'frontpage-contact-shortcode-link-color' ) );
			$frontpage_contact_shortcode_link_color_hover = get_theme_mod( 'kirhero_admin_frontpage_contact_section_shortcode_link_color_hover', kirhero_get_default_theme_settings( 'frontpage-contact-shortcode-link-color-hover' ) );
			
			
			
			
			$frontpage_contact_shortcode_background_color = get_theme_mod( 'kirhero_admin_frontpage_contact_section_shortcode_background_color', kirhero_get_default_theme_settings( 'frontpage-contact-shortcode-background-color' ) );
			$frontpage_contact_shortcode_text_color = get_theme_mod( 'kirhero_admin_frontpage_contact_section_shortcode_text_color', kirhero_get_default_theme_settings( 'frontpage-contact-shortcode-text-color' ) );
			
			
			$frontpage_subscribe_widget_width = get_theme_mod( 'kirhero_admin_frontpage_subscribe_widget_size', kirhero_get_default_theme_settings( 'frontpage-subscribe-widget-size' ) );
			
			
			$frontpage_slide_background_color = get_theme_mod( 'kirhero_admin_frontpage_slide_title_background_color', kirhero_get_default_theme_settings( 'frontpage-slide-title-background-color' ) );
			$frontpage_slide_background_color_liner = get_theme_mod( 'kirhero_admin_frontpage_slide_title_background_color_liner', kirhero_get_default_theme_settings( 'frontpage-slide-title-background-color-liner' ) );
			
			
			$frontpage_href_color = get_theme_mod( 'kirhero_admin_frontpage_href_color', kirhero_get_default_theme_settings( 'frontpage-link-color' ) );
			$frontpage_href_color_hover = get_theme_mod( 'kirhero_admin_frontpage_href_color_hover', kirhero_get_default_theme_settings( 'frontpage-link-color-hover' ) );
			
			
			$frontpage_slide_text_color = get_theme_mod( 'kirhero_admin_frontpage_slide_title_text_color', kirhero_get_default_theme_settings( 'frontpage-slide-title-text-color' ) );
			
			$frontpage_slide_text_btn_background_color = get_theme_mod( 'kirhero_admin_frontpage_slide_title_btn_background_color', kirhero_get_default_theme_settings( 'frontpage-slide-title-btn-background-color' ) );
			$frontpage_slide_text_btn_color = get_theme_mod( 'kirhero_admin_frontpage_slide_title_btn_text_color', kirhero_get_default_theme_settings( 'frontpage-slide-title-btn-text-color' ) );
			$frontpage_slide_text_btn_color_hover = get_theme_mod( 'kirhero_admin_frontpage_slide_title_btn_text_color_hover', kirhero_get_default_theme_settings( 'frontpage-slide-title-btn-text-color-hover' ) );
			$frontpage_slide_text_btn_border_radius = get_theme_mod( 'kirhero_admin_frontpage_slide_title_btn_border_radius', kirhero_get_default_theme_settings( 'frontpage-slide-title-btn-border-radius' ) );
			
			
			$frontpage_action_btn_background_color = get_theme_mod( 'kirhero_admin_frontpage_action_btn_background_color', kirhero_get_default_theme_settings( 'frontpage-action-btn-background-color' ) );
			$frontpage_action_btn_color = get_theme_mod( 'kirhero_admin_frontpage_action_btn_text_color', kirhero_get_default_theme_settings( 'frontpage-action-btn-text-color' ) );
			$frontpage_action_btn_color_hover = get_theme_mod( 'kirhero_admin_frontpage_action_btn_text_color_hover', kirhero_get_default_theme_settings( 'frontpage-action-btn-text-color-hover' ) );
			$frontpage_action_btn_border_radius = get_theme_mod( 'kirhero_admin_frontpage_action_btn_border_radius', kirhero_get_default_theme_settings( 'frontpage-action-btn-border-radius' ) );
			

			
			//prontpage link color
			if ( ! empty( $frontpage_href_color ) ) 
			{			
				$css .= '.kirhero-frontpage a{color:'. $frontpage_href_color .';}';
				
			}
			
			if ( ! empty( $frontpage_href_color_hover ) ) 
			{			
				$css .= '.kirhero-frontpage a:hover{color:'. $frontpage_href_color_hover .';}';
				
			}
			
			/* 
				Header 
			*/
			
			$header_height = get_theme_mod( 'kirhero_admin_header_height', kirhero_get_default_theme_settings('header-height') );
			
			// header height
			if ( ! empty( $header_height ) )
			{
				$css .= '.site-header{height:'. $header_height .'px;}.header-widget-area{height:'. $header_height .'px;}.site-header .wrap{height:100%}';
			}
			
			//header backgorund color
			$header_backgorund_color = get_theme_mod( 'kirhero_header_background', kirhero_get_default_theme_settings('header-background-color'));
			
			if ( ! empty( $header_backgorund_color )) 
			{
				
				$css .= '.site-header{background-color:'. $header_backgorund_color .';}.nav-primary .sub-menu{background-color:'. $header_backgorund_color .';}';
			}
			
			
			$header_transparent_backgorund_color = get_theme_mod( 'kirhero_header_transparent_background', kirhero_get_default_theme_settings('header-transparent-background-color'));
			
			if ( ! empty( $header_transparent_backgorund_color )) 
			{
				
				$css .= '.site-header.navbar-transparent{background-color:'. $header_transparent_backgorund_color .';}';
			}
			
			$header_transparent_font_color = get_theme_mod( 'kirhero_header_transparent_font_color', kirhero_get_default_theme_settings('header-transparent-font-color'));
			
			if ( ! empty( $header_transparent_font_color )) 
			{
				
				$css .= '.kirhero-frontpage .site-header.navbar-transparent .genesis-nav-menu>li>a,.kirhero-frontpage .site-header.navbar-transparent .kirhero-text,.kirhero-frontpage .site-header.navbar-transparent .site-description, .site-header.navbar-transparent .site-title a,.kirhero-frontpage .site-header.navbar-transparent .menu-primary .current-menu-item a{color:'. $header_transparent_font_color .' !important;}';
			}
			
			//header full width
			$header_full_width = get_theme_mod( 'kirhero_header_full_width', kirhero_get_default_theme_settings('header-full-width'));
			
			if ( $header_full_width == TRUE ) 
			{
				
				$css .= '.site-header{max-width: 100%;width:100%}';
				$css .= '.site-header .wrap{max-width: 100%;width:100%}';
				$css .= '.site-header .wrap{max-width: 100%;width:100%}';

			}
			//fixed header
			$header_fixed = get_theme_mod( 'kirhero_header_fixed', kirhero_get_default_theme_settings('header-fixed'));
			
			if ( $header_fixed == TRUE ) 
			{
				$css .= '.site-header{position:fixed;z-index:99999;left:0;right:0}';
				//margin main
				$css .= '.site-inner-wrap {margin-top: '.kirhero_header_content_calc().'px}';

			}
			
			
			

			//header padding
			$header_padding_left = get_theme_mod( 'kirhero_header_padding_left', kirhero_get_default_theme_settings('header-padding-left'));
			
			if ( ! empty( $header_padding_left )) 
			{
				
				$css .= '.site-header{padding-left:'. $header_padding_left .';}';
			}
			
			//drop shadow
			//kirhero_admin_general_layout_boxed_shadow
	
			
			if ( ! empty( $header_drop_shadow ) && $has_wide_layout == 'wide' ) 
			{

				$css .= '.site-header{-webkit-box-shadow: 0 1px 4px rgba(0,0,0,0.15);-moz-box-shadow: 0 1px 4px rgba(0,0,0,0.15);box-shadow: 0 1px 4px rgba(0,0,0,0.15);}';
				
				
			}
			
			//header padding
			$header_padding_right = get_theme_mod( 'kirhero_header_padding_right', kirhero_get_default_theme_settings('header-padding-right'));
			
			if ( ! empty( $header_padding_right )) 
			{
				
				$css .= '.site-header{padding-right:'. $header_padding_right .';}';
			}
			
			//header padding
			$header_padding_top = get_theme_mod( 'kirhero_header_padding_top', kirhero_get_default_theme_settings('header-padding-top'));
			
			if ( ! empty( $header_padding_top )) 
			{
				
				$css .= '.site-header .wrap{padding-top:'. $header_padding_top .';}';
			}
			
			//header padding
			$header_padding_bottom = get_theme_mod( 'kirhero_header_padding_bottom', kirhero_get_default_theme_settings('header-padding-bottom'));
			
			if ( ! empty( $header_padding_bottom )) 
			{
				
				$css .= '.site-header{padding-bottom:'. $header_padding_bottom .';}';
			}
			
			//header margin
			$header_margin_left = get_theme_mod( 'kirhero_header_margin_left', kirhero_get_default_theme_settings('header-margin-left'));
			
			if ( ! empty( $header_margin_left )) 
			{
				
				$css .= '.site-header{margin-left:'. $header_margin_left .';}';
			}
			
			//header margin
			$header_margin_right = get_theme_mod( 'kirhero_header_margin_right', kirhero_get_default_theme_settings('header-margin-right'));
			
			if ( ! empty( $header_margin_right )) 
			{
				
				$css .= '.site-header{margin-right:'. $header_margin_right .';}';
			}
			
			//header margin
			$header_margin_top = get_theme_mod( 'kirhero_header_margin_top', kirhero_get_default_theme_settings('header-margin-top'));
			
			if ( ! empty( $header_margin_top )) 
			{
				
				$css .= '.site-header{margin-top:'. $header_margin_top .';}';
			}
			
			//header margin
			$header_margin_bottom = get_theme_mod( 'kirhero_header_margin_bottom', kirhero_get_default_theme_settings('header-margin-bottom'));
			
			if ( ! empty( $header_margin_bottom )) 
			{
				
				$css .= '.site-header{margin-bottom:'. $header_margin_bottom .';}';
			}
			
			/* 
				Header Menu
			*/
			
			// menu background
			$header_menu_background_color = get_theme_mod( 'kirhero_header_menu_background', kirhero_get_default_theme_settings('header-menu-background-color'));
			
			if ( ! empty( $header_menu_background_color )) 
			{
				
				$css .= '.nav-primary .wrap{background-color:'. $header_menu_background_color .';}.nav-primary .sub-menu{background-color:'. $header_menu_background_color .';}';
			}
			
			//header menu position
			$header_menu_position = get_theme_mod( 'kirhero_header_menu_position', kirhero_get_default_theme_settings('header-menu-position'));
			
			if ( ! empty( $header_menu_position )) 
			{
				
				$css .= '.nav-primary{float:'. $header_menu_position .';}';
			}
			
			//header link color
			$header_menu_text_color = get_theme_mod( 'kirhero_header_menu_link_color', kirhero_get_default_theme_settings('header-menu-link-color'));
			
			if ( ! empty( $header_menu_text_color )) 
			{
				
				$css .= '.genesis-nav-menu a{color:'. $header_menu_text_color .';}';
				
				$css .= '.kirhero-text{color:'. $header_menu_text_color .';}';
				$css .= '.hamburger-inner, .hamburger-inner::after, .hamburger-inner::before{background-color:'. $header_menu_text_color .';}';
			}
			
			//header link :hover color
			$header_menu_text_hover_color = get_theme_mod( 'kirhero_header_menu_link_hover_color', kirhero_get_default_theme_settings('header-menu-link-hover-color'));
			
			if ( ! empty( $header_menu_text_hover_color )) 
			{
				
				$css .= '.genesis-nav-menu a:hover{color:'. $header_menu_text_hover_color .';}.nav-primary .sub-menu a:hover {color:'. $header_menu_text_hover_color .';}';
			}
		
			//search
			$header_menu_search_show = get_theme_mod( 'kirhero_header_search_header_show', kirhero_get_default_theme_settings('header-menu-search-show'));
			
			if ( $header_menu_search_show == TRUE ) 
			{
				
				$css .= '.site-header{max-width: 100%;width:100%}';

			}
			
			//header menu padding
			$header_menu_padding_top = get_theme_mod( 'kirhero_header_menu_padding_top', kirhero_get_default_theme_settings('header-menu-padding-top'));
			
			if ( ! empty( $header_menu_padding_top )) 
			{
				
				$css .= '.nav-primary{padding-top:'. $header_menu_padding_top .'px;}';
			}
			
			$header_menu_padding_left = get_theme_mod( 'kirhero_header_menu_padding_left', kirhero_get_default_theme_settings('header-menu-padding-left'));
			
			if ( ! empty( $header_menu_padding_left )) 
			{
				
				$css .= '.nav-primary{padding-left:'. $header_menu_padding_left .'px;}';
			}
			
			//header menu padding
			$header_menu_padding_right = get_theme_mod( 'kirhero_header_menu_padding_right', kirhero_get_default_theme_settings('header-menu-padding-right'));
			
			if ( ! empty( $header_menu_padding_right )) 
			{
				
				$css .= '.nav-primary{padding-right:'. $header_menu_padding_right .'px;}';
			}
			
			$header_menu_padding_bottom = get_theme_mod( 'kirhero_header_menu_padding_bottom', kirhero_get_default_theme_settings('header-menu-padding-bottom'));
			
			if ( ! empty( $header_menu_padding_bottom )) 
			{
				
				$css .= '.nav-primary{padding-bottom:'. $header_menu_padding_bottom .'px;}';
			}
			
		
			if ( ! empty( $header_menu_link_color_effect )) 
			{
				
				$css .= '.genesis-nav-menu .current-menu-item > a:after, .genesis-nav-menu>li:hover>a:after{background-color:'. $header_menu_link_color_effect .'}';
			}
			
			/* 
				Header Logo
			*/
			
			$header_logo_color = get_theme_mod( 'kirhero_admin_header_logo_color', kirhero_get_default_theme_settings('header-logo-color'));
			
			if ( ! empty( $header_logo_color )) 
			{
				
				$css .= '.site-title a{color:'. $header_logo_color .';}';
			}
			
			$header_logo_color_hover = get_theme_mod( 'kirhero_admin_header_logo_color_hover', kirhero_get_default_theme_settings('header-logo-color-hover'));
			
			if ( ! empty( $header_logo_color_hover )) 
			{
				$css .= '.site-title a:hover{color:'. $header_logo_color_hover .';}';
			}
			
			
			$header_logo_tagline_color = get_theme_mod( 'kirhero_admin_header_tagline_color', kirhero_get_default_theme_settings('header-tagline-color'));
			
			if ( ! empty( $header_logo_tagline_color )) 
			{
				$css .= '.site-description{color:'. $header_logo_tagline_color .';}';
			}
			
			
			//logo
			$header_logo_height = get_theme_mod( 'kirhero_admin_header_logo_height', kirhero_get_default_theme_settings('header-logo-height'));
			
			if ( ! empty( $header_logo_height )) 
			{
				$css .= '.custom-logo{height:'. $header_logo_height .'px;}';
			}
			
			
			$header_logo_width = get_theme_mod( 'kirhero_admin_header_logo_width', kirhero_get_default_theme_settings('header-logo-width'));
			
			if ( ! empty( $header_logo_width )) 
			{
				$css .= '.custom-logo{width:'. $header_logo_width .'px;}';
			}

			
			//header menu logo padding
			$header_menu_logo_padding_top = get_theme_mod( 'kirhero_header_menu_logo_padding_top', kirhero_get_default_theme_settings('header-menu-logo-padding-top'));
			
			if ( ! empty( $header_menu_logo_padding_top )) 
			{
				
				$css .= '.title-area{padding-top:'. $header_menu_logo_padding_top .'px;}';
			}
			
			$header_menu_logo_padding_left = get_theme_mod( 'kirhero_header_menu_logo_padding_left', kirhero_get_default_theme_settings('header-menu-logo-padding-left'));
			
			if ( ! empty( $header_menu_logo_padding_left )) 
			{
				
				$css .= '.title-area{padding-left:'. $header_menu_logo_padding_left .'px;}';
			}
			
			//header menu logo padding
			$header_menu_logo_padding_right = get_theme_mod( 'kirhero_header_menu_logo_padding_right', kirhero_get_default_theme_settings('header-menu-logo-padding-right'));
			
			if ( ! empty( $header_menu_logo_padding_right )) 
			{
				
				$css .= '.title-area{padding-right:'. $header_menu_logo_padding_right .'px;}';
			}
			
			$header_menu_logo_padding_bottom = get_theme_mod( 'kirhero_header_menu_logo_padding_bottom', kirhero_get_default_theme_settings('header-menu-logo-padding-bottom'));
			
			if ( ! empty( $header_menu_logo_padding_bottom )) 
			{
				
				$css .= '.title-area{padding-bottom:'. $header_menu_logo_padding_bottom .'px;}';
			}

			//kirhero_admin_header_dropdown_menu_background
			$header_menu_dropdown_menu_background = get_theme_mod( 'kirhero_admin_header_dropdown_menu_background', kirhero_get_default_theme_settings('header-menu-dropdown-menu-background'));
			
			if ( ! empty( $header_menu_dropdown_menu_background )) 
			{
				
				$css .= '.genesis-nav-menu .sub-menu a{background-color:'. $header_menu_dropdown_menu_background .';}';
			}
			
			
			//kirhero_admin_header_dropdown_menu_link_color
			$header_menu_dropdown_menu_link_color = get_theme_mod( 'kirhero_admin_header_dropdown_menu_link_color', kirhero_get_default_theme_settings('header-menu-dropdown-menu-link-color'));
			
			if ( ! empty( $header_menu_dropdown_menu_link_color )) 
			{
				
				$css .= '.nav-primary .sub-menu a {color:'. $header_menu_dropdown_menu_link_color .';}';
			}
			
			
			//kirhero_admin_header_dropdown_menu_link_color_hover
			$header_menu_dropdown_menu_link_color_hover = get_theme_mod( 'kirhero_admin_header_dropdown_menu_link_color_hover', kirhero_get_default_theme_settings('header-menu-dropdown-menu-link-color-hover'));
			
			if ( ! empty( $header_menu_dropdown_menu_link_color_hover )) 
			{
				
				$css .= '.nav-primary .sub-menu a:hover {color:'. $header_menu_dropdown_menu_link_color_hover .';}';
			}

			$header_menu_link_active_color = get_theme_mod( 'kirhero_header_menu_link_active_color', kirhero_get_default_theme_settings('header-menu-link-active-color'));
			
			if ( ! empty( $header_menu_link_active_color )) 
			{
				
				$css .= '.menu-primary .current-menu-item a {color:'. $header_menu_link_active_color .' !important;}';
			}
			
						
			/*
				General style 	
			*/
			
		
			
			if ( ! empty( $general_breadcrumbs_link_color ) ) 
			{
				$css .= '.trail-item a{color:'. $general_breadcrumbs_link_color .';}';

			}
			
			$general_layout_width = get_theme_mod( 'kirhero_admin_general_layout_width', kirhero_get_default_theme_settings('general-layout-width'));
			
			
			if ( ! empty( $general_layout_width ) && $has_wide_layout == 'boxed' ) 
			{
				$css .= '.site-container {max-width:'. $general_layout_width .'px;}';
				$css .= '.site-inner, .wrap {max-width:'. $general_layout_width .'px;}';

			}
			
			//wide width
			$general_layout_wide_width = get_theme_mod( 'kirhero_admin_general_layout_wide_width', kirhero_get_default_theme_settings('general-layout-wide-width'));
			
			if ( ! empty( $general_layout_wide_width ) && $has_wide_layout == 'wide' ) 
			{
				
				
				$css .= '.site-inner, .wrap {max-width:'. $general_layout_wide_width .'px;}';
				
			}
			
			//drop shadow
			//kirhero_admin_general_layout_boxed_shadow
			$general_layout_boxed_shadow = get_theme_mod( 'kirhero_admin_general_layout_boxed_shadow', kirhero_get_default_theme_settings('blog-layout-boxed-shadow'));
			
			if ( ! empty( $general_layout_boxed_shadow ) && $has_wide_layout == 'boxed' ) 
			{

				$css .= '.site-container{-webkit-box-shadow: 0 1px 4px rgba(0,0,0,0.15);-moz-box-shadow: 0 1px 4px rgba(0,0,0,0.15);box-shadow: 0 1px 4px rgba(0,0,0,0.15);}';
				
				if( $header_fixed == TRUE && $kirhero_header_transparent_hp == FALSE)
				{
					$css .= '.site-header>.wrap{-webkit-box-shadow: 0 1px 4px rgba(0,0,0,0.15);-moz-box-shadow: 0 1px 4px rgba(0,0,0,0.15);box-shadow: 0 1px 4px rgba(0,0,0,0.15);}';
				}
			}
			
			///////////////////////////////
			// Content / Sidebar %
			///////////////////////////////
			
			$general_layout_sidebar_left_width = get_theme_mod( 'kirhero_admin_general_layout_sidebar_left_width', kirhero_get_default_theme_settings('general-layout-left-width'));
			
			$general_layout_content_width = get_theme_mod( 'kirhero_admin_general_layout_content_width', kirhero_get_default_theme_settings('general-layout-content-width'));
			
			$post_layout = kirhero_layout();
			
			//echo $post_layout;			
			//full width
			$general_layout_sidebar_right_width = get_theme_mod( 'kirhero_admin_general_layout_sidebar_right_width', kirhero_get_default_theme_settings('general-layout-right-width'));
			
					
			if ( ! empty( $general_layout_sidebar_right_width ) && $post_layout !== 'full-width-content' ) 
			{
				$css .= '/* sidebar left right % */';
				$css .= '.sidebar-primary {width:'. $general_layout_sidebar_right_width .'% ;}';
				$css .= '.content {width:'. kirhero_content_width_right_sidebar() .'% ;}';
				
				
				$css .= '@media only screen and (max-width: 959px) { 
						.content-wrap-after {float: right; width:100% !important}
						.sidebar-primary{width:100% !important}
						.content-sidebar-sidebar .content-sidebar-wrap, .sidebar-content-sidebar .content-sidebar-wrap, .sidebar-sidebar-content .content-sidebar-wrap{width:100% !important}
						.content { width: 100% !important}
						}';
									
				$css .= '@media only screen and (max-width: 760px) { 
						.content { width: 100% !important;}
						}';

			}
			
			//both
			if ( ! empty( $general_layout_sidebar_left_width ) && $post_layout == 'both-sidebars' ) 
			{
				$css .= '/* sidebar both % */';
				$css .= '.content {width:'. kirhero_content_width_right_sidebar() .'% !important;}';
				$css .= '.sidebar-secondary {width:'. $general_layout_sidebar_left_width .'% !important;}';
				$css .= '.content-sidebar-wrap {width:'. kirhero_content_width_left_sidebar() .'% !important;}';
				
				$css .= '@media only screen and (max-width: 760px) { 
					.has-grid{width:100% !important;margin-left: auto}
					.content { width: 100% !important}
				}';
			}
			
			
			//contetn % 
			if ( ! empty( $general_layout_content_width ) && $post_layout == 'full-width-content') 
			{
				//$css .= '/* content % */';
				//$css .= '.content{width:'. $general_layout_content_width .'% !important;}';
	
			}	

			
			///////////////////////////////
			// END Content / Sidebar %
			///////////////////////////////

			
			/* Links color */
			if ( ! empty( $general_link_color ) ) 
			{
				
				$css .= 'a {color:'. $general_link_color .';}';
				$css .= '.entry-title a, .sidebar .widget-title a {color:'. $general_link_color .';}';
				
			}
			if ( ! empty( $general_link_color_hover ) ) 
			{
				
				$css .= 'a:hover {color:'. $general_link_color_hover .';}';
				$css .= '.entry-title a:hover, .sidebar .widget-title a:hover {color:'. $general_link_color_hover .';}';
			}
			/* primary color */
			if ( ! empty( $general_primary_color ) ) 
			{
				
				$css .= '.woocommerce div.product div.images .open-image, .wcmenucart-details.count, .woocommerce-message a, .woocommerce-error a, .woocommerce-info a, .woocommerce .widget_price_filter .ui-slider .ui-slider-handle, .woocommerce .widget_price_filter .ui-slider .ui-slider-range, .owp-product-nav li a.owp-nav-link:hover, .woocommerce div.product.owp-tabs-layout-vertical .woocommerce-tabs ul.tabs li a:after, .woocommerce .widget_product_categories li.current-cat a ~ .count, .woocommerce .widget_product_categories li.current-cat a:before, .woocommerce .widget_layered_nav li.chosen a ~ .count, .woocommerce .widget_layered_nav li.chosen a:before, #owp-checkout-timeline .active .timeline-wrapper, .bag-style:hover .wcmenucart-cart-icon .wcmenucart-count, .show-cart .wcmenucart-cart-icon .wcmenucart-count, input[type="button"], input[type="reset"], input[type="submit"], button[type="submit"], .button, #site-navigation-wrap .dropdown-menu >li.btn >a >span, .thumbnail:hover i, .post-quote-content, .omw-modal .omw-close-modal, body .contact-info-widget.big-icons li:hover i {background-color:'. $general_primary_color .';}';
				
			}
			
			/* primary color :hover */
			if ( ! empty( $general_primary_color_hover ) ) 
			{
				
				$css .= '.woocommerce div.product div.images .open-image:hover, .woocommerce-error a:hover, .woocommerce-info a:hover, .woocommerce-message a:hover, input[type="button"]:hover, input[type="reset"]:hover, input[type="submit"]:hover, button[type="submit"]:hover, input[type="button"]:focus, input[type="reset"]:focus, input[type="submit"]:focus, button[type="submit"]:focus, .button:hover, #site-navigation-wrap .dropdown-menu >li.btn >a:hover >span, .post-quote-author, .omw-modal .omw-close-modal:hover {background-color:'. $general_primary_color_hover .';}';
				
			}
			
				/* color border */
			if ( ! empty( $general_primary_border_color ) ) 
			{
				
				$css .= '.woocommerce table.shop_table, .woocommerce table.shop_table td, .woocommerce-cart .cart-collaterals .cart_totals tr td, .woocommerce-cart .cart-collaterals .cart_totals tr th, .woocommerce table.shop_table tth, .woocommerce table.shop_table tfoot td, .woocommerce table.shop_table tfoot th, .woocommerce .order_details, .woocommerce .shop_table.order_details tfoot th, .woocommerce .shop_table.customer_details th, .woocommerce .cart-collaterals .cross-sells, .woocommerce-page .cart-collaterals .cross-sells, .woocommerce .cart-collaterals .cart_totals, .woocommerce-page .cart-collaterals .cart_totals, .woocommerce .cart-collaterals h2, .woocommerce .cart-collaterals h2, .woocommerce .cart-collaterals h2, .woocommerce-cart .cart-collaterals .cart_totals .order-total th, .woocommerce-cart .cart-collaterals .cart_totals .order-total td, .woocommerce ul.order_details, .woocommerce .shop_table.order_details tfoot th, .woocommerce .shop_table.customer_details th, .woocommerce .woocommerce-checkout #customer_details h3, .woocommerce .woocommerce-checkout h3#order_review_heading, .woocommerce-checkout #payment ul.payment_methods, .woocommerce-checkout form.login, .woocommerce-checkout form.checkout_coupon, .woocommerce-checkout-review-order-table tfoot th, .woocommerce-checkout #payment, .woocommerce ul.order_details, .woocommerce #customer_login >div, .woocommerce .col-1.address, .woocommerce .col-2.address, .woocommerce-checkout .woocommerce-info, .woocommerce div.product form.cart, .product_meta, .woocommerce div.product .woocommerce-tabs ul.tabs, .woocommerce #reviews #comments ol.commentlist li .comment_container, p.stars span a, .woocommerce ul.product_list_widget li, .woocommerce .widget_shopping_cart .cart_list li, .woocommerce.widget_shopping_cart .cart_list li, .woocommerce ul.product_list_widget li:first-child, .woocommerce .widget_shopping_cart .cart_list li:first-child, .woocommerce.widget_shopping_cart .cart_list li:first-child, .widget_product_categories li a, .woocommerce .products.list .product, table th, table td, hr, .content-area, body.content-left-sidebar #content-wrap .content-area, .content-left-sidebar .content-area, #top-bar-wrap, #site-header, #site-header.top-header #search-toggle, .dropdown-menu ul li, .centered-minimal-page-header, .blog-entry.post, .blog-entry.grid-entry .blog-entry-inner, .blog-entry.thumbnail-entry .blog-entry-bottom, .single-post .entry-title, .single .entry-share-wrap .entry-share, .single .entry-share, .single .entry-share ul li a, .single nav.post-navigation, .single nav.post-navigation .nav-links .nav-previous, #author-bio, #author-bio .author-bio-avatar, #author-bio .author-bio-social li a, #related-posts, #comments, .comment-body, #respond #cancel-comment-reply-link, #blog-entries .type-page, .page-numbers a, .page-numbers span:not(.elementor-screen-only), .page-links span, body #wp-calendar caption, body #wp-calendar th, body #wp-calendar tbody, body .contact-info-widget.default i, body .contact-info-widget.big-icons i, body .posts-thumbnails-widget li, body .tagcloud a, .widget-title-2 {border-color:'. $general_primary_border_color .';}';
				
			}
			
			
			
			
			

			
			
			//general colors
			$general_boxed_background = get_theme_mod( 'kirhero_admin_general_boxed_background_color', kirhero_get_default_theme_settings('general-pages-boxed-outside-background'));
			
			if ( ! empty( $general_layout_wide_width ) && $has_wide_layout == 'boxed' ) 
			{
				
				
				$css .= 'body {background-color:'. $general_boxed_background .';}';
				
			}
			
			//kirhero_admin_general_boxed_inner_color
			
			$general_boxed_inner_background = get_theme_mod( 'kirhero_admin_general_boxed_inner_color', kirhero_get_default_theme_settings('general-pages-boxed-inner-background'));
			
			if ( ! empty( $general_boxed_inner_background ) && $has_wide_layout == 'boxed' ) 
			{
				
				
				$css .= '.site-container {background-color:'. $general_boxed_inner_background .';}';
				//reset for frontpage
				$css .= '.kirhero-frontpage .site-container {background-color:inherit;}';
				
			}
			
			//kirhero_admin_general_wide_content_color
			
			$general_wide_content_background = get_theme_mod( 'kirhero_admin_general_wide_content_color', kirhero_get_default_theme_settings('general-pages-wide-content-background'));
			
			if ( ! empty( $general_wide_content_background ) && $has_wide_layout == 'wide' ) 
			{
				
				
				$css .= '.site-inner {background-color:'. $general_wide_content_background .';}';
				
			}
			
			//kirhero_admin_general_background_color
			$general_background_color = get_theme_mod( 'kirhero_admin_general_background_color', kirhero_get_default_theme_settings('general-pages-background-color'));
			
			if ( ! empty( $general_background_color ) && $has_wide_layout == 'wide' ) 
			{
				
				
				$css .= 'body {background-color:'. $general_background_color .';}';
				
			}
			
			//body background-image
			$general_background_image			= get_theme_mod( 'kirhero_admin_general_background_image' );
			$general_background_image_position 		= get_theme_mod( 'kirhero_admin_general_background_image_position' );
			$general_background_image_attachment 	= get_theme_mod( 'kirhero_admin_general_background_image_attachment' );
			$general_background_image_repeat 		= get_theme_mod( 'kirhero_admin_general_background_image_repeat' );
			$general_background_image_size 			= get_theme_mod( 'kirhero_admin_general_background_image_size' );

			
			if ( ! empty( $general_background_image ) ) 
			{
				
				$css .= "body{background-image:url('".$general_background_image."');}";
				
				// Get site background position
				if ( ! empty( $general_background_image_position ) && 'initial' != $general_background_image_position ) {
					$css .= 'body{background-position:'. $general_background_image_position .';}';
				}
				
				// Get site background attachment
				if ( ! empty( $general_background_image_attachment ) && 'initial' != $general_background_image_attachment ) {
					$css .= 'body{background-attachment:'. $general_background_image_attachment .';}';
				}
				
				// Get site background repeat
				if ( ! empty( $general_background_image_repeat ) && 'initial' != $general_background_image_repeat ) {
					$css .= 'body{background-repeat:'. $general_background_image_repeat .';}';
				}
				
				// Get site background size
				if ( ! empty( $general_background_image_size ) && 'initial' != $general_background_image_size ) {
					$css .= 'body{background-size:'. $general_background_image_size .';}';
				}
			}

			
			//page title general
			
			$general_subheader_background_color = get_theme_mod( 'kirhero_general_subheader_background_color', kirhero_get_default_theme_settings('general-page-header-background-color'));
			$general_subheader_background_color_liner = get_theme_mod( 'kirhero_general_subheader_background_color_liner', kirhero_get_default_theme_settings('general-page-header-background-color-liner'));
			
			
			if ( ! empty( $general_subheader_background_color )) 
			{
				//to do liner-gradient
				$css .= '.general-page-header {background-image: linear-gradient(140deg, '.$general_subheader_background_color.' 0%, '.$general_subheader_background_color.' 100%);}';
				
				if ( ! empty( $general_subheader_background_color_liner ))
				{
					$css .= '.general-page-header {background-image: linear-gradient(140deg, '.$general_subheader_background_color.' 0%, '.$general_subheader_background_color_liner.' 100%);}';
				
				}
			}
			
			
			
			
			//kirhero_blog_text_background_color
			$general_subheader_text_background_color = get_theme_mod( 'kirhero_general_subheader_text_background_color', kirhero_get_default_theme_settings('general-page-header-text-background-color'));
			
			if ( ! empty( $general_subheader_text_background_color )) 
			{
				
				$css .= '.general-page-header {color:'. $general_subheader_text_background_color .';}';
			}
			
			$general_subheader_padding_top = get_theme_mod( 'kirhero_general_subheader_padding_top', kirhero_get_default_theme_settings('general-page-header-padding-top'));
			
			if ( ! empty( $general_subheader_padding_top )) 
			{
				
				$css .= '.general-page-header {padding-top:'. $general_subheader_padding_top .'px;}';
			}
			
			$general_subheader_padding_bottom = get_theme_mod( 'kirhero_general_subheader_padding_bottom', kirhero_get_default_theme_settings('general-page-header-padding-bottom'));
			
			if ( ! empty( $general_subheader_padding_bottom )) 
			{
				
				$css .= '.general-page-header {padding-bottom:'. $general_subheader_padding_bottom .'px;}';
			}
			
			
			/*
				Blog
			*/
			
			//kirhero_admin_blog_margin_top
			$blog_margin_top = get_theme_mod( 'kirhero_admin_blog_margin_top', kirhero_get_default_theme_settings( 'blog-margin-top' ) );
			
			if ( ! empty( $blog_margin_top )) 
			{
				$css .= '.blog .site-inner,.archive .site-inner, .single-post .site-inner {margin-top:'. $blog_margin_top .'px}';
				
			}
			
			
			if ( ! empty( $blog_article_drop_shadow ) ) 
			{

				$css .= '.blog .blog-entry-inner, .archive .blog-entry-inner{-webkit-box-shadow: 0 1px 4px rgba(0,0,0,0.15);-moz-box-shadow: 0 1px 4px rgba(0,0,0,0.15);box-shadow: 0 1px 4px rgba(0,0,0,0.15);}';
				
				$css .= '.blog .thumbnail, .archive .thumbnail{margin-left: -20px;margin-right: -20px;}';
			}
			
			//subheader
			$blog_subheader_background_color = get_theme_mod( 'kirhero_blog_subheader_background_color', kirhero_get_default_theme_settings('blog-page-header-text-background-color'));
			$blog_subheader_background_color_liner = get_theme_mod( 'kirhero_blog_subheader_background_color_liner', kirhero_get_default_theme_settings('blog-page-header-text-background-color-liner'));
			
			
			if ( ! empty( $blog_subheader_background_color )) 
			{
				
				//$css .= '.single-post .general-page-header {background-color:'. $blog_subheader_background_color .';}';
				
				$css .= '.single-post .general-page-header {background-image: linear-gradient(140deg, '.$blog_subheader_background_color.' 0%, '.$blog_subheader_background_color.' 100%);}';
				
				if ( ! empty( $blog_subheader_background_color_liner ))
				{
					$css .= '.single-post .general-page-header {background-image: linear-gradient(140deg, '.$blog_subheader_background_color.' 0%, '.$blog_subheader_background_color_liner.' 100%);}';
				
				}
			}
			
			
			$blog_subheader_text_background_color = get_theme_mod( 'kirhero_blog_subheader_text_background_color', kirhero_get_default_theme_settings('blog-page-header-background-color'));
			
			if ( ! empty( $blog_subheader_text_background_color )) 
			{
				
				$css .= '.single-post .general-page-header {color:'. $blog_subheader_text_background_color .';}';
			}
			

			$blog_subheader_padding_top = get_theme_mod( 'kirhero_blog_subheader_padding_top', kirhero_get_default_theme_settings('blog-page-header-padding-top'));
			
			if ( ! empty( $blog_subheader_padding_top )) 
			{
				
				$css .= '.single-post .general-page-header {padding-top:'. $blog_subheader_padding_top .'px;}';
			}
			
			$blog_subheader_padding_bottom = get_theme_mod( 'kirhero_blog_subheader_padding_bottom', kirhero_get_default_theme_settings('blog-page-header-padding-bottom'));
			
			if ( ! empty( $blog_subheader_padding_bottom )) 
			{
				
				$css .= '.single-post .general-page-header {padding-bottom:'. $blog_subheader_padding_bottom .'px;}';
			}
			
			if ( ! empty( $blog_breadcrumbs_link_color )) 
			{
				
				$css .= '.single-post .trail-item a{color:'. $blog_breadcrumbs_link_color .';}';
			}

	
			
			/*
				Sidebar
			*/
			
			$sidebar_background_color = get_theme_mod( 'kirhero_admin_sidebar_background_color', kirhero_get_default_theme_settings('sidebar-background-color'));
			
			if ( ! empty( $sidebar_background_color )) 
			{
				
				$css .= '.sidebar-secondary .widget > :last-child,.sidebar-primary .widget > :last-child{background-color:'. $sidebar_background_color .';}';
			}
			
			if ( ! empty( $sidebar_title_background_color )) 
			{
				
				$css .= '.sidebar-secondary .widget .widget-span,.sidebar-primary .widget .widget-span{background-color:'. $sidebar_title_background_color .';}';
			}
			if ( ! empty( $sidebar_title_border_color )) 
			{
				
				$css .= '.sidebar-secondary .widget .widget-title-2,.sidebar-primary .widget .widget-title-2{border-color:'. $sidebar_title_border_color .';}';
			}
			
			if ( ! empty( $sidebar_link_color )) 
			{
				
				$css .= '.sidebar-secondary .widget a,.sidebar-primary .widget a{color:'. $sidebar_link_color .';}';
			}
			
			if ( ! empty( $sidebar_link_color )) 
			{
				
				$css .= '.sidebar-secondary .widget ,.sidebar-primary .widget {color:'. $sidebar_text_color .';}';
			}
			
			if ( ! empty( $sidebar_link_color )) 
			{
				
				$css .= '.sidebar-secondary .widget a:hover,.sidebar-primary .widget a:hover{color:'. $sidebar_text_color_hover .';}';
			}
			
			
			
			//sidebar menu padding
			$sidebar_padding_top = get_theme_mod( 'kirhero_admin_sidebar_padding_top', kirhero_get_default_theme_settings('sidebar-padding-top'));
			
			if ( ! empty( $sidebar_padding_top )) 
			{
				
				$css .= '.sidebar-secondary>.sidebar-wrap,.sidebar-primary>.sidebar-wrap{padding-top:'. $sidebar_padding_top .'px;}';
			}
			
			$sidebar_padding_right = get_theme_mod( 'kirhero_admin_sidebar_padding_right', kirhero_get_default_theme_settings('sidebar-padding-right'));
			
			if ( ! empty( $sidebar_padding_right )) 
			{
				
				$css .= '.sidebar-secondary>.sidebar-wrap,.sidebar-primary .sidebar-wrap{padding-right:'. $sidebar_padding_right .'px;}';
			}
			
			$sidebar_padding_left = get_theme_mod( 'kirhero_admin_sidebar_padding_left', kirhero_get_default_theme_settings('sidebar-padding-left'));
			
			if ( ! empty( $sidebar_padding_left )) 
			{
				
				$css .= '.sidebar-secondary>.sidebar-wrap,.sidebar-primary .sidebar-wrap{padding-left:'. $sidebar_padding_left .'px;}';
			}
			
			$sidebar_padding_bottom = get_theme_mod( 'kirhero_admin_sidebar_padding_bottom', kirhero_get_default_theme_settings('sidebar-padding-bottom'));
			
			if ( ! empty( $sidebar_padding_bottom )) 
			{
				
				$css .= '.sidebar-secondary>.sidebar-wrap,.sidebar-primary .sidebar-wrap{padding-bottom:'. $sidebar_padding_bottom .'px;}';
			}
			
			/*
				Footer
			*/
			
			$footer_background_color = get_theme_mod( 'kirhero_admin_footer_background_color', kirhero_get_default_theme_settings('footer-background-color'));
			
			if ( ! empty( $footer_background_color )) 
			{
				
				$css .= '.site-footer {background-color:'. $footer_background_color .';}';
			}
			
			if ( ! empty( $footer_text_color )) 
			{
				
				$css .= '.site-footer p{color:'. $footer_text_color .';}';
				$css .= 'footer.site-footer .widget, footer.site-footer .widget caption{color:'. $footer_text_color .';}';
			}
			
			if ( ! empty( $footer_link_color )) 
			{
				
				$css .= 'footer.site-footer a{color:'. $footer_link_color .' ;}';
				$css .= 'footer.site-footer .genesis-nav-menu a{color:'. $footer_link_color .' ;}';
			}
			
			//$footer_hr_color
			if ( ! empty( $footer_hr_color )) 
			{
				
				$css .= 'footer.site-footer hr{border-color:'. $footer_hr_color .' ;}';
			}
			
			if ( ! empty( $footer_link_color_hover )) 
			{
				
				$css .= 'footer.site-footer a:hover{color:'. $footer_link_color_hover .';}';
				$css .= 'footer.site-footer .genesis-nav-menu a:hover{color:'. $footer_link_color_hover .';}';
			}
			
			if ( ! empty( $footer_widgets_title_color )) 
			{
				$css .= 'footer.site-footer .widget-title{color:'. $footer_widgets_title_color .';}';
			}
			
			
	
			
			
			
			
			
			/*
				Frontpage
			*/
			
			
			
			if ( ! empty( $frontpage_about_background_color )) 
			{
				
				$css .= '.frontpage-content-wrap {background-color:'. $frontpage_about_background_color .';}';
			}
			
			if ( ! empty( $frontpage_about_link_color )) 
			{
				
				$css .= '.frontpage-content-wrap a{color:'. $frontpage_about_link_color .';}';
			}
			if ( ! empty( $frontpage_about_link_color_hover )) 
			{
				
				$css .= '.frontpage-content-wrap a:hover{color:'. $frontpage_about_link_color_hover .';}';
			}
			
			
			if ( ! empty( $frontpage_about_text_color )) 
			{
				
				$css .= '.entry-content.frontpage-content {color:'. $frontpage_about_text_color .';}';
			}
			
			
			//$frontpage_slide_background_color
			$frontpage_slide_background_switch = get_theme_mod( 'kirhero_admin_frontpage_slide_title_switch', kirhero_get_default_theme_settings( 'frontpage-slide-title-switch' ) );
			
			if ( ! empty( $frontpage_slide_background_color ) && $frontpage_slide_background_switch == 'color' ) 
			{			
				$css .= '.frontpage-slide-wrap {background-color:'. $frontpage_slide_background_color .';}';
				
				if ( ! empty( $frontpage_slide_background_color_liner ))
				{
					$css .= '.frontpage-slide-wrap {background-image: linear-gradient(140deg, '.$frontpage_slide_background_color.' 0%, '.$frontpage_slide_background_color_liner.' 100%);}';
				
				}
			}
			
			//slide text color
			if ( ! empty( $frontpage_slide_text_color ) ) 
			{			
				$css .= '.kirhero-frontpage .frontpage-slide-title,.kirhero-frontpage .frontpage-slide-text {color:'. $frontpage_slide_text_color .';}';
				
			}
			
			//slide btn back color
			if ( ! empty( $frontpage_slide_text_btn_background_color ) ) 
			{			
				$css .= '.frontpage-slide-btn {background-color:'. $frontpage_slide_text_btn_background_color .';}';
				
			}
			
			//slide btn text color
			if ( ! empty( $frontpage_slide_text_btn_color ) ) 
			{			
				$css .= '.kirhero-frontpage .frontpage-slide-btn {color:'. $frontpage_slide_text_btn_color .';}';
				
			}
			
			//slide btn text color
			if ( ! empty( $frontpage_slide_text_btn_color_hover ) ) 
			{			
				$css .= '.kirhero-frontpage .frontpage-slide-btn:hover {color:'. $frontpage_slide_text_btn_color_hover .'; border-color:'. $frontpage_slide_text_btn_color_hover .'}';
				
			}
			
			//slide btn border radius

			if ( $frontpage_action_btn_border_radius > -1 ) 
			{			
				$css .= '.frontpage-slide-btn {border-radius:'. $frontpage_action_btn_border_radius .'px;}';
				
			}
			
			
			//Action btn back color
			if ( ! empty( $frontpage_action_btn_background_color ) ) 
			{			
				$css .= '.fp_action_button_a {background-color:'. $frontpage_action_btn_background_color .';}';
				
			}
			
			//Action btn text color
			if ( ! empty( $frontpage_action_btn_color ) ) 
			{			
				$css .= '.kirhero-frontpage .fp_action_button_a {color:'. $frontpage_action_btn_color .';}';
				
			}
			
			//Action btn text color
			if ( ! empty( $frontpage_action_btn_color_hover ) ) 
			{			
				$css .= '.kirhero-frontpage .fp_action_button_a:hover {color:'. $frontpage_action_btn_color_hover .'; border-color:'. $frontpage_action_btn_color_hover .'}';
				
			}
			
			//Action btn border radius

			if ( $frontpage_action_btn_border_radius > -1 ) 
			{			
				$css .= '.kirhero-frontpage .fp_action_button_a {border-radius:'. $frontpage_action_btn_border_radius .'px;}';
				
			}

					
			/* Padding */
			
			$frontpage_about_padding_top = get_theme_mod( 'kirhero_admin_frontpage_about_padding_top', kirhero_get_default_theme_settings('frontpage-about-padding-top'));
			
			if ( ! empty( $frontpage_about_padding_top )) 
			{
				
				$css .= '.frontpage-content{padding-top:'. $frontpage_about_padding_top .'px;}';
			}
			
			$frontpage_about_padding_right = get_theme_mod( 'kirhero_admin_frontpage_about_padding_right', kirhero_get_default_theme_settings('frontpage-about-padding-right'));
			
			if ( ! empty( $frontpage_about_padding_right )) 
			{
				
				$css .= '.frontpage-content{padding-right:'. $frontpage_about_padding_right .'px;}';
			}
			
			$frontpage_about_padding_bottom = get_theme_mod( 'kirhero_admin_frontpage_about_padding_bottom', kirhero_get_default_theme_settings('frontpage-about-padding-bottom'));
			
			if ( ! empty( $frontpage_about_padding_bottom )) 
			{
				
				$css .= '.frontpage-content{padding-bottom:'. $frontpage_about_padding_bottom .'px;}';
			}
			
			$frontpage_about_padding_left = get_theme_mod( 'kirhero_admin_frontpage_about_padding_left', kirhero_get_default_theme_settings('frontpage-about-padding-left'));
			
			if ( ! empty( $frontpage_about_padding_left )) 
			{
				
				$css .= '.frontpage-content{padding-left:'. $frontpage_about_padding_left .'px;}';
			}
			
			
			/* team */
			
			if ( ! empty( $frontpage_team_link_color )) 
			{
				
				$css .= '.frontpage-team-wrap a{color:'. $frontpage_team_link_color .';}';
			}
			
			if ( ! empty( $frontpage_team_link_color_hover )) 
			{
				
				$css .= '.frontpage-team-wrap a:hover{color:'. $frontpage_team_link_color_hover .';}';
			}
			
			//background
			if ( ! empty( $frontpage_team_background_color )) 
			{
				
				$css .= '.frontpage-team-wrap {background-color:'. $frontpage_team_background_color .';}';
			}
			
			//title color
			if ( ! empty( $frontpage_team_title_color )) 
			{
				
				$css .= '.frontpage-team-title, .fp_team_h3 {color:'. $frontpage_team_title_color .';}';
			}
			
			//text color
			if ( ! empty( $frontpage_team_text_color )) 
			{
				
				$css .= '.frontpage-team-text, .fp_team_member_text {color:'. $frontpage_team_text_color .';}';
			}
			
			/*  blog */ 
			if ( ! empty( $frontpage_blog_background_color )) 
			{
				
				$css .= '.frontpage-blog-wrap {background-color:'. $frontpage_blog_background_color .';}';
			}
			/*  blog title color */ 
			if ( ! empty( $frontpage_blog_title_color )) 
			{
				
				$css .= '.frontpage-blog-title {color:'. $frontpage_blog_title_color .';}';
			}
			/*  blog text color */ 
			if ( ! empty( $frontpage_blog_text_color )) 
			{
				
				$css .= '.frontpage-blog-text, .fp_blog_p {color:'. $frontpage_blog_text_color .';}';
			}
			
			/*  blog link color*/ 
			if ( ! empty( $frontpage_blog_link_color )) 
			{
				
				$css .= '.frontpage-blog-wrap a{color:'. $frontpage_blog_link_color .';}';
			}
			
			/*  blog link color hover*/ 
			if ( ! empty( $frontpage_blog_link_color_hover )) 
			{
				
				$css .= '.frontpage-blog-wrap a:hover{color:'. $frontpage_blog_link_color_hover .';}';
			}
			
			/* features */
			if ( ! empty( $frontpage_features_background_color )) 
			{
				
				$css .= '.frontpage-features-wrap {background-image: linear-gradient(140deg, '.$frontpage_features_background_color.' 0%, '.$frontpage_features_background_color.' 100%);}';
				
				if ( ! empty( $frontpage_features_background_color_liner ))
				{
					$css .= '.frontpage-features-wrap {background-image: linear-gradient(140deg, '.$frontpage_features_background_color.' 0%, '.$frontpage_features_background_color_liner.' 100%);}';
				
				}

			}
			
			/*  blog title color */ 
			if ( ! empty( $frontpage_features_title_color )) 
			{
				
				$css .= '.frontpage-features-title {color:'. $frontpage_features_title_color .';}';
			}

			/*  blog text color */ 
			if ( ! empty( $frontpage_features_text_color )) 
			{
				
				$css .= '.frontpage-features-text, .fp_features_h4, .fp_features_member_text {color:'. $frontpage_features_text_color .';}';
			}

				
			
			/* action */
			if ( ! empty( $frontpage_action_background_color )) 
			{
				//to do liner-gradient
				$css .= '.frontpage-action-wrap {background-image: linear-gradient(140deg, '.$frontpage_action_background_color.' 0%, '.$frontpage_action_background_color.' 100%);}';
				
				if ( ! empty( $frontpage_action_background_color_2 ))
				{
					$css .= '.frontpage-action-wrap {background-image: linear-gradient(140deg, '.$frontpage_action_background_color.' 0%, '.$frontpage_action_background_color_2.' 100%);}';
				
				}
				
			}
			
			if ( ! empty( $frontpage_action_title_color )) 
			{
				
				$css .= '.frontpage-action-title, .frontpage-action-subtitle {color:'. $frontpage_action_title_color .';}';
			}
			
			if ( ! empty( $frontpage_action_text_color )) 
			{
				
				$css .= '.frontpage-action-text {color:'. $frontpage_action_text_color .';}';
			}
			
			
			/* subsc */
			
			if ( ! empty( $frontpage_subscribe_background_color )) 
			{
				$css .= '.frontpage-subscribe-wrap {background-image: linear-gradient(140deg, '.$frontpage_subscribe_background_color.' 0%, '.$frontpage_subscribe_background_color.' 100%);}';
				
				if ( ! empty( $frontpage_subscribe_background_color_liner ))
				{
					$css .= '.frontpage-subscribe-wrap {background-image: linear-gradient(140deg, '.$frontpage_subscribe_background_color.' 0%, '.$frontpage_subscribe_background_color_liner.' 100%);}';
				
				}
			}
			
			if ( ! empty( $frontpage_subscribe_text_color )) 
			{
				$css .= '.frontpage-subscribe-text {color:'. $frontpage_subscribe_text_color .';}';
				$css .= '.frontpage-subscribe-shortcode-div {color:'. $frontpage_subscribe_text_color .';}';
				$css .= '.fp_subscribe_widget .widget {color:'. $frontpage_subscribe_text_color .';}';
			}
			
			if ( ! empty( $frontpage_subscribe_title_color )) 
			{
				$css .= '.frontpage-subscribe-title {color:'. $frontpage_subscribe_title_color .';}';
			}
			
			if ( ! empty( $frontpage_subscribe_widget_background_color )) 
			{
				
				$css .= '.fp_subscribe_widget{background-color:'.$frontpage_subscribe_widget_background_color .';}';
			}
			
			if ( ! empty( $frontpage_subscribe_widget_text_color )) 
			{
				
				$css .= '.frontpage-subscribe-widget-wrap, .frontpage-subscribe-widget-wrap *{color:'.$frontpage_subscribe_widget_text_color .';}';
			}
			if ( ! empty( $frontpage_subscribe_widget_link_color )) 
			{
				
				$css .= '.frontpage-subscribe-widget-wrap a{color:'.$frontpage_subscribe_widget_link_color .';}';
			}
			if ( ! empty( $frontpage_subscribe_widget_link_color_hover )) 
			{
				
				$css .= '.frontpage-subscribe-widget-wrap a:hover{color:'.$frontpage_subscribe_widget_link_color_hover .';}';
			}

			
			//$frontpage_subscribe_widget_width
			
			if ( ! empty( $frontpage_subscribe_widget_width )) 
			{
				
				$css .= '.frontpage-subscribe-widget-wrap {width:'. $frontpage_subscribe_widget_width .'%;}';
			}
			
			
			$frontpage_subscribe_has_image = get_theme_mod( 'kirhero_admin_frontpage_subscribe_image', kirhero_get_default_theme_settings('frontpage-subscribe-image'));
			
			
			if ( empty( $frontpage_subscribe_has_image )) 
			{
				
				$css .= '.fp_subscribe_img:after{background-color:inherit}';
			}
			
			/* contact */
			
			if ( ! empty( $frontpage_contact_background_color )) 
			{
				
				$css .= '.frontpage-contact-wrap {background-image: linear-gradient(140deg, '.$frontpage_contact_background_color.' 0%, '.$frontpage_contact_background_color.' 100%);}';
				
				if ( ! empty( $frontpage_contact_background_color_liner ))
				{
					$css .= '.frontpage-contact-wrap {background-image: linear-gradient(140deg, '.$frontpage_contact_background_color.' 0%, '.$frontpage_contact_background_color_liner.' 100%);}';
				
				}
				
			}
			
			if ( ! empty( $frontpage_contact_link_color )) 
			{
				
				$css .= '.frontpage-contact-wrap .first a{color:'. $frontpage_contact_link_color .';}';
			}
			if ( ! empty( $frontpage_contact_link_color_hover )) 
			{
				
				$css .= '.frontpage-contact-wrap .first a:hover{color:'. $frontpage_contact_link_color_hover .';}';
			}
			
			if ( ! empty( $frontpage_contact_shortcode_link_color )) 
			{
				
				$css .= '.frontpage-contact-wrap .frontpage-shortcode-wrap a{color:'. $frontpage_contact_shortcode_link_color .';}';
			}
			if ( ! empty( $frontpage_contact_shortcode_link_color_hover )) 
			{
				
				$css .= '.frontpage-contact-wrap .frontpage-shortcode-wrap a:hover{color:'. $frontpage_contact_shortcode_link_color_hover .';}';
			}
			
			
			if ( ! empty( $frontpage_contact_text_color )) 
			{
				
				$css .= '.frontpage-contact-title, .frontpage-contact-text, .frontpage-widget-contact, .frontpage-contact-content {color:'. $frontpage_contact_text_color .';}';
			}
			
			
			$frontpage_contact_has_image = get_theme_mod( 'kirhero_admin_frontpage_contact_image', kirhero_get_default_theme_settings('frontpage-contact-image'));
			
			
			if ( empty( $frontpage_contact_has_image )) 
			{
				
				$css .= '.fp_contact_img:after{background-color:inherit}';
			}
			
			
	
			if ( ! empty( $frontpage_contact_shortcode_background_color )) 
			{
				
				$css .= '.frontpage-shortcode-wrap {background-color:'. $frontpage_contact_shortcode_background_color .';}';
			}
			
			if ( ! empty( $frontpage_contact_shortcode_text_color )) 
			{
				
				$css .= '.kirhero-frontpage .frontpage-widget-contact,.kirhero-frontpage .frontpage-contact-shortcode-title,.kirhero-frontpage .frontpage-shortcode-div * {color:'. $frontpage_contact_shortcode_text_color .';}';
			}
			
						
			return $css;
			
		}
		
		public static function kirhero_admin_sections( $wp_customize ) 
		{

			//default controls
			$wp_customize->get_setting( 'blogname' )->transport 		= 'postMessage';
			$wp_customize->get_setting( 'blogdescription' )->transport 	= 'postMessage';
			
			
			//transfer logo customizer
			$wp_customize->get_control( 'custom_logo' )->section = 'kirhero_admin_header_logo';
			$wp_customize->get_control( 'custom_logo' )->priority = 1;
			$wp_customize->get_setting( 'custom_logo' )->transport = 'refresh';
			
			//$wp_customize->get_section( 'sidebar-widgets-subscribe-widgets' )->panel = 'kirhero_admin_frontpage_panel';
			//$wp_customize->get_section( 'sidebar-widgets-subscribe-widgets' )->section = 'kirhero_admin_frontpage_subscribe_section';
	
			
			//$wp_customize->get_setting( 'sidebar-widgets-subscribe-widgets' )->transport 	= 'postMessage';
			//print_r($wp_customize->get_section( 'sidebar-widgets-subscribe-widgets' )->options);
			
			
		}
		
		
		
		//default functions / settings
		public static function kirhero_admin_functions( $func_name ) 
		{
			$return = false;
			
			$setting_array = kirhero_get_default_theme_settings( 'admin_customizer_func' );
			
			if( in_array( $func_name, $setting_array ) )
			{
				$return = true;
			}		
			
			return $return;	
		}
		
		//load fonts
		public static function process( $return = 'css' ) 
		{	
			// Get elements
			$kirhero_elements = self::css_elements();

			// Return if elements are empty
			if ( empty( $kirhero_elements ) ) 
			{
				return;
			}
			
			$css = '';
			
			$get_customizer_font = array();

			
			foreach( $kirhero_elements as $element => $array ) 
			{ 
				
				$kirhero_admin_functions  = ! empty( $array['kirhero_admin_functions'] ) ? $array['kirhero_admin_functions'] : false;
				$exclude_attributes 	= ! empty( $array['exclude'] ) ? $array['exclude'] : false;
				$active_callback    	= isset( $array['active_callback'] ) ? $array['active_callback'] : null;
				$transport          	= 'postMessage';
				$section          	= $array['section'];
				$priority           = $array['priority'];
				
				$target  		= isset( $array['target'] ) ? $array['target'] : '';
				
				//sanitize
				$array['atributes']['font-family'] = ! empty( $array['atributes']['font-family'] ) ? $array['atributes']['font-family'] : null;
				$array['atributes']['font-size'] = ! empty( $array['atributes']['font-size'] ) ? $array['atributes']['font-size'] : null;
				$array['atributes']['font-weight'] = ! empty( $array['atributes']['font-weight'] ) ? $array['atributes']['font-weight'] : null;
				$array['atributes']['font-style'] = ! empty( $array['atributes']['font-style'] ) ? $array['atributes']['font-style'] : null;
				$array['atributes']['text-transform'] = ! empty( $array['atributes']['text-transform'] ) ? $array['atributes']['text-transform'] : null;
				$array['atributes']['letter-spacing'] = ! empty( $array['atributes']['letter-spacing'] ) ? $array['atributes']['letter-spacing'] : null;
				$array['atributes']['line-height'] = ! empty( $array['atributes']['line-height'] ) ? $array['atributes']['line-height'] : null;
				$array['atributes']['font-color'] = ! empty( $array['atributes']['font-color'] ) ? $array['atributes']['font-color'] : null;
				
				$attributes = array(
						'font-family',
						'font-style',
						'font-size',
						'font-weight',
						'text-transform',
						'font-color',
						'line-height',
						'letter-spacing',
					);
				
				$attributes = array_combine( $attributes, $attributes );
				
				// Exclude attributes for specific options
				if ( $exclude_attributes ) 
				{
					foreach ( $exclude_attributes as $key => $val ) 
					{
						//echo $attributes[ $val ]." ".$val;
						unset( $attributes[ $val ] );
					}
				}
				
				//Default
				$font_family = '';
				$font_size = '';
				$font_weight = '';
				$font_style = '';
				$text_transform = '';
				$text_letter_spacing = '';
				$text_line_height = '';
				$text_font_color = '';
				
				

				/**
				* Font Family
				*/
				if( in_array('font-family', $attributes))
				{
					
					$get_fonts = get_theme_mod( $element .'_font_family', $array['atributes']['font-family'] );
					
					if( !empty( $get_fonts ) )
					{
						$get_customizer_font[] = $get_fonts;
						$font_family = 'font-family:'. $get_fonts .';';
					}
				}
				
				/**
				* Font Size
				*/
				if( in_array( 'font-size', $attributes ) )
				{
					//$get_elements[] = '_style';
					$get_customizer_size = get_theme_mod( $element .'_font_size', $array['atributes']['font-size'] );
					
					if( !empty( $get_customizer_size ) )
					{
						$font_size = 'font-size:'.$get_customizer_size.';';
					}
				}
				
				/**
				* Font weight
				*/
				if( in_array( 'font-weight', $attributes ) )
				{
					$get_customizer_weight = get_theme_mod( $element .'_font_weight', $array['atributes']['font-weight'] );
					
					if( !empty( $get_customizer_weight ) )
					{
						$font_weight = 'font-weight:'.$get_customizer_weight.';';
					}
				}
				
				/**
				* Font style
				*/
				if( in_array( 'font-style', $attributes ) )
				{
					$get_customizer_style = get_theme_mod( $element .'_font_style', $array['atributes']['font-style'] );
					
					if( !empty( $get_customizer_style ) )
					{
						$font_style = 'font-style:'.$get_customizer_style.';';
					}
				}
				
				/**
				* Text transform
				*/
				if( in_array( 'text-transform', $attributes ) )
				{
					$get_customizer_transform = get_theme_mod( $element .'_text_transform', $array['atributes']['text-transform'] );
					
					if( !empty( $get_customizer_transform ) )
					{
						$text_transform = 'text-transform:'.$get_customizer_transform.';';
					}
				}
				
				/**
				* Letter transform
				*/
				if( in_array( 'letter-spacing', $attributes ) )
				{
					$get_customizer_letter_spacing = get_theme_mod( $element .'_letter_spacing', $array['atributes']['letter-spacing'] );
					
					if( !empty( $get_customizer_letter_spacing ) )
					{
						$text_letter_spacing = 'letter-spacing:'.$get_customizer_letter_spacing.'px;';
					}
				}
				
				/**
				* Letter transform
				*/
				if( in_array( 'line-height', $attributes ) )
				{
					$get_customizer_line_height = get_theme_mod( $element .'_line_height', $array['atributes']['line-height'] );
					
					if( !empty( $get_customizer_line_height ) )
					{
						$text_line_height = 'line-height:'.$get_customizer_line_height.';';
					}
				}
				
				/**
				* Font color
				*/
				if( in_array( 'font-color', $attributes ) )
				{
					$get_customizer_font_color = get_theme_mod( $element .'_font_color', $array['atributes']['font-color'] );
					
					if( !empty( $get_customizer_font_color ) )
					{
						$text_font_color = 'color:'.$get_customizer_font_color.';';
					}
				}
				
				////////////////process
				$css .= $target.'{'.$font_family.$font_size.$font_weight.$font_style.$text_transform.$text_letter_spacing.$text_line_height.$text_font_color.'}';
			}
		
			//Return fonts
			if( $return == 'css' )
			{
				return $css;	
			}
			
			//Return fonts
			if( $return == 'fonts' )
			{
				return $get_customizer_font;
			}
			
		}
		
		public static function load_fonts() 
		{
			// Get fonts
			$fonts = self::process( 'fonts' );

			// Loop through and enqueue fonts
			if ( ! empty( $fonts ) && is_array( $fonts ) ) 
			{
				foreach ( $fonts as $font ) 
				{
					kirhero_enqueue_fonts( $font );
				}
			}
		}
		
		
		/*
		 * Returns correct CSS 
		 *
		*/
		public function css_fonts() 
		{
			$styles = self::process( 'css' );

			if ( $styles )
			{
				// Note that esc_html() cannot be used because `div &gt; span` is not interpreted properly. (wordpress/wp-includes/theme.php)
				echo "<!-- Kirhero CSS fonts -->\n<style type=\"text/css\">\n" . strip_tags( $styles ). "\n</style>";
			}

		}
		

		
		
		public static function css_elements() 
		{
			
			/*
				Atributes:
				
				'font-family',
				'font-style',
				'font-size',
				'font-weight',
				'text-transform',
				'font-color',
				'line-height',
				'letter-spacing',
				
			*/
			
			//remove_filter('kirhero_typography_settings', '');
		
			return apply_filters( 'kirhero_typography_settings', array(
				'kirhero_admin_fonts_body' 	=> array(
							'section'                => 'kirhero_admin_fonts_body',
							'target' 				=> 'body,body > div',
							'priority'               => 1,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-body-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-body-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-body-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-body-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-body-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-body-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-body-line-height' ),
								'font-color'         => kirhero_get_default_theme_settings( 'fonts-body-font-color' ),
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_body_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_body_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_body_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_body_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_body_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_body_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_body_line_height' ),
								'font-color'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_body_font_color' ),
							),
				),
				
				'kirhero_admin_fonts_main_menu' 	=> array(
							'section'                => 'kirhero_admin_fonts_main_menu',
							'target' 				=> '.menu-primary, .genesis-nav-menu .sub-menu a',
							'priority'               => 2,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-main-menu-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-main-menu-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-main-menu-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-main-menu-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-main-menu-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-main-menu-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-main-menu-line-height' ),
								
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_main_menu_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_main_menu_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_main_menu_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_main_menu_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_main_menu_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_main_menu_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_main_menu_line_height' ),
								
							),
				),
				'kirhero_admin_fonts_all_heading' 	=> array(
							'section'                => 'kirhero_admin_fonts_all_heading',
							'target' 				=> 'h1,h2,h3,h4,h5,h6,.theme-heading,.widget-title,.comment-reply-title,.entry-title,.sidebar-box .widget-title',
							'priority'               => 3,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-all-heading-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-all-heading-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-all-heading-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-all-heading-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-all-heading-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-all-heading-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-all-heading-line-height' ),
								'font-color'         => kirhero_get_default_theme_settings( 'fonts-all-heading-font-color' ),
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_all_heading_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_all_heading_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_all_heading_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_all_heading_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_all_heading_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_all_heading_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_all_heading_line_height' ),
								'font-color'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_all_heading_font_color' ),
							),
				),
				
				'kirhero_admin_fonts_page_title' 	=> array(
							'section'                => 'kirhero_admin_fonts_page_title',
							'target' 				=> '.single-page-header,.single-page-header .wrap h2,.general-page-header,.general-page-header .wrap h2,.breadcrumb-trail',
							'priority'               => 4,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-page-title-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-page-title-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-page-title-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-page-title-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-page-title-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-page-title-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-page-title-line-height' ),
								
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_page_title_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_page_title_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_page_title_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_page_title_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_page_title_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_page_title_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_page_title_line_height' ),
								
							),
				),
				
				'kirhero_admin_fonts_logo' 	=> array(
							'section'                => 'kirhero_admin_fonts_logo',
							'target' 				=> '.site-title',
							'priority'               => 5,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-logo-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-logo-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-logo-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-logo-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-logo-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-logo-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-logo-line-height' ),
								
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_logo_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_logo_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_logo_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_logo_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_logo_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_logo_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_logo_line_height' ),
								
							),
				),
				
				'kirhero_admin_fonts_entry_content' 	=> array(
							'section'                => 'kirhero_admin_fonts_entry_content',
							'target' 				=> '.entry-content',
							'priority'               => 6,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-entry-content-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-entry-content-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-entry-content-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-entry-content-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-entry-content-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-entry-content-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-entry-content-line-height' ),
								'font-color'         => kirhero_get_default_theme_settings( 'fonts-entry-content-font-color' ),

								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_entry_content_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_entry_content_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_entry_content_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_entry_content_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_entry_content_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_entry_content_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_entry_content_line_height' ),
								'font-color'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_entry_content_font_color' ),
							),
				),
				
				'kirhero_admin_fonts_blog_entry_title' 	=> array(
							'section'                => 'kirhero_admin_fonts_blog_entry_title',
							'target' 				=> '.blog .entry-title,.search .entry-title, .archive .entry-title',
							'priority'               => 7,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-blog-entry-title-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-blog-entry-title-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-blog-entry-title-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-blog-entry-title-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-blog-entry-title-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-blog-entry-title-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-blog-entry-title-line-height' ),

								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_blog_entry_title_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_blog_entry_title_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_blog_entry_title_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_blog_entry_title_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_blog_entry_title_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_blog_entry_title_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_blog_entry_title_line_height' ),
	
								
							),
				),
				
				'kirhero_admin_fonts_blog_post_title' 	=> array(
							'section'                => 'kirhero_admin_fonts_blog_post_title',
							'target' 				=> '.single-post .entry-title',
							'priority'               => 7,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-blog-post-title-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-blog-post-title-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-blog-post-title-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-blog-post-title-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-blog-post-title-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-blog-post-title-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-blog-post-title-line-height' ),
								'font-color'         => kirhero_get_default_theme_settings( 'fonts-blog-post-title-font-color' ),
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_blog_post_title_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_blog_post_title_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_blog_post_title_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_blog_post_title_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_blog_post_title_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_blog_post_title_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_blog_post_title_line_height' ),
								'font-color'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_blog_post_title_font_color' ),
								
							),
				),
				
				'kirhero_admin_fonts_blog_post_content' 	=> array(
							'section'                => 'kirhero_admin_fonts_blog_post_content',
							'target' 				=> '.single-post .entry-content',
							'priority'               => 8,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-blog-post-content-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-blog-post-content-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-blog-post-content-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-blog-post-content-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-blog-post-content-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-blog-post-content-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-blog-post-content-line-height' ),
								'font-color'         => kirhero_get_default_theme_settings( 'fonts-blog-post-content-font-color' ),
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_blog_post_content_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_blog_post_content_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_blog_post_content_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_blog_post_content_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_blog_post_content_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_blog_post_content_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_blog_post_content_line_height' ),
								'font-color'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_blog_post_content_font_color' ),
								
							),
				),
				
				'kirhero_admin_fonts_sidebar_title' 	=> array(
							'section'                => 'kirhero_admin_fonts_sidebar_title',
							'target' 				=> '.widget-title-2 .widget-span',
							'priority'               => 3,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-sidebar-title-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-sidebar-title-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-sidebar-title-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-sidebar-title-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-sidebar-title-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-sidebar-title-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-sidebar-title-line-height' ),
								'font-color'         => kirhero_get_default_theme_settings( 'fonts-sidebar-title-font-color' ),
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_sidebar_title_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_sidebar_title_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_sidebar_title_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_sidebar_title_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_sidebar_title_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_sidebar_title_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_sidebar_title_line_height' ),
								'font-color'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_sidebar_title_font_color' ),
								
							),
				),
				
				/* Frontpage heading like h2 */
				/*
				'kirhero_admin_fonts_frontpage_headings' 	=> array(
							'section'                => 'kirhero_admin_fonts_frontpage_headings',
							'target' 				=> '.kirhero-frontpage .frontpage-content-wrap h2,.kirhero-frontpage .frontpage-action-title,
												    .kirhero-frontpage .frontpage-blog-title, .kirhero-frontpage .frontpage-features-title,
												    .kirhero-frontpage .frontpage-subscribe-title, .kirhero-frontpage .frontpage-team-title,
												    .kirhero-frontpage .frontpage-contact-title,.kirhero-frontpage .frontpage-action-subtitle',
							'priority'               => 3,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-sidebar-title-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-sidebar-title-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-sidebar-title-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-sidebar-title-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-sidebar-title-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-sidebar-title-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-sidebar-title-line-height' ),

								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_sidebar_title_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_sidebar_title_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_sidebar_title_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_sidebar_title_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_sidebar_title_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_sidebar_title_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_sidebar_title_line_height' ),
								
							),
				),
				*/
				
				/* Frontpage Slide / Title */
				
				'kirhero_admin_fonts_frontpage_slide' 	=> array(
							'section'                => 'kirhero_admin_fonts_frontpage_slide',
							'target' 				=> '.kirhero-frontpage .frontpage-slide-title',
							'priority'               => 3,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-frontpage-slide-title-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-frontpage-slide-title-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-frontpage-slide-title-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-frontpage-slide-title-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-frontpage-slide-title-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-frontpage-slide-title-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-frontpage-slide-title-line-height' ),
								'heading'             => kirhero_get_default_theme_settings( 'fonts-frontpage-slide-title-heading' ),
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_slide_title_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_slide_title_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_slide_title_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_slide_title_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_slide_title_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_slide_title_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_slide_title_line_height' ),
								'heading'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_slide_heading' ),
							),
				),
				
				
				
				
				'kirhero_admin_fonts_frontpage_slide2' 	=> array(
							'section'                => 'kirhero_admin_fonts_frontpage_slide',
							'target' 				=> '.kirhero-frontpage .frontpage-slide-text',
							'priority'               => 3,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-frontpage-slide-text-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-frontpage-slide-text-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-frontpage-slide-text-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-frontpage-slide-text-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-frontpage-slide-text-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-frontpage-slide-text-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-frontpage-slide-text-line-height' ),
								'heading'             => kirhero_get_default_theme_settings( 'fonts-frontpage-slide-text-heading' ),
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_slide_title_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_slide_title_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_slide_title_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_slide_title_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_slide_title_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_slide_title_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_slide_title_line_height' ),
								'heading'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_slide_heading' ),
							),
				),
				
				'kirhero_admin_fonts_frontpage_slide3' 	=> array(
							'section'                => 'kirhero_admin_fonts_frontpage_slide',
							'target' 				=> '.kirhero-frontpage .frontpage-slide-btn',
							'priority'               => 3,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-frontpage-slide-btn-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-frontpage-slide-btn-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-frontpage-slide-btn-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-frontpage-slide-btn-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-frontpage-slide-btn-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-frontpage-slide-btn-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-frontpage-slide-btn-line-height' ),
								'heading'             => kirhero_get_default_theme_settings( 'fonts-frontpage-slide-btn-heading' ),
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_slide_title_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_slide_title_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_slide_title_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_slide_title_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_slide_title_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_slide_title_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_slide_title_line_height' ),
								'heading'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_slide_heading' ),
							),
				),
				
				
				/* Frontpage About / Content */
				
				'kirhero_admin_fonts_frontpage_about' 	=> array(
							'section'                => 'kirhero_admin_fonts_frontpage_about',
							'target' 				=> '.kirhero-frontpage .frontpage-content-wrap h2',
							'priority'               => 3,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-frontpage-about-title-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-frontpage-about-title-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-frontpage-about-title-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-frontpage-about-title-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-frontpage-about-title-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-frontpage-about-title-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-frontpage-about-title-line-height' ),
								'heading'             => kirhero_get_default_theme_settings( 'fonts-frontpage-about-title-heading' ),
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_about_title_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_about_title_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_about_title_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_about_title_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_about_title_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_about_title_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_about_title_line_height' ),
								'heading'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_about_heading' ),
							),
				),
				
				'kirhero_admin_fonts_frontpage_about2' 	=> array(
							'section'                => 'kirhero_admin_fonts_frontpage_about',
							'target' 				=> '.kirhero-frontpage .frontpage-content-wrap p',
							'priority'               => 3,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-frontpage-about-text-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-frontpage-about-text-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-frontpage-about-text-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-frontpage-about-text-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-frontpage-about-text-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-frontpage-about-text-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-frontpage-about-text-line-height' ),
								'heading'             => kirhero_get_default_theme_settings( 'fonts-frontpage-about-text-heading' ),
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_about_title_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_about_title_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_about_title_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_about_title_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_about_title_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_about_title_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_about_title_line_height' ),
								'heading'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_about_heading' ),
							),
				),
				
				
				/* Frontpage Team */
				
				'kirhero_admin_fonts_frontpage_team' 	=> array(
							'section'                => 'kirhero_admin_fonts_frontpage_team',
							'target' 				=> '.kirhero-frontpage .frontpage-team-title',
							'priority'               => 3,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-frontpage-team-title-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-frontpage-team-title-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-frontpage-team-title-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-frontpage-team-title-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-frontpage-team-title-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-frontpage-team-title-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-frontpage-team-title-line-height' ),
								'heading'             => kirhero_get_default_theme_settings( 'fonts-frontpage-team-title-heading' ),
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_team_title_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_team_title_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_team_title_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_team_title_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_team_title_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_team_title_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_team_title_line_height' ),
								'heading'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_team_heading' ),
							),
				),
				
				'kirhero_admin_fonts_frontpage_team2' 	=> array(
							'section'                => 'kirhero_admin_fonts_frontpage_team',
							'target' 				=> '.kirhero-frontpage .frontpage-team-text',
							'priority'               => 3,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-frontpage-team-text-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-frontpage-team-text-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-frontpage-team-text-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-frontpage-team-text-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-frontpage-team-text-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-frontpage-team-text-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-frontpage-team-text-line-height' ),
								'heading'             => kirhero_get_default_theme_settings( 'fonts-frontpage-team-text-heading' ),
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_team_title_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_team_title_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_team_title_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_team_title_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_team_title_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_team_title_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_team_title_line_height' ),
								'heading'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_team_heading' ),
							),
				),
				
				'kirhero_admin_fonts_frontpage_team3' 	=> array(
							'section'                => 'kirhero_admin_fonts_frontpage_team',
							'target' 				=> '.kirhero-frontpage .fp_team_h3',
							'priority'               => 3,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-frontpage-team-name-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-frontpage-team-name-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-frontpage-team-name-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-frontpage-team-name-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-frontpage-team-name-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-frontpage-team-name-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-frontpage-team-name-line-height' ),
								'heading'             => kirhero_get_default_theme_settings( 'fonts-frontpage-team-name-heading' ),
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_team_title_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_team_title_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_team_title_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_team_title_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_team_title_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_team_title_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_team_title_line_height' ),
								'heading'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_team_heading' ),
							),
				),
				
				'kirhero_admin_fonts_frontpage_team4' 	=> array(
							'section'                => 'kirhero_admin_fonts_frontpage_team',
							'target' 				=> '.kirhero-frontpage .fp_team_member_text',
							'priority'               => 3,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-frontpage-team-team-text-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-frontpage-team-team-text-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-frontpage-team-team-text-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-frontpage-team-team-text-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-frontpage-team-team-text-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-frontpage-team-team-text-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-frontpage-team-team-text-line-height' ),
								'heading'             => kirhero_get_default_theme_settings( 'fonts-frontpage-team-team-text-heading' ),
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_team_title_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_team_title_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_team_title_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_team_title_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_team_title_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_team_title_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_team_title_line_height' ),
								'heading'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_team_heading' ),
							),
				),

				
				/* Frontpage Blog */
				
				'kirhero_admin_fonts_frontpage_blog' 	=> array(
							'section'                => 'kirhero_admin_fonts_frontpage_blog',
							'target' 				=> '.kirhero-frontpage .frontpage-blog-title',
							'priority'               => 3,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-frontpage-blog-title-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-frontpage-blog-title-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-frontpage-blog-title-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-frontpage-blog-title-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-frontpage-blog-title-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-frontpage-blog-title-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-frontpage-blog-title-line-height' ),
								'heading'             => kirhero_get_default_theme_settings( 'fonts-frontpage-blog-title-heading' ),
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_blog_title_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_blog_title_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_blog_title_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_blog_title_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_blog_title_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_blog_title_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_blog_title_line_height' ),
								'heading'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_blog_heading' ),
							),
				),
				
				'kirhero_admin_fonts_frontpage_blog2' 	=> array(
							'section'                => 'kirhero_admin_fonts_frontpage_blog',
							'target' 				=> '.kirhero-frontpage .frontpage-blog-text',
							'priority'               => 3,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-frontpage-blog-text-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-frontpage-blog-text-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-frontpage-blog-text-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-frontpage-blog-text-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-frontpage-blog-text-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-frontpage-blog-text-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-frontpage-blog-text-line-height' ),
								'heading'             => kirhero_get_default_theme_settings( 'fonts-frontpage-blog-text-heading' ),
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_blog_title_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_blog_title_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_blog_title_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_blog_title_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_blog_title_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_blog_title_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_blog_title_line_height' ),
								'heading'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_blog_heading' ),
							),
				),
				
				'kirhero_admin_fonts_frontpage_blog3' 	=> array(
							'section'                => 'kirhero_admin_fonts_frontpage_blog',
							'target' 				=> '.kirhero-frontpage .fp_blog_h2',
							'priority'               => 3,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-frontpage-blog-blog-title-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-frontpage-blog-blog-title-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-frontpage-blog-blog-title-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-frontpage-blog-blog-title-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-frontpage-blog-blog-title-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-frontpage-blog-blog-title-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-frontpage-blog-blog-title-line-height' ),
								'heading'             => kirhero_get_default_theme_settings( 'fonts-frontpage-blog-blog-title-heading' ),
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_blog_title_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_blog_title_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_blog_title_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_blog_title_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_blog_title_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_blog_title_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_blog_title_line_height' ),
								'heading'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_blog_heading' ),
							),
				),
				
				'kirhero_admin_fonts_frontpage_blog4' 	=> array(
							'section'                => 'kirhero_admin_fonts_frontpage_blog',
							'target' 				=> '.kirhero-frontpage .fp_blog_p',
							'priority'               => 3,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-frontpage-blog-blog-text-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-frontpage-blog-blog-text-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-frontpage-blog-blog-text-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-frontpage-blog-blog-text-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-frontpage-blog-blog-text-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-frontpage-blog-blog-text-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-frontpage-blog-blog-text-line-height' ),
								'heading'             => kirhero_get_default_theme_settings( 'fonts-frontpage-blog-blog-text-heading' ),
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_blog_title_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_blog_title_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_blog_title_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_blog_title_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_blog_title_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_blog_title_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_blog_title_line_height' ),
								'heading'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_blog_heading' ),
							),
				),


				
				/* Frontpage Features */
				
				'kirhero_admin_fonts_frontpage_features' 	=> array(
							'section'                => 'kirhero_admin_fonts_frontpage_features',
							'target' 				=> '.kirhero-frontpage .frontpage-features-title',
							'priority'               => 3,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-frontpage-features-title-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-frontpage-features-title-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-frontpage-features-title-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-frontpage-features-title-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-frontpage-features-title-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-frontpage-features-title-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-frontpage-features-title-line-height' ),
								'heading'             => kirhero_get_default_theme_settings( 'fonts-frontpage-features-title-heading' ),
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_features_title_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_features_title_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_features_title_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_features_title_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_features_title_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_features_title_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_features_title_line_height' ),
								'heading'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_features_heading' ),
							),
				),
				
				'kirhero_admin_fonts_frontpage_features2' 	=> array(
							'section'                => 'kirhero_admin_fonts_frontpage_features',
							'target' 				=> '.kirhero-frontpage .frontpage-features-text',
							'priority'               => 3,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-frontpage-features-text-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-frontpage-features-text-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-frontpage-features-text-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-frontpage-features-text-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-frontpage-features-text-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-frontpage-features-text-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-frontpage-features-text-line-height' ),
								'heading'             => kirhero_get_default_theme_settings( 'fonts-frontpage-features-text-heading' ),
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_features_title_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_features_title_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_features_title_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_features_title_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_features_title_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_features_title_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_features_title_line_height' ),
								'heading'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_features_heading' ),
							),
				),
				
				'kirhero_admin_fonts_frontpage_features3' 	=> array(
							'section'                => 'kirhero_admin_fonts_frontpage_features',
							'target' 				=> '.kirhero-frontpage .fp_features_h4',
							'priority'               => 3,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-frontpage-features-feature-title-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-frontpage-features-feature-title-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-frontpage-features-feature-title-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-frontpage-features-feature-title-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-frontpage-features-feature-title-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-frontpage-features-feature-title-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-frontpage-features-feature-title-line-height' ),
								'heading'             => kirhero_get_default_theme_settings( 'fonts-frontpage-features-feature-title-heading' ),
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_features_title_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_features_title_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_features_title_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_features_title_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_features_title_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_features_title_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_features_title_line_height' ),
								'heading'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_features_heading' ),
							),
				),
				
				'kirhero_admin_fonts_frontpage_features4' 	=> array(
							'section'                => 'kirhero_admin_fonts_frontpage_features',
							'target' 				=> '.kirhero-frontpage .fp_features_member_text',
							'priority'               => 3,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-frontpage-features-feature-text-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-frontpage-features-feature-text-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-frontpage-features-feature-text-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-frontpage-features-feature-text-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-frontpage-features-feature-text-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-frontpage-features-feature-text-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-frontpage-features-feature-text-line-height' ),
								'heading'             => kirhero_get_default_theme_settings( 'fonts-frontpage-features-feature-text-heading' ),
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_features_title_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_features_title_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_features_title_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_features_title_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_features_title_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_features_title_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_features_title_line_height' ),
								'heading'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_features_heading' ),
							),
				),



				
				/* Frontpage Action */
				
				'kirhero_admin_fonts_frontpage_action' 	=> array(
							'section'                => 'kirhero_admin_fonts_frontpage_action',
							'target' 				=> '.kirhero-frontpage .frontpage-action-title',
							'priority'               => 3,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-frontpage-action-title-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-frontpage-action-title-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-frontpage-action-title-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-frontpage-action-title-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-frontpage-action-title-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-frontpage-action-title-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-frontpage-action-title-line-height' ),
								'heading'             => kirhero_get_default_theme_settings( 'fonts-frontpage-action-title-heading' ),
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_action_title_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_action_title_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_action_title_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_action_title_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_action_title_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_action_title_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_action_title_line_height' ),
								'heading'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_action_heading' ),
							),
				),
				
				'kirhero_admin_fonts_frontpage_action2' 	=> array(
							'section'                => 'kirhero_admin_fonts_frontpage_action',
							'target' 				=> '.kirhero-frontpage .frontpage-action-subtitle',
							'priority'               => 3,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-frontpage-action-subtitle-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-frontpage-action-subtitle-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-frontpage-action-subtitle-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-frontpage-action-subtitle-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-frontpage-action-subtitle-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-frontpage-action-subtitle-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-frontpage-action-subtitle-line-height' ),
								'heading'             => kirhero_get_default_theme_settings( 'fonts-frontpage-action-subtitle-heading' ),
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_action_title_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_action_title_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_action_title_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_action_title_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_action_title_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_action_title_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_action_title_line_height' ),
								'heading'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_action_heading' ),
							),
				),

				
				'kirhero_admin_fonts_frontpage_action3' 	=> array(
							'section'                => 'kirhero_admin_fonts_frontpage_action',
							'target' 				=> '.kirhero-frontpage .frontpage-action-text',
							'priority'               => 3,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-frontpage-action-text-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-frontpage-action-text-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-frontpage-action-text-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-frontpage-action-text-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-frontpage-action-text-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-frontpage-action-text-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-frontpage-action-text-line-height' ),
								'heading'             => kirhero_get_default_theme_settings( 'fonts-frontpage-action-text-heading' ),
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_action_title_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_action_title_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_action_title_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_action_title_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_action_title_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_action_title_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_action_title_line_height' ),
								'heading'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_action_heading' ),
							),
				),
				
				'kirhero_admin_fonts_frontpage_action4' 	=> array(
							'section'                => 'kirhero_admin_fonts_frontpage_action',
							'target' 				=> '.kirhero-frontpage .fp_action_button_a',
							'priority'               => 3,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-frontpage-action-btn-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-frontpage-action-btn-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-frontpage-action-btn-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-frontpage-action-btn-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-frontpage-action-btn-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-frontpage-action-btn-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-frontpage-action-btn-line-height' ),
								'heading'             => kirhero_get_default_theme_settings( 'fonts-frontpage-action-btn-heading' ),
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_action_title_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_action_title_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_action_title_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_action_title_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_action_title_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_action_title_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_action_title_line_height' ),
								'heading'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_action_heading' ),
							),
				),


				/* Frontpage Subscribe */
				
				'kirhero_admin_fonts_frontpage_subscribe' 	=> array(
							'section'                => 'kirhero_admin_fonts_frontpage_subscribe',
							'target' 				=> '.kirhero-frontpage .frontpage-subscribe-title,.kirhero-frontpage .fp_subscribe_wrap .widget-title',
							'priority'               => 3,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-frontpage-subscribe-title-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-frontpage-subscribe-title-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-frontpage-subscribe-title-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-frontpage-subscribe-title-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-frontpage-subscribe-title-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-frontpage-subscribe-title-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-frontpage-subscribe-title-line-height' ),
								'heading'             => kirhero_get_default_theme_settings( 'fonts-frontpage-subscribe-title-heading' ),
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_subscribe_title_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_subscribe_title_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_subscribe_title_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_subscribe_title_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_subscribe_title_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_subscribe_title_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_subscribe_title_line_height' ),
								'heading'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_subscribe_heading' ),
							),
				),
				
				'kirhero_admin_fonts_frontpage_subscribe2' 	=> array(
							'section'                => 'kirhero_admin_fonts_frontpage_subscribe',
							'target' 				=> '.kirhero-frontpage .frontpage-subscribe-text, .kirhero-frontpage .fp_subscribe_wrap .widget',
							'priority'               => 3,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-frontpage-subscribe-text-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-frontpage-subscribe-text-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-frontpage-subscribe-text-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-frontpage-subscribe-text-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-frontpage-subscribe-text-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-frontpage-subscribe-text-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-frontpage-subscribe-text-line-height' ),
								'heading'             => kirhero_get_default_theme_settings( 'fonts-frontpage-subscribe-text-heading' ),
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_subscribe_title_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_subscribe_title_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_subscribe_title_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_subscribe_title_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_subscribe_title_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_subscribe_title_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_subscribe_title_line_height' ),
								'heading'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_subscribe_heading' ),
							),
				),
				
				
				/* Frontpage Contact */
				
				'kirhero_admin_fonts_frontpage_contact' 	=> array(
							'section'                => 'kirhero_admin_fonts_frontpage_contact',
							'target' 				=> '.kirhero-frontpage .frontpage-contact-title',
							'priority'               => 3,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-frontpage-contact-title-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-frontpage-contact-title-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-frontpage-contact-title-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-frontpage-contact-title-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-frontpage-contact-title-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-frontpage-contact-title-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-frontpage-contact-title-line-height' ),
								'heading'             => kirhero_get_default_theme_settings( 'fonts-frontpage-contact-title-heading' ),
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_contact_title_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_contact_title_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_contact_title_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_contact_title_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_contact_title_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_contact_title_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_contact_title_line_height' ),
								'heading'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_contact_heading' ),
							),
				),
				
				'kirhero_admin_fonts_frontpage_contact2' 	=> array(
							'section'                => 'kirhero_admin_fonts_frontpage_contact',
							'target' 				=> '.kirhero-frontpage .frontpage-contact-text',
							'priority'               => 3,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-frontpage-contact-text-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-frontpage-contact-text-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-frontpage-contact-text-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-frontpage-contact-text-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-frontpage-contact-text-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-frontpage-contact-text-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-frontpage-contact-text-line-height' ),
								'heading'             => kirhero_get_default_theme_settings( 'fonts-frontpage-contact-text-heading' ),
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_contact_title_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_contact_title_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_contact_title_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_contact_title_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_contact_title_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_contact_title_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_contact_title_line_height' ),
								'heading'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_contact_heading' ),
							),
				),
				
				'kirhero_admin_fonts_frontpage_contact3' 	=> array(
							'section'                => 'kirhero_admin_fonts_frontpage_contact',
							'target' 				=> '.kirhero-frontpage .frontpage-contact-shortcode-title,.kirhero-frontpage .frontpage-shortcode-wrap .widget-title',
							'priority'               => 3,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-frontpage-contact-widget-title-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-frontpage-contact-widget-title-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-frontpage-contact-widget-title-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-frontpage-contact-widget-title-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-frontpage-contact-widget-title-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-frontpage-contact-widget-title-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-frontpage-contact-widget-title-line-height' ),
								'heading'             => kirhero_get_default_theme_settings( 'fonts-frontpage-contact-widget-title-heading' ),
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_contact_title_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_contact_title_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_contact_title_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_contact_title_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_contact_title_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_contact_title_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_contact_title_line_height' ),
								'heading'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_contact_heading' ),
							),
				),
				
				'kirhero_admin_fonts_frontpage_contact4' 	=> array(
							'section'                => 'kirhero_admin_fonts_frontpage_contact',
							'target' 				=> '.kirhero-frontpage .frontpage-contact-content,.kirhero-frontpage .frontpage-shortcode-wrap .widget',
							'priority'               => 3,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-frontpage-contact-content-text-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-frontpage-contact-content-text-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-frontpage-contact-content-text-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-frontpage-contact-content-text-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-frontpage-contact-content-text-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-frontpage-contact-content-text-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-frontpage-contact-content-text-line-height' ),
								'heading'             => kirhero_get_default_theme_settings( 'fonts-frontpage-contact-content-text-heading' ),
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_contact_title_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_contact_title_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_contact_title_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_contact_title_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_contact_title_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_contact_title_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_contact_title_line_height' ),
								'heading'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_contact_heading' ),
							),
				),

				
				
				/* Footer */
				
				'kirhero_admin_fonts_footer' 	=> array(
							'section'                => 'kirhero_admin_fonts_footer',
							'target' 				=> 'footer.site-footer .widget-title',
							'priority'               => 3,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-footer-widget-title-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-footer-widget-title-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-footer-widget-title-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-footer-widget-title-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-footer-widget-title-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-footer-widget-title-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-footer-widget-title-line-height' ),
								'heading'             => kirhero_get_default_theme_settings( 'fonts-footer-widget-title-heading' ),
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_footer_title_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_footer_title_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_footer_title_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_footer_title_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_footer_title_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_footer_title_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_footer_title_line_height' ),
								'heading'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_footer_heading' ),
							),
				),
				
				'kirhero_admin_fonts_footer2' 	=> array(
							'section'                => 'kirhero_admin_fonts_footer',
							'target' 				=> 'footer.site-footer .widget',
							'priority'               => 3,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-footer-widget-text-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-footer-widget-text-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-footer-widget-text-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-footer-widget-text-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-footer-widget-text-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-footer-widget-text-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-footer-widget-text-line-height' ),
								'heading'             => kirhero_get_default_theme_settings( 'fonts-footer-widget-text-heading' ),
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_footer_title_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_footer_title_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_footer_title_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_footer_title_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_footer_title_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_footer_title_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_footer_title_line_height' ),
								'heading'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_footer_heading' ),
							),
				),
				
				'kirhero_admin_fonts_footer3' 	=> array(
							'section'                => 'kirhero_admin_fonts_footer',
							'target' 				=> 'footer.site-footer .genesis-nav-menu',
							'priority'               => 3,
							'atributes' 				=> array(
								'font-family' 		=> kirhero_get_default_theme_settings( 'fonts-footer-menu-text-font-family' ),
								'font-size'         => kirhero_get_default_theme_settings( 'fonts-footer-menu-text-font-size' ),
								'font-weight'         => kirhero_get_default_theme_settings( 'fonts-footer-menu-text-font-weight' ),
								'font-style'         => kirhero_get_default_theme_settings( 'fonts-footer-menu-text-font-style' ),
								'text-transform'         => kirhero_get_default_theme_settings( 'fonts-footer-menu-text-text-transform' ),
								'letter-spacing'         => kirhero_get_default_theme_settings( 'fonts-footer-menu-text-letter-spacing' ),
								'line-height'         => kirhero_get_default_theme_settings( 'fonts-footer-menu-text-line-height' ),
								'heading'             => kirhero_get_default_theme_settings( 'fonts-footer-menu-text-heading' ),
								
								
								
							),
							'admin_function'    => array(
								'font-family'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_footer_title_font_family' ),
								'font-size'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_footer_title_font_size' ),
								'font-weight'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_footer_title_font_weight' ),
								'font-style'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_footer_title_font_style' ),
								'text-transform'      => self::kirhero_admin_functions( 'kirhero_admin_fonts_footer_title_text_transform' ),
								'letter-spacing'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_footer_title_letter_spacing' ),
								'line-height'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_footer_title_line_height' ),
								'heading'         => self::kirhero_admin_functions( 'kirhero_admin_fonts_footer_heading' ),
							),
				),

				
				
		
				
			) );
			
			
		
		}
		
		//Slider
		public static function kirhero_slider( $wp_customize )
		{
			

			/**
			 * Section
			 */
			if( self::kirhero_admin_functions( 'kirhero_admin_slider' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_slider' , array(
					'title' 			=> esc_html__( 'Simple Slider Settings', 'orionwp' ),
					'priority' 			=> 40,
					'description'       => esc_html__('For now it\'s only background-image + text. Works Only on Homepage.', 'orionwp'),
				) );
			}
			
			
			/**
			 * Slider Active
			 */
			$wp_customize->add_setting( 'kirhero_admin_slider_active', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('slider-active'),
				'sanitize_callback' 	=> 'kirhero_sanitize_checkbox',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_slider_active' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_slider_active', array(
					'label'	   				=> esc_html__( 'Active Simple Slider', 'orionwp' ),
					'type' 					=> 'checkbox',
					'section'  				=> 'kirhero_admin_slider',
					'settings' 				=> 'kirhero_admin_slider_active',
					'priority' 				=> 1,
					//'active_callback'             => 'kirhero_has_wide_layout',
				) ) );
			}
			
			
			/**
			 * Slider Background Image
			 */
			$wp_customize->add_setting( 'kirhero_admin_slider_background_image', array(
				'sanitize_callback' 	=> 'kirhero_sanitize_image',
				'default' => '',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_slider_background_image' ) )
			{
				$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'kirhero_admin_slider_background_image', array(
					'label'	   				=> esc_html__( 'Background Image', 'orionwp' ),
					'section'  				=> 'kirhero_admin_slider',
					'priority' 				=> 10,
					'transport' => 'refresh',
				) ) );
			}
			
			/**
			 * Slider Background Image Position
			 */
			$wp_customize->add_setting( 'kirhero_admin_slider_background_image_position', array(
				'default' 				=> 'initial',
				'sanitize_callback' 	=> 'sanitize_text_field',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_slider_background_image_position' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_slider_background_image_position', array(
							'label'	   				=> esc_html__( 'Position', 'orionwp' ),
							'type' 					=> 'select',
							'section'  				=> 'kirhero_admin_slider',
							'priority' 				=> 11,
							'settings'				=> 'kirhero_admin_slider_background_image_position',
							'active_callback' 		=> 'kirhero_cac_has_slider_background_image',
							'choices' 				=> array(
								'initial' 			=> esc_html__( 'Default', 'orionwp' ),
								'top left' 			=> esc_html__( 'Top Left', 'orionwp' ),
								'top center' 		=> esc_html__( 'Top Center', 'orionwp' ),
								'top right'  		=> esc_html__( 'Top Right', 'orionwp' ),
								'center left' 		=> esc_html__( 'Center Left', 'orionwp' ),
								'center center' 	=> esc_html__( 'Center Center', 'orionwp' ),
								'center right' 		=> esc_html__( 'Center Right', 'orionwp' ),
								'bottom left' 		=> esc_html__( 'Bottom Left', 'orionwp' ),
								'bottom center' 	=> esc_html__( 'Bottom Center', 'orionwp' ),
								'bottom right' 		=> esc_html__( 'Bottom Right', 'orionwp' ),
							),
						) ) );
			}
	
			/**
			 * Slider Background Image Attachment
			 */
			$wp_customize->add_setting( 'kirhero_admin_slider_background_image_attachment', array(
				'default' 				=> 'initial',
				'sanitize_callback' 	=> 'kirhero_sanitize_select',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_slider_background_image_attachment' ) )
			{

				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_slider_background_image_attachment', array(
					'label'	   				=> esc_html__( 'Attachment', 'orionwp' ),
					'type' 					=> 'select',
					'section'  				=> 'kirhero_admin_slider',
					'settings'				=> 'kirhero_admin_slider_background_image_attachment',
					'priority' 				=> 12,
					'active_callback' 		=> 'kirhero_cac_has_slider_background_image',
					'choices' 				=> array(
						'initial' 	=> esc_html__( 'Default', 'orionwp' ),
						'scroll' 	=> esc_html__( 'Scroll', 'orionwp' ),
						'fixed' 	=> esc_html__( 'Fixed', 'orionwp' ),
					),
				) ) );
			}
			
			/**
			 * Slider Image Size
			 */
			$wp_customize->add_setting( 'kirhero_admin_slider_background_image_size', array(
				'default'           	=> kirhero_get_default_theme_settings( 'slider-background-image-size' ),
				'sanitize_callback' 	=> 'kirhero_sanitize_select',
			) );

			if( self::kirhero_admin_functions( 'kirhero_admin_slider_background_image_size' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_slider_background_image_size', array(
					'label'	   				=> esc_html__( 'Slider Size', 'orionwp' ),
					'type' 					=> 'select',
					'section'  				=> 'kirhero_admin_slider',
					'settings' 				=> 'kirhero_admin_slider_background_image_size',
					'priority' 				=> 13,
					'choices' 				=> array(
						'extra_small'     => esc_html__( 'Extra Small', 'orionwp' ),
						'small'     => esc_html__( 'Small', 'orionwp' ),
						'medium'        => esc_html__( 'Medium', 'orionwp' ),
						'large'         => esc_html__( 'Large', 'orionwp' ),

					),
					'active_callback'                    =>  'kirhero_cac_has_slider_background_image',
				) ) );
			}

			
			/**
			 * Slider Full Width
			 */
			$wp_customize->add_setting( 'kirhero_admin_slider_full_width', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('slider-full-width'),
				'sanitize_callback' 	=> 'kirhero_sanitize_checkbox',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_slider_full_width' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_slider_full_width', array(
					'label'	   				=> esc_html__( 'Full Width Slider', 'orionwp' ),
					'type' 					=> 'checkbox',
					'section'  				=> 'kirhero_admin_slider',
					'settings' 				=> 'kirhero_admin_slider_full_width',
					'priority' 				=> 2,
					'active_callback'             => 'kirhero_has_wide_layout',
				) ) );
			}
			
			/**
			 * Slider Full Width
			 */
			$wp_customize->add_setting( 'kirhero_admin_slider_under_header', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('slider-under-header'),
				'sanitize_callback' 	=> 'kirhero_sanitize_checkbox',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_slider_under_header' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_slider_under_header', array(
					'label'	   				=> esc_html__( 'Under Fixed Header', 'orionwp' ),
					'type' 					=> 'checkbox',
					'section'  				=> 'kirhero_admin_slider',
					'settings' 				=> 'kirhero_admin_slider_under_header',
					'priority' 				=> 2,
					'active_callback'             => 'kirhero_has_fixed_header',
				) ) );
			}
			
			/**
			 * Slider Header Text
			 */
			$wp_customize->add_setting( 'kirhero_admin_slider_text_header', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('slider-text-header'),
				'sanitize_callback' 	=> 'wp_kses_post',
			) );

			$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_slider_text_header', array(
				'label'	   				=> esc_html__( 'Text Header', 'orionwp' ),
				'type' 					=> 'text',
				'section'  				=> 'kirhero_admin_slider',
				'settings' 				=> 'kirhero_admin_slider_text_header',
				'priority' 				=> 2,
				//'active_callback'                    =>  'kirhero_cac_has_slider_background_image',
			) ) );
			
			/**
			 * Slider Text
			 */
			$wp_customize->add_setting( 'kirhero_admin_slider_text', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('slider-text'),
				'sanitize_callback' 	=> 'wp_kses_post',
			) );

			$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_slider_text', array(
				'label'	   				=> esc_html__( 'Text', 'orionwp' ),
				'type' 					=> 'text',
				'section'  				=> 'kirhero_admin_slider',
				'settings' 				=> 'kirhero_admin_slider_text',
				'priority' 				=> 3,
				//'active_callback'                    =>  'kirhero_cac_has_slider_background_image',
			) ) );

			
			
		}
		
		//Sidebar
		public static function kirhero_sidebar( $wp_customize )
		{
			
			/**
			 * Section
			 */
			if( self::kirhero_admin_functions( 'kirhero_admin_sidebar_section' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_sidebar_section' , array(
					'title' 			=> esc_html__( 'Sidebar Settings', 'orionwp' ),
					'priority' 			=> 26,

				) );
			}
			
			/**
			 * Sidebar Background Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_sidebar_background_color', array(
				'default'           	=> kirhero_get_default_theme_settings('sidebar-background-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_sidebar_background_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_sidebar_background_color', array(
					'label'	   				=> esc_html__( 'Background Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_sidebar_section',
					'settings' 				=> 'kirhero_admin_sidebar_background_color',
					'priority' 				=> 1,
				) ) );
			}
			
			/**
			 * Sidebar title Background Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_sidebar_title_background_color', array(
				'default'           	=> kirhero_get_default_theme_settings('sidebar-title-background-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_sidebar_title_background_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_sidebar_title_background_color', array(
					'label'	   				=> esc_html__( 'Title Background Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_sidebar_section',
					'settings' 				=> 'kirhero_admin_sidebar_title_background_color',
					'priority' 				=> 2,
				) ) );
			}
			
			/**
			 * Sidebar border Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_sidebar_title_border_color', array(
				'default'           	=> kirhero_get_default_theme_settings('sidebar-title-border-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_sidebar_title_border_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_sidebar_title_border_color', array(
					'label'	   				=> esc_html__( 'Title Border Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_sidebar_section',
					'settings' 				=> 'kirhero_admin_sidebar_title_border_color',
					'priority' 				=> 3,
				) ) );
			}
			
			/**
			 * Sidebar link Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_sidebar_link_color', array(
				'default'           	=> kirhero_get_default_theme_settings('sidebar-link-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_sidebar_link_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_sidebar_link_color', array(
					'label'	   				=> esc_html__( 'Link Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_sidebar_section',
					'settings' 				=> 'kirhero_admin_sidebar_link_color',
					'priority' 				=> 4,
				) ) );
			}
			
			/**
			 * Sidebar link Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_sidebar_link_color_hover', array(
				'default'           	=> kirhero_get_default_theme_settings('sidebar-link-color-hover'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_sidebar_link_color_hover' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_sidebar_link_color_hover', array(
					'label'	   				=> esc_html__( 'Link Color :hover', 'orionwp' ),
					'section'  				=> 'kirhero_admin_sidebar_section',
					'settings' 				=> 'kirhero_admin_sidebar_link_color_hover',
					'priority' 				=> 5,
				) ) );
			}
			
			/**
			 * Sidebar border Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_sidebar_text_color', array(
				'default'           	=> kirhero_get_default_theme_settings('sidebar-text-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_sidebar_text_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_sidebar_text_color', array(
					'label'	   				=> esc_html__( 'Text Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_sidebar_section',
					'settings' 				=> 'kirhero_admin_sidebar_text_color',
					'priority' 				=> 6,
				) ) );
			}

			
			
			/**
			 * Sidebar Padding
			 */
			$wp_customize->add_setting( 'kirhero_admin_sidebar_padding_top', array(

				'default'           	=> kirhero_get_default_theme_settings('sidebar-padding-top'),
				'sanitize_callback' 	=> 'kirhero_sanitize_number',
			) );
			
			$wp_customize->add_setting( 'kirhero_admin_sidebar_padding_right', array(

				'default'           	=> kirhero_get_default_theme_settings('sidebar-padding-right'),
				'sanitize_callback' 	=> 'kirhero_sanitize_number',
			) );
			
			$wp_customize->add_setting( 'kirhero_admin_sidebar_padding_bottom', array(

				'default'           	=> kirhero_get_default_theme_settings('sidebar-padding-bottom'),
				'sanitize_callback' 	=> 'kirhero_sanitize_number',
			) );


			$wp_customize->add_setting( 'kirhero_admin_sidebar_padding_left', array(

				'default'           	=> kirhero_get_default_theme_settings('sidebar-padding-left'),
				'sanitize_callback' 	=> 'kirhero_sanitize_number',
			) );

			if( self::kirhero_admin_functions( 'kirhero_admin_sidebar_pad' ) )
			{
				$wp_customize->add_control( new Kirhero_Dimensions_Customizer_Control( $wp_customize, 'kirhero_admin_sidebar_pad', array(
					'label'	   				=> esc_html__( 'Padding (px)', 'orionwp' ),
					'section'  				=> 'kirhero_admin_sidebar_section',				
					'settings'   => array(					
			            'desktop_top' 		=> 'kirhero_admin_sidebar_padding_top',
			            'desktop_right' 	=> 'kirhero_admin_sidebar_padding_right',
			            'desktop_bottom' 	=> 'kirhero_admin_sidebar_padding_bottom',
			            'desktop_left' 		=> 'kirhero_admin_sidebar_padding_left',
					),
					'priority' 				=> 31,
				    'input_attrs' 			=> array(
				        'min'   => 0,
				        'max'   => 100,
				        'step'  => 1,
				    ),
				) ) );
			}

		}

		//Footer
		public static function kirhero_footer( $wp_customize )
		{
			/**
			 * Panel
			 */
			if( self::kirhero_admin_functions( 'kirhero_admin_footer_panel' ) )
			{
				$wp_customize->add_panel( 'kirhero_admin_footer_panel' , array(
					'title' 			=> esc_html__( 'Footer Settings', 'orionwp' ),
					'priority' 			=> 30,
				) );
			}

			/**
			 * Section
			 */
			if( self::kirhero_admin_functions( 'kirhero_admin_footer_general' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_footer_general' , array(
					'title' 			=> esc_html__( 'General Settings', 'orionwp' ),
					'priority' 			=> 1,
					'panel' 			=> 'kirhero_admin_footer_panel',
				) );
			}
			
			/**
			 * Footer Background Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_footer_background_color', array(
				'default'           	=> kirhero_get_default_theme_settings('footer-background-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			
			if( self::kirhero_admin_functions( 'kirhero_admin_footer_background_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_footer_background_color', array(
					'label'	   				=> esc_html__( 'Background Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_footer_general',
					'settings' 				=> 'kirhero_admin_footer_background_color',
					'priority' 				=> 20,
				) ) );
			}
			
			/**
			 * Footer Text Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_footer_text_color', array(
				'default'           	=> kirhero_get_default_theme_settings('footer-text-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			
			if( self::kirhero_admin_functions( 'kirhero_admin_footer_text_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_footer_text_color', array(
					'label'	   				=> esc_html__( 'Text Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_footer_general',
					'settings' 				=> 'kirhero_admin_footer_text_color',
					'priority' 				=> 21,
				) ) );
			}
			
			/**
			 * Footer Widgets Title Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_footer_widgets_title_color', array(
				'default'           	=> kirhero_get_default_theme_settings('footer-widgets-title-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			
			if( self::kirhero_admin_functions( 'kirhero_admin_footer_widgets_title_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_footer_widgets_title_color', array(
					'label'	   				=> esc_html__( 'Widgets Title Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_footer_general',
					'settings' 				=> 'kirhero_admin_footer_widgets_title_color',
					'priority' 				=> 21,
				) ) );
			}
			
			/**
			 * Footer Link Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_footer_link_color', array(
				'default'           	=> kirhero_get_default_theme_settings('footer-link-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			
			if( self::kirhero_admin_functions( 'kirhero_admin_footer_link_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_footer_link_color', array(
					'label'	   				=> esc_html__( 'Link Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_footer_general',
					'settings' 				=> 'kirhero_admin_footer_link_color',
					'priority' 				=> 22,
				) ) );
			}
			
			/**
			 * Footer Link Color :hover
			 */
			$wp_customize->add_setting( 'kirhero_admin_footer_link_color_hover', array(
				'default'           	=> kirhero_get_default_theme_settings('footer-link-color-hover'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			
			if( self::kirhero_admin_functions( 'kirhero_admin_footer_link_color_hover' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_footer_link_color_hover', array(
					'label'	   				=> esc_html__( 'Link Color :hover', 'orionwp' ),
					'section'  				=> 'kirhero_admin_footer_general',
					'settings' 				=> 'kirhero_admin_footer_link_color_hover',
					'priority' 				=> 23,
				) ) );
			}
			
			/**
			 * Footer HR color
			 */
			$wp_customize->add_setting( 'kirhero_admin_footer_hr_color', array(
				'default'           	=> kirhero_get_default_theme_settings('footer-hr-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			
			if( self::kirhero_admin_functions( 'kirhero_admin_footer_hr_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_footer_hr_color', array(
					'label'	   				=> esc_html__( '<hr> Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_footer_general',
					'settings' 				=> 'kirhero_admin_footer_hr_color',
					'priority' 				=> 23,
				) ) );
			}
			
			/**
			 * Slider Text
			 */
			$wp_customize->add_setting( 'kirhero_admin_footer_text', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('footer-text'),
				'sanitize_callback' 	=> 'wp_kses_post',
			) );

			$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_footer_text', array(
				'label'	   				=> esc_html__( 'Copyright', 'orionwp' ),
				'type' 					=> 'textarea',
				'section'  				=> 'kirhero_admin_footer_general',
				'settings' 				=> 'kirhero_admin_footer_text',
				'priority' 				=> 50,
				//'active_callback'                    =>  'kirhero_cac_has_slider_background_image',
			) ) );
			
			
			/**
			 * Slider Widgets count
			 */
			$wp_customize->add_setting( 'kirhero_admin_footer_widgets_count', array(
				'default' 				=> kirhero_get_default_theme_settings('footer-widgets-count'),
				'sanitize_callback' 	=> 'kirhero_sanitize_select',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_footer_widgets_count' ) )
			{

				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_footer_widgets_count', array(
					'label'	   				=> esc_html__( 'Number of Widgets Areas', 'orionwp' ),
					'type' 					=> 'select',
					'section'  				=> 'kirhero_admin_footer_general',
					'settings'				=> 'kirhero_admin_footer_widgets_count',
					'priority' 				=> 55,
					'choices' 				=> array(
						'0' 	=> '0',
						'1' 	=> '1',
						'2' 	=> '2',
						'3' 	=> '3',
					),
				) ) );
			}
			
		}

		
		//Fonts / Typography
		public static function kirhero_fonts( $wp_customize )
		{
			
			// Get elements
			$kirhero_elements = self::css_elements();

			// Return if elements are empty
			if ( empty( $kirhero_elements ) ) {
				return;
			}
			
			
			/**
			 * Panel
			 */
			if( self::kirhero_admin_functions( 'kirhero_admin_fonts_panel' ) )
			{
				$wp_customize->add_panel( 'kirhero_admin_fonts_panel' , array(
					'title' 			=> esc_html__( 'Fonts / Typography Settings', 'orionwp' ),
					'priority' 			=> 26,
				) );
			}
			
			/**
			 * Section
			 */
			if( self::kirhero_admin_functions( 'kirhero_admin_fonts_body_settings' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_fonts_body_settings' , array(
					'title' 			=> esc_html__( 'Add Google Fonts', 'orionwp' ),
					'priority' 			=> 1,
					'panel' 			=> 'kirhero_admin_fonts_panel',
				) );
			}
			
			
			$wp_customize->add_setting( 'kirhero_admin_fonts_body_settings_add', array(
				'default'           	=> kirhero_get_default_theme_settings('fonts-settings-add'),
				'sanitize_callback' 	=> 'wp_kses_post',
				
			) );

			if( self::kirhero_admin_functions( 'kirhero_admin_fonts_body_settings_add' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_fonts_body_settings_add', array(
					'label'	   				=> esc_html__( 'Add Google Font', 'orionwp' ),
					'type' 					=> 'text',
					'section'  				=> 'kirhero_admin_fonts_body_settings',
					'settings' 				=> 'kirhero_admin_fonts_body_settings_add',
					'priority' 				=> 1,
					//'active_callback' 		=> 'kirhero_has_article_display_length',
					'description'            => __('Add separate Google Fonts with commas <br>(example <b>Roboto,Open Sans</b> for one <b>Roboto</b> ). More info about <a href="https://fonts.google.com/" target="_blank">Google Fonts</a><br><br><b>After adding the Google Fonts and publishing it, please refresh the customizer page</b>', 'orionwp'),
				) ) );
			}
			

			/**
			 * Section
			 */
			if( self::kirhero_admin_functions( 'kirhero_admin_fonts_body' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_fonts_body' , array(
					'title' 			=> esc_html__( 'Body', 'orionwp' ),
					'priority' 			=> 1,
					'panel' 			=> 'kirhero_admin_fonts_panel',
				) );
			}
			
			/**
			 * Section
			 */
			if( self::kirhero_admin_functions( 'kirhero_admin_fonts_main_menu' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_fonts_main_menu' , array(
					'title' 			=> esc_html__( 'Main Menu', 'orionwp' ),
					'priority' 			=> 2,
					'panel' 			=> 'kirhero_admin_fonts_panel',
				) );
			}
			/**
			 * Section
			 */
			if( self::kirhero_admin_functions( 'kirhero_admin_fonts_all_heading' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_fonts_all_heading' , array(
					'title' 			=> esc_html__( 'All Headings', 'orionwp' ),
					'priority' 			=> 3,
					'panel' 			=> 'kirhero_admin_fonts_panel',
				) );
			}
			/**
			 * Section
			 */
			if( self::kirhero_admin_functions( 'kirhero_admin_fonts_page_title' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_fonts_page_title' , array(
					'title' 			=> esc_html__( 'Page Title', 'orionwp' ),
					'priority' 			=> 4,
					'panel' 			=> 'kirhero_admin_fonts_panel',
				) );
			}
			
			/**
			 * Section
			 */
			if( self::kirhero_admin_functions( 'kirhero_admin_fonts_logo' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_fonts_logo' , array(
					'title' 			=> esc_html__( 'Logo', 'orionwp' ),
					'priority' 			=> 5,
					'panel' 			=> 'kirhero_admin_fonts_panel',
				) );
			}
			
			/**
			 * Section
			 */
			if( self::kirhero_admin_functions( 'kirhero_admin_fonts_entry_content' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_fonts_entry_content' , array(
					'title' 			=> esc_html__( 'Entry Content', 'orionwp' ),
					'priority' 			=> 6,
					'panel' 			=> 'kirhero_admin_fonts_panel',
				) );
			}
			
			/**
			 * Section
			 */
			if( self::kirhero_admin_functions( 'kirhero_admin_fonts_blog_entry_title' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_fonts_blog_entry_title' , array(
					'title' 			=> esc_html__( 'Blog Entry Title', 'orionwp' ),
					'priority' 			=> 7,
					'panel' 			=> 'kirhero_admin_fonts_panel',
				) );
			}
			
			/**
			 * Section
			 */
			if( self::kirhero_admin_functions( 'kirhero_admin_fonts_blog_post_title' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_fonts_blog_post_title' , array(
					'title' 			=> esc_html__( 'Blog Post Title', 'orionwp' ),
					'priority' 			=> 8,
					'panel' 			=> 'kirhero_admin_fonts_panel',
				) );
			}
			
			/**
			 * Section
			 */
			if( self::kirhero_admin_functions( 'kirhero_admin_fonts_blog_post_content' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_fonts_blog_post_content' , array(
					'title' 			=> esc_html__( 'Blog Post Content', 'orionwp' ),
					'priority' 			=> 9,
					'panel' 			=> 'kirhero_admin_fonts_panel',
				) );
			}
			
			/**
			 * Section
			 */
			if( self::kirhero_admin_functions( 'kirhero_admin_fonts_sidebar_title' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_fonts_sidebar_title' , array(
					'title' 			=> esc_html__( 'Sidebar Title', 'orionwp' ),
					'priority' 			=> 3,
					'panel' 			=> 'kirhero_admin_fonts_panel',
				) );
			}
			
			/* Frontpage */
			/*
			if( self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_headings' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_fonts_frontpage_headings' , array(
					'title' 			=> esc_html__( 'Frontpage Headings', 'orionwp' ),
					'priority' 			=> 2,
					'panel' 			=> 'kirhero_admin_fonts_panel',
				) );
			}
			*/
			
			/* Frontpage Slide */
			
			if( self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_slide' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_fonts_frontpage_slide' , array(
					'title' 			=> esc_html__( 'Frontpage Slide / Title Section', 'orionwp' ),
					'priority' 			=> 2,
					'panel' 			=> 'kirhero_admin_fonts_panel',
				) );
			}
			
			/* Frontpage About */
			
			if( self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_about' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_fonts_frontpage_about' , array(
					'title' 			=> esc_html__( 'Frontpage About / Content Section', 'orionwp' ),
					'priority' 			=> 2,
					'panel' 			=> 'kirhero_admin_fonts_panel',
				) );
			}
			
			/* Frontpage Team */
			
			if( self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_team' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_fonts_frontpage_team' , array(
					'title' 			=> esc_html__( 'Frontpage Team Section', 'orionwp' ),
					'priority' 			=> 2,
					'panel' 			=> 'kirhero_admin_fonts_panel',
				) );
			}
			
			/* Frontpage Blog */
			
			if( self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_blog' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_fonts_frontpage_blog' , array(
					'title' 			=> esc_html__( 'Frontpage Blog Section', 'orionwp' ),
					'priority' 			=> 2,
					'panel' 			=> 'kirhero_admin_fonts_panel',
				) );
			}
			
			/* Frontpage Feature */
			
			if( self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_features' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_fonts_frontpage_features' , array(
					'title' 			=> esc_html__( 'Frontpage Features Section', 'orionwp' ),
					'priority' 			=> 2,
					'panel' 			=> 'kirhero_admin_fonts_panel',
				) );
			}
			
			/* Frontpage Action */
			
			if( self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_action' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_fonts_frontpage_action' , array(
					'title' 			=> esc_html__( 'Frontpage Action Section', 'orionwp' ),
					'priority' 			=> 2,
					'panel' 			=> 'kirhero_admin_fonts_panel',
				) );
			}
			
			/* Frontpage Subscribe */
			
			if( self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_subscribe' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_fonts_frontpage_subscribe' , array(
					'title' 			=> esc_html__( 'Frontpage Subscribe Section', 'orionwp' ),
					'priority' 			=> 2,
					'panel' 			=> 'kirhero_admin_fonts_panel',
				) );
			}
			
			/* Frontpage Contact */
			
			if( self::kirhero_admin_functions( 'kirhero_admin_fonts_frontpage_contact' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_fonts_frontpage_contact' , array(
					'title' 			=> esc_html__( 'Frontpage Contact Section', 'orionwp' ),
					'priority' 			=> 2,
					'panel' 			=> 'kirhero_admin_fonts_panel',
				) );
			}
			
			/* Footer */
			
			if( self::kirhero_admin_functions( 'kirhero_admin_fonts_footer' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_fonts_footer' , array(
					'title' 			=> esc_html__( 'Footer', 'orionwp' ),
					'priority' 			=> 2,
					'panel' 			=> 'kirhero_admin_fonts_panel',
				) );
			}

			



			/**
			 * All dynamic settings
			 */
			 
			foreach( $kirhero_elements as $element => $array ) 
			{ 

				$exclude_attributes 	= ! empty( $array['exclude'] ) ? $array['exclude'] : false;
				$active_callback    	= isset( $array['active_callback'] ) ? $array['active_callback'] : null;
				$transport          	= 'postMessage';
				$section          	= $array['section'];
				$priority           = $array['priority'];

				$attributes = array(
						'heading',
						'font-family',
						'font-style',
						'font-size',
						'font-weight',
						'text-transform',
						'font-color',
						'line-height',
						'letter-spacing',
						
					);
				
				$attributes = array_combine( $attributes, $attributes );
				
				// Exclude attributes for specific options
				if ( $exclude_attributes ) 
				{
					foreach ( $exclude_attributes as $key => $val ) 
					{
						unset( $attributes[ $val ] );
					}
				}
				
				/**
				 * Heading
				 */			 
				if ( in_array( 'heading', $attributes ) ) 
				{
					$kirhero_admin_functions = ! empty( $array['admin_function']['heading'] ) ? $array['admin_function']['heading'] : false;
					
					if( $kirhero_admin_functions )
					{
						$default =  NULL;
						
						$wp_customize->add_setting( $element .'_heading', array(
							'type' 				=> 'theme_mod',
							'sanitize_callback' => 'wp_kses',
							//'default' 			=> $default,
						) );
						$wp_customize->add_control( new Kirhero_Header_Customizer_Control( $wp_customize, $element .'_heading', array(
							'label' 			=> $array['atributes']['heading'],
							'section' 			=> $section,
							'settings' 			=> $element .'_heading',
							'priority' 			=> $priority,
							'active_callback' 	=> $active_callback,
						) ) );
						
					}
				}
				
				/**
				* Font Family
				*/
				if( in_array('font-family', $attributes) )
				{
					$kirhero_admin_functions = ! empty( $array['admin_function']['font-family'] ) ? $array['admin_function']['font-family'] : false;
					
					if( $kirhero_admin_functions )
					{
						$default = ! empty( $array['atributes']['font-family'] ) ? $array['atributes']['font-family'] : NULL;
											
						$wp_customize->add_setting( $element .'_font_family', array(
							'type' 				=> 'theme_mod',
							'sanitize_callback' => 'sanitize_text_field',
							'default'          => $default,
						) );
	
						$wp_customize->add_control( new Kirhero_Fonts_Customizer_Control( $wp_customize, $element .'_font_family', array(
								'label' 			=> esc_html__( 'Font Family', 'orionwp' ),
								'section' 			=> $section,
								'description'            => __('More info about <a href="https://fonts.google.com/" target="_blank">Google Fonts</a>', 'orionwp'),
								'settings' 			=> $element .'_font_family',
								'priority' 			=> $priority,
								'type' 				=> 'select',
								'active_callback' 	=> $active_callback,
						) ) );
					}
				}	
				
				/**
				* Font Size
				*/
				if ( in_array( 'font-size', $attributes ) ) 
				{
					$kirhero_admin_functions = ! empty( $array['admin_function']['font-size'] ) ? $array['admin_function']['font-size'] : false;
					
					if( $kirhero_admin_functions )
					{
						$default = ! empty( $array['atributes']['font-size'] ) ? $array['atributes']['font-size'] : NULL;
						
						$wp_customize->add_setting( $element .'_font_size', array(
							//'transport' 			=> 'postMessage',
							'type' 				=> 'theme_mod',
							'default'           	=> $default,
							'sanitize_callback' => 'sanitize_text_field',
						) );
			
						$wp_customize->add_control( new WP_Customize_Control( $wp_customize, $element .'_font_size', array(
							'label'	   				=> esc_html__( 'Font Size', 'orionwp' ),
							'description'	   		=> esc_html__( 'You can add: (px - em - %).', 'orionwp' ),
							'type' 					=> 'text',
							'section'  				=> $section,
							'settings' 				=> $element .'_font_size',
							'priority' 				=> $priority,
							'active_callback' 	=> $active_callback,
						) ) );
					}
				}
				
				
				/**
				 * Font Weight
				 */
				if ( in_array( 'font-weight', $attributes ) ) 
				{
					
					$kirhero_admin_functions = ! empty( $array['admin_function']['font-weight'] ) ? $array['admin_function']['font-weight'] : false;
					
					if( $kirhero_admin_functions )
					{
						$default = ! empty( $array['atributes']['font-weight'] ) ? $array['atributes']['font-weight'] : NULL;
						
						$wp_customize->add_setting( $element .'_font_weight', array(
							'type' 				=> 'theme_mod',
							'sanitize_callback' => 'kirhero_sanitize_select',
							'default'           	=> $default,
						) );
	
						$wp_customize->add_control( $element .'_font_weight', array(
							'label' 			=> esc_html__( 'Font Weight', 'orionwp' ),
							'description' 		=> esc_html__( 'Important: Not all fonts support every font-weight.', 'orionwp' ),
							'section' 			=> $section,
							'settings' 			=> $element .'_font_weight',
							'priority' 			=> $priority,
							'type' 				=> 'select',
							'active_callback' 	=> $active_callback,
							'choices' 			=> array(
								'' => esc_html__( 'Default', 'orionwp' ),
								'100' => esc_html__( 'Thin: 100', 'orionwp' ),
								'200' => esc_html__( 'Light: 200', 'orionwp' ),
								'300' => esc_html__( 'Book: 300', 'orionwp' ),
								'400' => esc_html__( 'Normal: 400', 'orionwp' ),
								'500' => esc_html__( 'Medium: 500', 'orionwp' ),
								'600' => esc_html__( 'Semibold: 600', 'orionwp' ),
								'700' => esc_html__( 'Bold: 700', 'orionwp' ),
								'800' => esc_html__( 'Extra Bold: 800', 'orionwp' ),
								'900' => esc_html__( 'Black: 900', 'orionwp' ),
							),
						) );
					}
				}
				
				
				/**
				 * Font Style
				 */
				if ( in_array( 'font-style', $attributes ) ) 
				{
					$kirhero_admin_functions = ! empty( $array['admin_function']['font-style'] ) ? $array['admin_function']['font-style'] : false;
					
					if( $kirhero_admin_functions )
					{
						$default = ! empty( $array['atributes']['font-style'] ) ? $array['atributes']['font-style'] : NULL;
						
						//echo $default;

						$wp_customize->add_setting( $element .'_font_style', array(
							'type' 				=> 'theme_mod',
							'sanitize_callback' => 'kirhero_sanitize_select',
							'default'           	=> $default,
						) );
		
						$wp_customize->add_control( $element .'_font_style', array(
							'label' 			=> esc_html__( 'Font Style', 'orionwp' ),
							'section' 			=> $section,
							'settings' 			=> $element .'_font_style',
							'priority' 			=> $priority,
							'type' 				=> 'select',
							'active_callback' 	=> $active_callback,
							'choices' 			=> array(
								'' => esc_html__( 'Default', 'orionwp' ),
								'normal' => esc_html__( 'Normal', 'orionwp' ),
								'italic' => esc_html__( 'Italic', 'orionwp' ),
							),
						) );
					}
				}
				
				/**
				 * Text Transform
				 */
				if ( in_array( 'text-transform', $attributes ) ) 
				{
					$kirhero_admin_functions = ! empty( $array['admin_function']['text-transform'] ) ? $array['admin_function']['text-transform'] : false;
					
					if( $kirhero_admin_functions )
					{
						$default = ! empty( $array['atributes']['text-transform'] ) ? $array['atributes']['text-transform'] : NULL;
						
						$wp_customize->add_setting( $element .'_text_transform', array(
							'type' 				=> 'theme_mod',
							'sanitize_callback' => 'kirhero_sanitize_select',
							'default'           	=> $default,
						) );
		
						$wp_customize->add_control( $element .'_text_transform', array(
							'label' 			=> esc_html__( 'Text Transform', 'orionwp' ),
							'section' 			=> $section,
							'settings' 			=> $element .'_text_transform',
							'priority' 			=> $priority,
							'type' 				=> 'select',
							'active_callback' 	=> $active_callback,
							'choices' 			=> array(
								'none'  	 => esc_html__( 'None', 'orionwp' ),
								'capitalize' => esc_html__( 'Capitalize', 'orionwp' ),
								'lowercase'  => esc_html__( 'Lowercase', 'orionwp' ),
								'uppercase'  => esc_html__( 'Uppercase', 'orionwp' ),
							),
						) );
					}
	
				}
				
				/**
				 * Letter Spacing
				 */
				 
				if ( in_array( 'letter-spacing', $attributes ) ) 
				{
					$kirhero_admin_functions = ! empty( $array['admin_function']['letter-spacing'] ) ? $array['admin_function']['letter-spacing'] : false;
					
					if( $kirhero_admin_functions )
					{
						$default = ! empty( $array['atributes']['letter-spacing'] ) ? $array['atributes']['letter-spacing'] : NULL;
						
						//echo $array['atributes']['letter-spacing'];
						
						$wp_customize->add_setting( $element .'_letter_spacing', array(
							'type' 				=> 'theme_mod',
							'default'           	=> $default,
							'sanitize_callback' 	=> 'kirhero_sanitize_number',
							
						) );
						
						
						$wp_customize->add_control( new Kirhero_Range_Customize_Control( $wp_customize, $element .'_letter_spacing', array(
							'label'	   				=> esc_html__( 'Letter Spacing (px)', 'orionwp' ),
							'section'  				=> $section,
							'settings' 				=> $element .'_letter_spacing',
							'priority' 				=> $priority,
						    'input_attrs' 			=> array(
						        'min'   => 0,
						        'max'   => 12,
						        'step'  => 0.1,
						    ),
						    'active_callback' 	=> $active_callback,
						) ) );
						
					}
				}
				
				/**
				 * Line Height
				 */
				 
				if ( in_array( 'line-height', $attributes ) ) 
				{
					$kirhero_admin_functions = ! empty( $array['admin_function']['line-height'] ) ? $array['admin_function']['line-height'] : false;
					
					if( $kirhero_admin_functions )
					{
						$default = ! empty( $array['atributes']['line-height'] ) ? $array['atributes']['line-height'] : NULL;
						
						
						$wp_customize->add_setting( $element .'_line_height', array(
							'type' 				=> 'theme_mod',
							'default'           	=> $default,
							'sanitize_callback' 	=> 'kirhero_sanitize_number',
							
						) );
						
						
						$wp_customize->add_control( new Kirhero_Range_Customize_Control( $wp_customize, $element .'_line_height', array(
							'label'	   				=> esc_html__( 'Line Height', 'orionwp' ),
							'section'  				=> $section,
							'settings' 				=> $element .'_line_height',
							'priority' 				=> $priority,
						    'input_attrs' 			=> array(
						        'min'   => 0,
						        'max'   => 12,
						        'step'  => 0.1,
						    ),
						    'active_callback' 	=> $active_callback,
						) ) );
						
					}
				}
				
				
				/**
				 * Font Color
				 */
				 
				if ( in_array( 'font-color', $attributes ) ) 
				{
					$kirhero_admin_functions = ! empty( $array['admin_function']['font-color'] ) ? $array['admin_function']['font-color'] : false;
					
					if( $kirhero_admin_functions )
					{
						$default = ! empty( $array['atributes']['font-color'] ) ? $array['atributes']['font-color'] : NULL;
						
						$wp_customize->add_setting( $element .'_font_color', array(
							'type' 				=> 'theme_mod',
							'sanitize_callback' => 'kirhero_sanitize_color',
							'default' 			=> $default,
						) );
						$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, $element .'_font_color', array(
							'label' 			=> esc_html__( 'Font Color', 'orionwp' ),
							'section' 			=> $section,
							'settings' 			=> $element .'_font_color',
							'priority' 			=> $priority,
							'active_callback' 	=> $active_callback,
						) ) );
			
						
					}
				}

			}
		}
		
		
		
		
		
		
		///general
		public static function kirhero_general( $wp_customize )
		{
			/**
			 * Panel
			 */
			if( self::kirhero_admin_functions( 'kirhero_admin_general_panel' ) )
			{
				$wp_customize->add_panel( 'kirhero_admin_general_panel' , array(
					'title' 			=> esc_html__( 'General Settings', 'orionwp' ),
					'priority' 			=> 22,
				) );
			}

			/**
			 * Section
			 */
			if( self::kirhero_admin_functions( 'kirhero_admin_general_general' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_general_general' , array(
					'title' 			=> esc_html__( 'General Settings', 'orionwp' ),
					'priority' 			=> 2,
					'panel' 			=> 'kirhero_admin_general_panel',
				) );
			}
			
			/**
			 * General Layout Style
			 */
			$wp_customize->add_setting( 'kirhero_admin_general_layout_style', array(
				'default'           	=> kirhero_get_default_theme_settings('general-layout-style'),
				'sanitize_callback' 	=> 'kirhero_sanitize_select',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_general_layout_style' ) )
			{ 
				$wp_customize->add_control( new Kirhero_Buttongroup_Customizer_Control( $wp_customize, 'kirhero_admin_general_layout_style', array(
					'label'	   				=> esc_html__( 'Site Layout', 'orionwp' ),
					'section'  				=> 'kirhero_admin_general_general',
					'settings' 				=> 'kirhero_admin_general_layout_style',
					'priority' 				=> 1,
					'choices' 				=> array(
						'wide' 	=> esc_html__( 'Wide', 'orionwp' ),
						'boxed' 	=> esc_html__( 'Boxed', 'orionwp' ),
					),
					
				) ) );
			}
			
			
			/**
			 * Drop Shadow
			 */
			$wp_customize->add_setting( 'kirhero_admin_general_layout_boxed_shadow', array(
				'default'           	=> kirhero_get_default_theme_settings( 'blog-layout-boxed-shadow' ),
				'sanitize_callback' 	=> 'kirhero_sanitize_checkbox',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_general_layout_boxed_shadow' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_general_layout_boxed_shadow', array(
					'label'	   				=> esc_html__( 'Drop Shadow', 'orionwp' ),
					'type' 					=> 'checkbox',
					'section'  				=> 'kirhero_admin_general_general',
					'settings' 				=> 'kirhero_admin_general_layout_boxed_shadow',
					'priority' 				=> 2,
					'active_callback' 		=> 'kirhero_has_boxed_layout',
				) ) );
			}
			
			/**
			 * Layout Boxed Width
			 */
			$wp_customize->add_setting( 'kirhero_admin_general_layout_width', array(
	
				'default'           	=> kirhero_get_default_theme_settings('general-layout-width'),
				'sanitize_callback' 	=> 'kirhero_sanitize_number',
				
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_general_layout_width' ) )
			{
				$wp_customize->add_control( new Kirhero_Range_Customize_Control( $wp_customize, 'kirhero_admin_general_layout_width', array(
					'label'	   				=> esc_html__( 'Site Container Width (px)', 'orionwp' ),
					'section'  				=> 'kirhero_admin_general_general',
					'settings' 				=> 'kirhero_admin_general_layout_width',
					'priority' 				=> 2,
				    'input_attrs' 			=> array(
				        'min'   => 50,
				        'max'   => 3000,
				        'step'  => 1,
				    ),
				    'active_callback' => 'kirhero_has_boxed_layout',
				) ) );
			}
			
			/**
			 * Layout Wide Width
			 */
			$wp_customize->add_setting( 'kirhero_admin_general_layout_wide_width', array(
	
				'default'           	=> kirhero_get_default_theme_settings('general-layout-wide-width'),
				'sanitize_callback' 	=> 'kirhero_sanitize_number',
				
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_general_layout_wide_width' ) )
			{
				$wp_customize->add_control( new Kirhero_Range_Customize_Control( $wp_customize, 'kirhero_admin_general_layout_wide_width', array(
					'label'	   				=> esc_html__( 'Site Container Width (px)', 'orionwp' ),
					'section'  				=> 'kirhero_admin_general_general',
					'settings' 				=> 'kirhero_admin_general_layout_wide_width',
					'priority' 				=> 2,
				    'input_attrs' 			=> array(
				        'min'   => 50,
				        'max'   => 3000,
				        'step'  => 1,
				    ),
				    'active_callback' => 'kirhero_has_wide_layout',
				) ) );
			}
			
			/**
			 * Layout Content Width
			 */
			$wp_customize->add_setting( 'kirhero_admin_general_layout_content_width', array(
	
				'default'           	=> kirhero_get_default_theme_settings('general-layout-content-width'),
				'sanitize_callback' 	=> 'kirhero_sanitize_number',
				
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_general_layout_content_width' ) )
			{
				$wp_customize->add_control( new Kirhero_Range_Customize_Control( $wp_customize, 'kirhero_admin_general_layout_content_width', array(
					'label'	   				=> esc_html__( 'Content Width (%)', 'orionwp' ),
					'section'  				=> 'kirhero_admin_general_general',
					'settings' 				=> 'kirhero_admin_general_layout_content_width',
					'priority' 				=> 3,
				    'input_attrs' 			=> array(
				        'min'   => 50,
				        'max'   => 100,
				        'step'  => 1,
				    ),
				) ) );
			}
			
			/**
			 * Layout Left Sidebar Width
			 */
			$wp_customize->add_setting( 'kirhero_admin_general_layout_sidebar_left_width', array(
	
				'default'           	=> kirhero_get_default_theme_settings('general-layout-left-width'),
				'sanitize_callback' 	=> 'kirhero_sanitize_number',
				
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_general_layout_sidebar_left_width' ) )
			{
				$wp_customize->add_control( new Kirhero_Range_Customize_Control( $wp_customize, 'kirhero_admin_general_layout_sidebar_left_width', array(
					'label'	   				=> esc_html__( 'Left Sidebar Width (%)', 'orionwp' ),
					'section'  				=> 'kirhero_admin_general_general',
					'settings' 				=> 'kirhero_admin_general_layout_sidebar_left_width',
					'priority' 				=> 5,
				    'input_attrs' 			=> array(
				        'min'   => 1,
				        'max'   => 50,
				        'step'  => 1,
				    ),
				    //'active_callback'       => 'kirhero_has_left_sidebar',
				) ) );
			}
			
			/**
			 * Layout Right (Primary) Sidebar Width
			 */
			$wp_customize->add_setting( 'kirhero_admin_general_layout_sidebar_right_width', array(
	
				'default'           	=> kirhero_get_default_theme_settings('general-layout-right-width'),
				'sanitize_callback' 	=> 'kirhero_sanitize_number',
				
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_general_layout_sidebar_right_width' ) )
			{
				$wp_customize->add_control( new Kirhero_Range_Customize_Control( $wp_customize, 'kirhero_admin_general_layout_sidebar_right_width', array(
					'label'	   				=> esc_html__( 'Right (Primary) Sidebar Width (%)', 'orionwp' ),
					'section'  				=> 'kirhero_admin_general_general',
					'settings' 				=> 'kirhero_admin_general_layout_sidebar_right_width',
					'priority' 				=> 4,
				    'input_attrs' 			=> array(
				        'min'   => 1,
				        'max'   => 50,
				        'step'  => 1,
				    ),
				   // 'active_callback'       => 'kirhero_has_right_sidebar',
				) ) );
			}
			
			
			/**
			 * General Pages
			 */
			$wp_customize->add_setting( 'kirhero_admin_general_header_pages', array(
				'sanitize_callback' 	=> 'wp_kses',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_general_header_pages' ) )
			{
				$wp_customize->add_control( new Kirhero_Header_Customizer_Control( $wp_customize, 'kirhero_admin_general_header_pages', array(
					'label'    				=> esc_html__( 'Pages Settings', 'orionwp' ),
					'section'  				=> 'kirhero_admin_general_general',
					'priority' 				=> 20,
				) ) );
			}
			
			
			/**
			 * Pages Layout
			 */
			$wp_customize->add_setting( 'kirhero_admin_general_pages_layout', array(
				'default'           	=> kirhero_get_default_theme_settings( 'general-pages-layout' ),
				'sanitize_callback' 	=> 'kirhero_sanitize_select',
			) );

			if( self::kirhero_admin_functions( 'kirhero_admin_general_pages_layout' ) )
			{
				$wp_customize->add_control( new Kirhero_Radio_Image_Customizer_Control( $wp_customize, 'kirhero_admin_general_pages_layout', array(
					'label'	   				=> esc_html__( 'Pages Layout', 'orionwp' ),
					'section'  				=> 'kirhero_admin_general_general',
					'settings' 				=> 'kirhero_admin_general_pages_layout',
					'priority' 				=> 21,
					'choices' 				=> kirhero_customizer_layout_blog(),
				) ) );
			}
			
			
			/**
			 * Pages Both Sidebars
			 */
			$wp_customize->add_setting( 'kirhero_admin_general_pages_both_sidebars_style', array(
				'default'           	=> kirhero_get_default_theme_settings( 'general-pages-both-sidebars-style' ),
				'sanitize_callback' 	=> 'kirhero_sanitize_select',
			) );

			if( self::kirhero_admin_functions( 'kirhero_admin_general_pages_both_sidebars_style' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_general_pages_both_sidebars_style', array(
					'label'	   				=> esc_html__( 'Both Sidebars: Style', 'orionwp' ),
					'type' 					=> 'select',
					'section'  				=> 'kirhero_admin_general_general',
					'settings' 				=> 'kirhero_admin_general_pages_both_sidebars_style',
					'priority' 				=> 22,
					'choices' 				=> array(
						'sidebar-sidebar-content' 		=> esc_html__( 'Sidebar / Sidebar / Content', 'orionwp' ),
						'sidebar-content-sidebar' 		=> esc_html__( 'Sidebar / Content / Sidebar', 'orionwp' ),
						'content-sidebar-sidebar' 		=> esc_html__( 'Content / Sidebar / Sidebar', 'orionwp' ),
					),
					'active_callback' 		=> 'kirhero_has_pages_both_sidebar',
				) ) );
			}
			
		
			
			//general colors
			
			/**
			 * General colors
			 */
			if( self::kirhero_admin_functions( 'kirhero_admin_general_colors' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_general_colors' , array(
					'title' 			=> esc_html__( 'General Colors', 'orionwp' ),
					'priority' 			=> 1,
					'panel' 			=> 'kirhero_admin_general_panel',
				) );
			}
			
			/**
			 * General Boxed Background Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_general_boxed_background_color', array(
				'default'           	=> kirhero_get_default_theme_settings('general-pages-boxed-outside-background'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_general_boxed_background_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_general_boxed_background_color', array(
					'label'	   				=> esc_html__( 'Outside Background Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_general_colors',
					'settings' 				=> 'kirhero_admin_general_boxed_background_color',
					'priority' 				=> 10,
					'active_callback'             => 'kirhero_has_boxed_layout',
				) ) );
			}
			
			/**
			 * General Wide Inner Background (content)
			 */
			$wp_customize->add_setting( 'kirhero_admin_general_wide_content_color', array(
				'default'           	=> kirhero_get_default_theme_settings('general-pages-wide-content-background'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_general_wide_content_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_general_wide_content_color', array(
					'label'	   				=> esc_html__( 'Content Background Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_general_colors',
					'settings' 				=> 'kirhero_admin_general_wide_content_color',
					'priority' 				=> 11,
					'active_callback'             => 'kirhero_has_wide_layout',
				) ) );
			}

			
			
			/**
			 * General Boxed Inner Background
			 */
			$wp_customize->add_setting( 'kirhero_admin_general_boxed_inner_color', array(
				'default'           	=> kirhero_get_default_theme_settings('general-pages-boxed-inner-background'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_general_boxed_inner_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_general_boxed_inner_color', array(
					'label'	   				=> esc_html__( 'Inner Background Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_general_colors',
					'settings' 				=> 'kirhero_admin_general_boxed_inner_color',
					'priority' 				=> 11,
					'active_callback'             => 'kirhero_has_boxed_layout',
				) ) );
			}
			
			/**
			 * General Boxed Background Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_general_background_color', array(
				'default'           	=> kirhero_get_default_theme_settings('general-pages-background-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_general_background_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_general_background_color', array(
					'label'	   				=> esc_html__( 'Background Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_general_colors',
					'settings' 				=> 'kirhero_admin_general_background_color',
					'priority' 				=> 10,
					'active_callback'             => 'kirhero_has_wide_layout',
				) ) );
			}
			
			/**
			 * Primary color
			 */
			$wp_customize->add_setting( 'kirhero_admin_general_primary_color', array(
				'default'           	=> kirhero_get_default_theme_settings('general-pages-primary-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_general_primary_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_general_primary_color', array(
					'label'	   				=> esc_html__( 'Primary Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_general_colors',
					'settings' 				=> 'kirhero_admin_general_primary_color',
					'priority' 				=> 11,
					//'active_callback'             => 'kirhero_has_wide_layout',
				) ) );
			}
			
			/**
			 * Primary color : hover
			 */
			$wp_customize->add_setting( 'kirhero_admin_general_primary_color_hover', array(
				'default'           	=> kirhero_get_default_theme_settings('general-pages-primary-color-hover'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_general_primary_color_hover' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_general_primary_color_hover', array(
					'label'	   				=> esc_html__( 'Primary Color :hover', 'orionwp' ),
					'section'  				=> 'kirhero_admin_general_colors',
					'settings' 				=> 'kirhero_admin_general_primary_color_hover',
					'priority' 				=> 12,
					//'active_callback'             => 'kirhero_has_wide_layout',
				) ) );
			}
			
			/**
			 * Primary border color
			 */
			$wp_customize->add_setting( 'kirhero_admin_general_primary_border_color', array(
				'default'           	=> kirhero_get_default_theme_settings('general-pages-primary-border-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_general_primary_border_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_general_primary_border_color', array(
					'label'	   				=> esc_html__( 'Main Border Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_general_colors',
					'settings' 				=> 'kirhero_admin_general_primary_border_color',
					'priority' 				=> 13,
					//'active_callback'             => 'kirhero_has_wide_layout',
				) ) );
			}

			
			/**
			 * General Link color header
			 */

			$wp_customize->add_setting( 'kirhero_admin_general_link_color_header', array(
				'sanitize_callback' 	=> 'wp_kses',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_general_link_color_header' ) )
			{
				$wp_customize->add_control( new Kirhero_Header_Customizer_Control( $wp_customize, 'kirhero_admin_general_link_color_header', array(
					'label'    				=> esc_html__( 'Links Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_general_colors',
					'priority' 				=> 30,
				) ) );
			}
			
			$wp_customize->add_setting( 'kirhero_admin_general_link_color', array(
				'default'           	=> kirhero_get_default_theme_settings('general-link-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_general_link_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_general_link_color', array(
					'label'	   				=> esc_html__( 'Link Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_general_colors',
					'settings' 				=> 'kirhero_admin_general_link_color',
					'priority' 				=> 31,
					//'active_callback'             => 'kirhero_has_wide_layout',
				) ) );
			}
			
			$wp_customize->add_setting( 'kirhero_admin_general_link_color_hover', array(
				'default'           	=> kirhero_get_default_theme_settings('general-link-color-hover'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_general_link_color_hover' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_general_link_color_hover', array(
					'label'	   				=> esc_html__( 'Link Color :hover', 'orionwp' ),
					'section'  				=> 'kirhero_admin_general_colors',
					'settings' 				=> 'kirhero_admin_general_link_color_hover',
					'priority' 				=> 32,
					//'active_callback'             => 'kirhero_has_wide_layout',
				) ) );
			}
			
			
			/**
			 * Site Background Image
			 */
			$wp_customize->add_setting( 'kirhero_admin_general_background_image', array(
				'sanitize_callback' 	=> 'kirhero_sanitize_image',
				'default' => ''
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_general_background_image' ) )
			{
				$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'kirhero_admin_general_background_image', array(
					'label'	   				=> esc_html__( 'Background Image', 'orionwp' ),
					'section'  				=> 'kirhero_admin_general_colors',
					'priority' 				=> 2,
					'transport' => 'refresh',
				) ) );
			}
			
			
			/**
			 * Site Background Image Position
			 */
			$wp_customize->add_setting( 'kirhero_admin_general_background_image_position', array(
				'default' 				=> 'initial',
				'sanitize_callback' 	=> 'sanitize_text_field',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_general_background_image_position' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_general_background_image_position', array(
							'label'	   				=> esc_html__( 'Position', 'orionwp' ),
							'type' 					=> 'select',
							'section'  				=> 'kirhero_admin_general_colors',
							'priority' 				=> 3,
							'settings'				=> 'kirhero_admin_general_background_image_position',
							'active_callback' 		=> 'kirhero_cac_has_background_image',
							'choices' 				=> array(
								'initial' 			=> esc_html__( 'Default', 'orionwp' ),
								'top left' 			=> esc_html__( 'Top Left', 'orionwp' ),
								'top center' 		=> esc_html__( 'Top Center', 'orionwp' ),
								'top right'  		=> esc_html__( 'Top Right', 'orionwp' ),
								'center left' 		=> esc_html__( 'Center Left', 'orionwp' ),
								'center center' 	=> esc_html__( 'Center Center', 'orionwp' ),
								'center right' 		=> esc_html__( 'Center Right', 'orionwp' ),
								'bottom left' 		=> esc_html__( 'Bottom Left', 'orionwp' ),
								'bottom center' 	=> esc_html__( 'Bottom Center', 'orionwp' ),
								'bottom right' 		=> esc_html__( 'Bottom Right', 'orionwp' ),
							),
						) ) );
			}
	
			/**
			 * Site Background Image Attachment
			 */
			$wp_customize->add_setting( 'kirhero_admin_general_background_image_attachment', array(
				'default' 				=> 'initial',
				'sanitize_callback' 	=> 'kirhero_sanitize_select',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_general_background_image_attachment' ) )
			{

				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_general_background_image_attachment', array(
					'label'	   				=> esc_html__( 'Attachment', 'orionwp' ),
					'type' 					=> 'select',
					'section'  				=> 'kirhero_admin_general_colors',
					'settings'				=> 'kirhero_admin_general_background_image_attachment',
					'priority' 				=> 4,
					'active_callback' 		=> 'kirhero_cac_has_background_image',
					'choices' 				=> array(
						'initial' 	=> esc_html__( 'Default', 'orionwp' ),
						'scroll' 	=> esc_html__( 'Scroll', 'orionwp' ),
						'fixed' 	=> esc_html__( 'Fixed', 'orionwp' ),
					),
				) ) );
			}
		
			/**
			 * Site Background Image Repeat
			 */
			$wp_customize->add_setting( 'kirhero_admin_general_background_image_repeat', array(
				//'transport' 			=> 'postMessage',
				'default' 				=> 'initial',
				'sanitize_callback' 	=> 'kirhero_sanitize_select',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_general_background_image_repeat' ) )
			{

				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_general_background_image_repeat', array(
					'label'	   				=> esc_html__( 'Repeat', 'orionwp' ),
					'type' 					=> 'select',
					'section'  				=> 'kirhero_admin_general_colors',
					'priority' 				=> 5,
					'settings'				=> 'kirhero_admin_general_background_image_repeat',
					'active_callback' 		=> 'kirhero_cac_has_background_image',
					'choices' 				=> array(
						'initial' 	=> esc_html__( 'Default', 'orionwp' ),
						'no-repeat' => esc_html__( 'No-repeat', 'orionwp' ),
						'repeat' 	=> esc_html__( 'Repeat', 'orionwp' ),
						'repeat-x' 	=> esc_html__( 'Repeat-x', 'orionwp' ),
						'repeat-y' 	=> esc_html__( 'Repeat-y', 'orionwp' ),
					),
				) ) );
			}
		
			/**
			 * Site Background Image Size
			 */
			$wp_customize->add_setting( 'kirhero_admin_general_background_image_size', array(
				//'transport' 			=> 'postMessage',
				'default' 				=> 'initial',
				'sanitize_callback' 	=> 'kirhero_sanitize_select',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_general_background_image_size' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_general_background_image_size', array(
					'label'	   				=> esc_html__( 'Size', 'orionwp' ),
					'type' 					=> 'select',
					'section'  				=> 'kirhero_admin_general_colors',
					'priority' 				=> 6,
					'settings'                    => 'kirhero_admin_general_background_image_size',
					'active_callback' 		=> 'kirhero_cac_has_background_image',
					'choices' 				=> array(
						'initial' 	=> esc_html__( 'Default', 'orionwp' ),
						'auto' 		=> esc_html__( 'Auto', 'orionwp' ),
						'cover' 	=> esc_html__( 'Cover', 'orionwp' ),
						'contain' 	=> esc_html__( 'Contain', 'orionwp' ),
					),
				) ) );
			}
		
		
			//ends backg img

			
			
			/**
			 * General header Page Title
			 */

			if( self::kirhero_admin_functions( 'kirhero_admin_general_page_title_header' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_general_page_title_header' , array(
					'title' 			=> esc_html__( 'Page Title', 'orionwp' ),
					'priority' 			=> 3,
					'panel' 			=> 'kirhero_admin_general_panel',
				) );
			}

					
			
			/**
			 * General Page Title Style
			 */
			$wp_customize->add_setting( 'kirhero_general_page_header_style', array(
				'default'           	=> kirhero_get_default_theme_settings( 'general-page-header-style' ),
				'sanitize_callback' 	=> 'kirhero_sanitize_select',
			) );

			if( self::kirhero_admin_functions( 'kirhero_general_page_header_style' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_general_page_header_style', array(
					'label'	   				=> esc_html__( 'Style', 'orionwp' ),
					'type' 					=> 'select',
					'section'  				=> 'kirhero_admin_general_page_title_header',
					'settings' 				=> 'kirhero_general_page_header_style',
					'priority' 				=> 1,
					'choices' 				=> array(
						'' 					=> esc_html__( 'Default','orionwp' ),
						'centered' 			=> esc_html__( 'Centered', 'orionwp' ),
						'hidden' 			=> esc_html__( 'Hidden', 'orionwp' ),
					),
				) ) );
			}
			
			/**
			 * General Subheader Background Color
			 */
			$wp_customize->add_setting( 'kirhero_general_subheader_background_color', array(
				'default'           	=> kirhero_get_default_theme_settings('general-page-header-background-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_general_subheader_background_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_general_subheader_background_color', array(
					'label'	   				=> esc_html__( 'Background Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_general_page_title_header',
					'settings' 				=> 'kirhero_general_subheader_background_color',
					'priority' 				=> 2,
				) ) );
			}
			
			/**
			 * General Subheader Background Color liner
			 */
			$wp_customize->add_setting( 'kirhero_general_subheader_background_color_liner', array(
				'default'           	=> kirhero_get_default_theme_settings('general-page-header-background-color-liner'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_general_subheader_background_color_liner' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_general_subheader_background_color_liner', array(
					'label'	   				=> esc_html__( 'Background Color ( linear-gradient )', 'orionwp' ),
					'section'  				=> 'kirhero_admin_general_page_title_header',
					'settings' 				=> 'kirhero_general_subheader_background_color_liner',
					'priority' 				=> 2,
				) ) );
			}
			
			/**
			 * General Subheader Text Color
			 */
			$wp_customize->add_setting( 'kirhero_general_subheader_text_background_color', array(
				'default'           	=> kirhero_get_default_theme_settings('general-page-header-text-background-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_general_subheader_text_background_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_general_subheader_text_background_color', array(
					'label'	   				=> esc_html__( 'Text Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_general_page_title_header',
					'settings' 				=> 'kirhero_general_subheader_text_background_color',
					'priority' 				=> 3,
				) ) );
			}
		
			
			/**
			 * General Subheader padding
			 */
			$wp_customize->add_setting( 'kirhero_general_subheader_padding_top', array(

				'default'           	=> kirhero_get_default_theme_settings('general-page-header-padding-top'),
				'sanitize_callback' 	=> 'kirhero_sanitize_number',
			) );
			
			
			$wp_customize->add_setting( 'kirhero_general_subheader_padding_bottom', array(

				'default'           	=> kirhero_get_default_theme_settings('general-page-header-padding-bottom'),
				'sanitize_callback' 	=> 'kirhero_sanitize_number',
			) );


			if( self::kirhero_admin_functions( 'kirhero_general_subheader_pad_mar' ) )
			{
				$wp_customize->add_control( new Kirhero_Dimensions_Customizer_Control( $wp_customize, 'kirhero_general_subheader_pad_mar', array(
					'label'	   				=> esc_html__( 'Padding (px)', 'orionwp' ),
					'section'  				=> 'kirhero_admin_general_page_title_header',				
					'settings'   => array(					
			            'desktop_top' 		=> 'kirhero_general_subheader_padding_top',
			            'desktop_bottom' 	=> 'kirhero_general_subheader_padding_bottom',
					),
					'priority' 				=> 4,
				    'input_attrs' 			=> array(
				        'min'   => 1,
				        'max'   => 300,
				        'step'  => 1,
				    ),
				) ) );
			}
			
			
			/**
			 *  General Subheader Breadcrumbs
			 */
			$wp_customize->add_setting( 'kirhero_general_subheader_breadcrumbs', array(
				'default'           	=> kirhero_get_default_theme_settings('general-page-header-enable-breadcrumbs'),
				'sanitize_callback' 	=> 'kirhero_sanitize_checkbox',
			) );

			if( self::kirhero_admin_functions( 'kirhero_general_subheader_breadcrumbs' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_general_subheader_breadcrumbs', array(
					'label'	   				=> esc_html__( 'Enable Breadcrumbs', 'orionwp' ),
					'type' 					=> 'checkbox',
					'section'  				=> 'kirhero_admin_general_page_title_header',
					'settings' 				=> 'kirhero_general_subheader_breadcrumbs',
					'priority' 				=> 5,
				) ) );
			}
			
			
			/**
			 * General Breadcrumbs link color
			 */
			$wp_customize->add_setting( 'kirhero_general_subheader_breadcrumbs_link_color', array(
				'default'           	=> kirhero_get_default_theme_settings('general-page-header-breadcrumbs-link-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_general_subheader_breadcrumbs_link_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_general_subheader_breadcrumbs_link_color', array(
					'label'	   				=> esc_html__( 'Breadcrumbs Link Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_general_page_title_header',
					'settings' 				=> 'kirhero_general_subheader_breadcrumbs_link_color',
					'priority' 				=> 6,
				) ) );
			}

			
			
		}
		
		
		
		
		
		///blog
		public static function kirhero_blog( $wp_customize )
		{
		
			/**
			 * Panel
			 */
			if( self::kirhero_admin_functions( 'kirhero_admin_blog_panel' ) )
			{
				$wp_customize->add_panel( 'kirhero_admin_blog_panel' , array(
					'title' 			=> esc_html__( 'Blog Settings', 'orionwp' ),
					'priority' 			=> 26,
				) );
			}

			/**
			 * Section
			 */
			if( self::kirhero_admin_functions( 'kirhero_admin_blog_general' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_blog_general' , array(
					'title' 			=> esc_html__( 'General Settings', 'orionwp' ),
					'priority' 			=> 1,
					'panel' 			=> 'kirhero_admin_blog_panel',
				) );
			}

			/**
			 * Archives & Entries Layout
			 */
			$wp_customize->add_setting( 'kirhero_admin_blog_layout', array(
				'default'           	=> kirhero_get_default_theme_settings( 'blog-customizer-layout' ),
				'sanitize_callback' 	=> 'kirhero_sanitize_select',
			) );

			if( self::kirhero_admin_functions( 'kirhero_admin_blog_general' ) )
			{
				$wp_customize->add_control( new Kirhero_Radio_Image_Customizer_Control( $wp_customize, 'kirhero_admin_blog_layout', array(
					'label'	   				=> esc_html__( 'Archives & Entries Layout', 'orionwp' ),
					'section'  				=> 'kirhero_admin_blog_general',
					'settings' 				=> 'kirhero_admin_blog_layout',
					'priority' 				=> 10,
					'choices' 				=> kirhero_customizer_layout_blog(),
				) ) );
			}

			/**
			 * Both Sidebars
			 */
			$wp_customize->add_setting( 'kirhero_admin_blog_both_sidebars_style', array(
				'default'           	=> kirhero_get_default_theme_settings( 'blog-both-sidebars-style' ),
				'sanitize_callback' 	=> 'kirhero_sanitize_select',
			) );

			if( self::kirhero_admin_functions( 'kirhero_admin_blog_both_sidebars_style' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_blog_both_sidebars_style', array(
					'label'	   				=> esc_html__( 'Both Sidebars: Style', 'orionwp' ),
					'type' 					=> 'select',
					'section'  				=> 'kirhero_admin_blog_general',
					'settings' 				=> 'kirhero_admin_blog_both_sidebars_style',
					'priority' 				=> 11,
					'choices' 				=> array(
						'sidebar-sidebar-content' 		=> esc_html__( 'Sidebar / Sidebar / Content', 'orionwp' ),
						'sidebar-content-sidebar' 		=> esc_html__( 'Sidebar / Content / Sidebar', 'orionwp' ),
						'content-sidebar-sidebar' 		=> esc_html__( 'Content / Sidebar / Sidebar', 'orionwp' ),
					),
					'active_callback' 		=> 'kirhero_has_blog_entries_both_layout',
				) ) );
			}
			
			/**
			 * Blog margin top
			 */
			$wp_customize->add_setting( 'kirhero_admin_blog_margin_top', array(
	
				'default'           	=> kirhero_get_default_theme_settings('blog-margin-top'),
				'sanitize_callback' 	=> 'kirhero_sanitize_number',
				
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_blog_margin_top' ) )
			{
				$wp_customize->add_control( new Kirhero_Range_Customize_Control( $wp_customize, 'kirhero_admin_blog_margin_top', array(
					'label'	   				=> esc_html__( 'Margin top (px)', 'orionwp' ),
					'section'  				=> 'kirhero_admin_blog_general',
					'settings' 				=> 'kirhero_admin_blog_margin_top',
					'priority' 				=> 12,
				    'input_attrs' 			=> array(
				        'min'   => 0,
				        'max'   => 300,
				        'step'  => 1,
				    ),
				) ) );
			}

			
			
			/**
			 * Blog Style
			 */
			$wp_customize->add_setting( 'kirhero_admin_blog_style', array(
				'default'           	=> kirhero_get_default_theme_settings( 'blog-style' ),
				'sanitize_callback' 	=> 'kirhero_sanitize_select',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_blog_style' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_blog_style', array(
					'label'	   				=> esc_html__( 'Blog Style', 'orionwp' ),
					'type' 					=> 'select',
					'section'  				=> 'kirhero_admin_blog_general',
					'settings' 				=> 'kirhero_admin_blog_style',
					'priority' 				=> 20,
					'choices' 				=> array(
						'large-entry'  		=> esc_html__( 'Large Image', 'orionwp' ),
						'grid-entry' 		=> esc_html__( 'Grid', 'orionwp' ),
					),
				) ) );
			}
			
			/**
			 * Blog Grid Columns
			 */
			$wp_customize->add_setting( 'kirhero_admin_blog_style_grid', array(
				'default'           	=> kirhero_get_default_theme_settings( 'blog-style-grid' ),
				'sanitize_callback' 	=> 'kirhero_sanitize_select',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_blog_style_grid' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_blog_style_grid', array(
					'label'	   				=> esc_html__( 'Grid Columns', 'orionwp' ),
					'type' 					=> 'select',
					'section'  				=> 'kirhero_admin_blog_general',
					'settings' 				=> 'kirhero_admin_blog_style_grid',
					'priority' 				=> 21,
					'active_callback' 		=> 'kirhero_has_grid_blog_style',
					'choices' 				=> array(
						'2' => '2',
						'3' => '3',
						'4' => '4',
						'5' => '5',
						'6' => '6',
					),
				) ) );
			}
			
			/**
			 * Blog Grid Equal Heights
			 */
			$wp_customize->add_setting( 'kirhero_admin_blog_equal_heights', array(
				'default'           	=> kirhero_get_default_theme_settings( 'blog-equal-heights' ),
				'sanitize_callback' 	=> 'kirhero_sanitize_checkbox',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_blog_equal_heights' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_blog_equal_heights', array(
					'label'	   				=> esc_html__( 'Equal Heights', 'orionwp' ),
					'type' 					=> 'checkbox',
					'section'  				=> 'kirhero_admin_blog_general',
					'settings' 				=> 'kirhero_admin_blog_equal_heights',
					'priority' 				=> 25,
					'active_callback' 		=> 'kirhero_has_equal_heights',
				) ) );
			}


			/**
			 * Header header article display
			 */
			$wp_customize->add_setting( 'kirhero_blog_article_header', array(
				'sanitize_callback' 	=> 'wp_kses',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_blog_article_header' ) )
			{
				$wp_customize->add_control( new Kirhero_Header_Customizer_Control( $wp_customize, 'kirhero_blog_article_header', array(
					'label'    				=> esc_html__( 'Article Settings', 'orionwp' ),
					'section'  				=> 'kirhero_admin_blog_general',
					'priority' 				=> 30,
				) ) );
			}
			
			
			/**
			 * Blog Images Size
			 */
			$wp_customize->add_setting( 'kirhero_blog_image_size', array(
				'default'           	=> kirhero_get_default_theme_settings( 'blog-article-image-size' ),
				'sanitize_callback' 	=> 'kirhero_sanitize_select',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_blog_image_size' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_blog_image_size', array(
					'label'	   				=> esc_html__( 'Images Size', 'orionwp' ),
					'type' 					=> 'select',
					'section'  				=> 'kirhero_admin_blog_general',
					'settings' 				=> 'kirhero_blog_image_size',
					'priority' 				=> 31,
					'choices' 				=> array(
						'full' => 'Full',
						'thumbnail' => 'Thumbnail (150 X 150)',
						'medium' => 'Medium (300 X 300)',
						'medium_large' => 'Medium Large (768 X 0)',
						'large' => 'Large (1024 X 1024)',
						
					),
					'active_callback' 		=> 'kirhero_has_grid_blog_style',
				) ) );
			}
			
			
			/**
			 * Blog Image Overlay
			 */
			$wp_customize->add_setting( 'kirhero_blog_image_overlay', array(
				'default'           	=> kirhero_get_default_theme_settings( 'blog-article-image-overlay'),
				'sanitize_callback' 	=> 'kirhero_sanitize_checkbox',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_blog_image_overlay' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_blog_image_overlay', array(
					'label'	   				=> esc_html__( 'Add Overlay On image Hover', 'orionwp' ),
					'type' 					=> 'checkbox',
					'section'  				=> 'kirhero_admin_blog_general',
					'settings' 				=> 'kirhero_blog_image_overlay',
					'priority' 				=> 32,
				) ) );
			}
			
			/**
			 * Blog Article Drop shadow
			 */
			$wp_customize->add_setting( 'kirhero_blog_article_drop_shadow', array(
				'default'           	=> kirhero_get_default_theme_settings( 'blog-article-drop-shadow'),
				'sanitize_callback' 	=> 'kirhero_sanitize_checkbox',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_blog_article_drop_shadow' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_blog_article_drop_shadow', array(
					'label'	   				=> esc_html__( 'Article Drop Shadow', 'orionwp' ),
					'type' 					=> 'checkbox',
					'section'  				=> 'kirhero_admin_blog_general',
					'settings' 				=> 'kirhero_blog_article_drop_shadow',
					'priority' 				=> 33,
				) ) );
			}
			
			/**
			 * Blog Article Display
			 */
			$wp_customize->add_setting( 'kirhero_blog_article_display', array(
				'default'           	=> kirhero_get_default_theme_settings( 'blog-article-display' ),
				'sanitize_callback' 	=> 'kirhero_sanitize_select',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_blog_article_display' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_blog_article_display', array(
					'label'	   				=> esc_html__( 'For each article display', 'orionwp' ),
					'type' 					=> 'select',
					'section'  				=> 'kirhero_admin_blog_general',
					'settings' 				=> 'kirhero_blog_article_display',
					'priority' 				=> 33,
					'choices' 				=> array(
						'full-text' => 'Full Text',
						'custom-text' => 'Custom',
					),
				) ) );
			}
			
			/**
			 * Blog Article Display Length
			 */
			$wp_customize->add_setting( 'kirhero_blog_article_display_length', array(
				'default'           	=> kirhero_get_default_theme_settings('blog-article-display-length'),
				'sanitize_callback' 	=> 'wp_kses_post',
			) );

			if( self::kirhero_admin_functions( 'kirhero_blog_article_display_length' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_blog_article_display_length', array(
					'label'	   				=> esc_html__( 'Amount of words displayed', 'orionwp' ),
					'type' 					=> 'text',
					'section'  				=> 'kirhero_admin_blog_general',
					'settings' 				=> 'kirhero_blog_article_display_length',
					'priority' 				=> 34,
					'active_callback' 		=> 'kirhero_has_article_display_length',
				) ) );
			}
			
			/**
			 * Blog Article Display Length Read More
			 */
			$wp_customize->add_setting( 'kirhero_blog_article_display_read_more_text', array(
				'default'           	=> kirhero_get_default_theme_settings('blog-article-display-read-more-text'),
				'sanitize_callback' 	=> 'wp_kses_post',
			) );

			if( self::kirhero_admin_functions( 'kirhero_blog_article_display_read_more_text' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_blog_article_display_read_more_text', array(
					'label'	   				=> esc_html__( 'Read More Text', 'orionwp' ),
					'type' 					=> 'text',
					'section'  				=> 'kirhero_admin_blog_general',
					'settings' 				=> 'kirhero_blog_article_display_read_more_text',
					'priority' 				=> 35,
					'active_callback' 		=> 'kirhero_has_article_display_length',
				) ) );
			}
			
			
			/**
			 * Blog Article Elements Positioning
			 */
			$wp_customize->add_setting( 'kirhero_blog_article_elements_positioning', array(
				'default'           	=> kirhero_get_default_theme_settings('blog-article-elements-positioning'),
				'sanitize_callback' 	=> 'kirhero_sanitize_multi_choices',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_blog_article_elements_positioning' ) )
			{
				$wp_customize->add_control( new Kirhero_Sortable_Customizer_Control( $wp_customize, 'kirhero_blog_article_elements_positioning', array(
					'label'	   				=> esc_html__( 'Elements Positioning', 'orionwp' ),
					'section'  				=> 'kirhero_admin_blog_general',
					'settings' 				=> 'kirhero_blog_article_elements_positioning',
					'priority' 				=> 40,
					'choices' 				=> kirhero_blog_article_elements(),
				) ) );
			}
			
			/**
			 * Blog Article Meta
			 */
			$wp_customize->add_setting( 'kirhero_blog_article_meta', array(
				'default'           	=> kirhero_get_default_theme_settings('blog-article-meta'),
				'sanitize_callback' 	=> 'kirhero_sanitize_multi_choices',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_blog_article_meta' ) )
			{
				$wp_customize->add_control( new Kirhero_Sortable_Customizer_Control( $wp_customize, 'kirhero_blog_article_meta', array(
					'label'	   				=> esc_html__( 'Meta', 'orionwp' ),
					'section'  				=> 'kirhero_admin_blog_general',
					'settings' 				=> 'kirhero_blog_article_meta',
					'priority' 				=> 41,
					'choices' 				=> apply_filters( 'kirhero_blog_meta_choices', array(
						'author'     		=> esc_html__( 'Author', 'orionwp' ),
						'date'       		=> esc_html__( 'Date', 'orionwp' ),
						'categories' 		=> esc_html__( 'Categories', 'orionwp' ),
						'comments'   		=> esc_html__( 'Comments', 'orionwp' ),
					) ),
				) ) );
			}
			
			
			/**
			 * Section Single Post
			 */
			if( self::kirhero_admin_functions( 'kirhero_blog_single_post' ) )
			{ 
				$wp_customize->add_section( 'kirhero_blog_single_post', array(
					'title' 			=> esc_html__( 'Single Post Settings', 'orionwp' ),
					'priority' 			=> 2,
					'panel' 			=> 'kirhero_admin_blog_panel',
				) );
			}

			/**
			 * Single Post Layout
			 */
			$wp_customize->add_setting( 'kirhero_blog_single_layout', array(
				'default'           	=> kirhero_get_default_theme_settings( 'blog-customizer-single-layout' ),
				'sanitize_callback' 	=> 'kirhero_sanitize_select',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_blog_single_layout' ) )
			{ 
				$wp_customize->add_control( new Kirhero_Radio_Image_Customizer_Control( $wp_customize, 'kirhero_blog_single_layout', array(
					'label'	   				=> esc_html__( 'Layout', 'orionwp' ),
					'section'  				=> 'kirhero_blog_single_post',
					'settings' 				=> 'kirhero_blog_single_layout',
					'priority' 				=> 1,
					'choices' 				=> kirhero_customizer_layout_blog(),
				) ) );
			}
			
			/**
			 * Single Post Both Sidebars
			 */
			$wp_customize->add_setting( 'kirhero_blog_single_layout_both_sidebars_style', array(
				'default'           	=> kirhero_get_default_theme_settings( 'blog-single-both-sidebars-style' ),
				'sanitize_callback' 	=> 'kirhero_sanitize_select',
			) );

			if( self::kirhero_admin_functions( 'kirhero_blog_single_layout_both_sidebars_style' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_blog_single_layout_both_sidebars_style', array(
					'label'	   				=> esc_html__( 'Both Sidebars: Style', 'orionwp' ),
					'type' 					=> 'select',
					'section'  				=> 'kirhero_blog_single_post',
					'settings' 				=> 'kirhero_blog_single_layout_both_sidebars_style',
					'priority' 				=> 2,
					'choices' 				=> array(
						'sidebar-sidebar-content' 		=> esc_html__( 'Sidebar / Sidebar / Content', 'orionwp' ),
						'sidebar-content-sidebar' 		=> esc_html__( 'Sidebar / Content / Sidebar', 'orionwp' ),
						'content-sidebar-sidebar' 		=> esc_html__( 'Content / Sidebar / Sidebar', 'orionwp' ),
					),
					'active_callback' 		=> 'kirhero_has_single_post_blog_entries_both_layout',
				) ) );
			}
			
			
			/**
			 * Blog Single Elements Positioning
			 */
			$wp_customize->add_setting( 'kirhero_blog_single_elements_positioning', array(
				'default' 				=> kirhero_get_default_theme_settings( 'blog-page-single-elements-positioning' ),
				'sanitize_callback' 	=> 'kirhero_sanitize_multi_choices',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_blog_single_elements_positioning' ) )
			{
				$wp_customize->add_control( new Kirhero_Sortable_Customizer_Control( $wp_customize, 'kirhero_blog_single_elements_positioning', array(
					'label'	   				=> esc_html__( 'Elements Positioning', 'orionwp' ),
					'section'  				=> 'kirhero_blog_single_post',
					'settings' 				=> 'kirhero_blog_single_elements_positioning',
					'priority' 				=> 10,
					'choices' 				=> kirhero_blog_single_elements(),
				) ) );
			}
			
			/**
			 * Blog Single Meta
			 */
			$wp_customize->add_setting( 'kirhero_blog_single_meta', array(
				'default'           	=>  kirhero_get_default_theme_settings( 'blog-page-single-meta' ),
				'sanitize_callback' 	=> 'kirhero_sanitize_multi_choices',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_blog_single_meta' ) )
			{
				$wp_customize->add_control( new Kirhero_Sortable_Customizer_Control( $wp_customize, 'kirhero_blog_single_meta', array(
					'label'	   				=> esc_html__( 'Meta', 'orionwp' ),
					'section'  				=> 'kirhero_blog_single_post',
					'settings' 				=> 'kirhero_blog_single_meta',
					'priority' 				=> 11,
					'choices' 				=> apply_filters( 'kirhero_blog_meta_choices', array(
						'author'     		=> esc_html__( 'Author', 'orionwp' ),
						'date'       		=> esc_html__( 'Date', 'orionwp' ),
						'categories' 		=> esc_html__( 'Categories', 'orionwp' ),
						'comments'   		=> esc_html__( 'Comments', 'orionwp' ),
					) ),
				) ) );
			}

			
			/**
			 * Blog Featured Image Layout Header
			 */
			$wp_customize->add_setting( 'kirhero_blog_page_featured_header', array(
				'sanitize_callback' 	=> 'wp_kses',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_blog_page_featured_header' ) )
			{
				$wp_customize->add_control( new Kirhero_Header_Customizer_Control( $wp_customize, 'kirhero_blog_page_featured_header', array(
					'label'    				=> esc_html__( 'Top Featured Image', 'orionwp' ),
					'section'  				=> 'kirhero_blog_single_post',
					'priority' 				=> 30,
				) ) );
			}
			
			/**
			 * Blog Featured Image Style
			 */
			$wp_customize->add_setting( 'kirhero_blog_page_featured_image_style', array(
				'default'           	=> kirhero_get_default_theme_settings( 'blog-page-single-featured-style' ),
				'sanitize_callback' 	=> 'kirhero_sanitize_select',
			) );

			if( self::kirhero_admin_functions( 'kirhero_blog_page_featured_image_style' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_blog_page_featured_image_style', array(
					'label'	   				=> esc_html__( 'Top Featured Image Layout', 'orionwp' ),
					'type' 					=> 'select',
					'section'  				=> 'kirhero_blog_single_post',
					'settings' 				=> 'kirhero_blog_page_featured_image_style',
					'priority' 				=> 31,
					'choices' 				=> array(
						'none' 			=> esc_html__( 'None', 'orionwp' ),
						'page-banner' 			=> esc_html__( 'Page Banner', 'orionwp' ),
					),
					//'callback'                    =>  'kirhero_has_featured_image',
				) ) );
			}
			/**
			 * Blog Featured Image Size
			 */
			$wp_customize->add_setting( 'kirhero_blog_page_featured_image_size', array(
				'default'           	=> kirhero_get_default_theme_settings( 'blog-page-single-featured-size' ),
				'sanitize_callback' 	=> 'kirhero_sanitize_select',
			) );

			if( self::kirhero_admin_functions( 'kirhero_blog_page_featured_image_size' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_blog_page_featured_image_size', array(
					'label'	   				=> esc_html__( 'Page Banner Size', 'orionwp' ),
					'type' 					=> 'select',
					'section'  				=> 'kirhero_blog_single_post',
					'settings' 				=> 'kirhero_blog_page_featured_image_size',
					'priority' 				=> 32,
					'choices' 				=> array(
						'full'          => esc_html__( 'Full', 'orionwp' ),
						'extra_small'     => esc_html__( 'Extra Small', 'orionwp' ),
						'small'     => esc_html__( 'Small', 'orionwp' ),
						'medium'        => esc_html__( 'Medium', 'orionwp' ),
						'large'         => esc_html__( 'Large', 'orionwp' ),

					),
					'active_callback'                    =>  'kirhero_has_featured_image',
				) ) );
			}
			
			/**
			 * Blog Featured Image Size Attachment
			 */
			$wp_customize->add_setting( 'kirhero_blog_page_featured_image_attachment', array(
				'default' 				=> kirhero_get_default_theme_settings( 'blog-page-single-image-attachment' ),
				'sanitize_callback' 	=> 'kirhero_sanitize_select',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_blog_page_featured_image_attachment' ) )
			{

				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_blog_page_featured_image_attachment', array(
					'label'	   				=> esc_html__( 'Attachment', 'orionwp' ),
					'type' 					=> 'select',
					'section'  				=> 'kirhero_blog_single_post',
					'settings'				=> 'kirhero_blog_page_featured_image_attachment',
					'priority' 				=> 33,
					'active_callback'             =>  'kirhero_has_featured_image',
					'choices' 				=> array(
						'initial' 	=> esc_html__( 'Default', 'orionwp' ),
						'scroll' 	=> esc_html__( 'Scroll', 'orionwp' ),
						'fixed' 	=> esc_html__( 'Fixed', 'orionwp' ),
					),
				) ) );
			}
			
			/**
			 *  Blog Featured Image Full 
			 */
			$wp_customize->add_setting( 'kirhero_blog_page_featured_image_full', array(
				'default'           	=> kirhero_get_default_theme_settings('blog-page-single-featured-full'),
				'sanitize_callback' 	=> 'kirhero_sanitize_checkbox',
			) );

			if( self::kirhero_admin_functions( 'kirhero_blog_page_featured_image_full' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_blog_page_featured_image_full', array(
					'label'	   				=> esc_html__( 'Full Width Banner', 'orionwp' ),
					'type' 					=> 'checkbox',
					'section'  				=> 'kirhero_blog_single_post',
					'settings' 				=> 'kirhero_blog_page_featured_image_full',
					'priority' 				=> 34,
					'active_callback'                    =>  'kirhero_has_wide_featured_image',
				) ) );
			}
			
			
			/**
			 * Blog header Page Title
			 */
			$wp_customize->add_setting( 'kirhero_blog_page_title_header', array(
				'sanitize_callback' 	=> 'wp_kses',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_blog_page_title_header' ) )
			{
				$wp_customize->add_control( new Kirhero_Header_Customizer_Control( $wp_customize, 'kirhero_blog_page_title_header', array(
					'label'    				=> esc_html__( 'Page Title', 'orionwp' ),
					'section'  				=> 'kirhero_blog_single_post',
					'priority' 				=> 50,
				) ) );
			}
			
			
			/* Similare code General */
			/**
			 * Page Title Style
			 */
			$wp_customize->add_setting( 'kirhero_blog_page_header_style', array(
				'default'           	=> kirhero_get_default_theme_settings( 'blog-page-header-style' ),
				'sanitize_callback' 	=> 'kirhero_sanitize_select',
			) );

			if( self::kirhero_admin_functions( 'kirhero_blog_page_header_style' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_blog_page_header_style', array(
					'label'	   				=> esc_html__( 'Style', 'orionwp' ),
					'type' 					=> 'select',
					'section'  				=> 'kirhero_blog_single_post',
					'settings' 				=> 'kirhero_blog_page_header_style',
					'priority' 				=> 60,
					'choices' 				=> array(
						'' 					=> esc_html__( 'Default','orionwp' ),
						'centered' 			=> esc_html__( 'Centered', 'orionwp' ),
						'hidden' 			=> esc_html__( 'Hidden', 'orionwp' ),
					),
				) ) );
			}
			
			/**
			 * Blog Subheader Background Color
			 */
			$wp_customize->add_setting( 'kirhero_blog_subheader_background_color', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('blog-page-header-background-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_blog_subheader_background_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_blog_subheader_background_color', array(
					'label'	   				=> esc_html__( 'Background Color', 'orionwp' ),
					'section'  				=> 'kirhero_blog_single_post',
					'settings' 				=> 'kirhero_blog_subheader_background_color',
					'priority' 				=> 61,
				) ) );
			}
			
			/**
			 * Blog Subheader Background Color liner
			 */
			$wp_customize->add_setting( 'kirhero_blog_subheader_background_color_liner', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('blog-page-header-background-color-liner'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_blog_subheader_background_color_liner' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_blog_subheader_background_color_liner', array(
					'label'	   				=> esc_html__( 'Background Color ( linear-gradient )', 'orionwp' ),
					'section'  				=> 'kirhero_blog_single_post',
					'settings' 				=> 'kirhero_blog_subheader_background_color_liner',
					'priority' 				=> 61,
				) ) );
			}
			
			/**
			 * Blog Subheader Text Color
			 */
			$wp_customize->add_setting( 'kirhero_blog_subheader_text_background_color', array(
				'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('blog-page-header-text-background-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_blog_subheader_text_background_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_blog_subheader_text_background_color', array(
					'label'	   				=> esc_html__( 'Text Color', 'orionwp' ),
					'section'  				=> 'kirhero_blog_single_post',
					'settings' 				=> 'kirhero_blog_subheader_text_background_color',
					'priority' 				=> 62,
				) ) );
			}
		
			
			/**
			 * Blog Subheader padding
			 */
			$wp_customize->add_setting( 'kirhero_blog_subheader_padding_top', array(

				'default'           	=> kirhero_get_default_theme_settings('blog-page-header-padding-top'),
				'sanitize_callback' 	=> 'kirhero_sanitize_number',
				'transport' 			=> 'postMessage',
			) );
			
			
			$wp_customize->add_setting( 'kirhero_blog_subheader_padding_bottom', array(

				'default'           	=> kirhero_get_default_theme_settings('blog-page-header-padding-bottom'),
				'sanitize_callback' 	=> 'kirhero_sanitize_number',
				'transport' 			=> 'postMessage',
			) );


			if( self::kirhero_admin_functions( 'kirhero_blog_subheader_pad_mar' ) )
			{
				$wp_customize->add_control( new Kirhero_Dimensions_Customizer_Control( $wp_customize, 'kirhero_blog_subheader_pad_mar', array(
					'label'	   				=> esc_html__( 'Padding (px)', 'orionwp' ),
					'section'  				=> 'kirhero_blog_single_post',				
					'settings'   => array(					
			            'desktop_top' 		=> 'kirhero_blog_subheader_padding_top',
			            'desktop_bottom' 	=> 'kirhero_blog_subheader_padding_bottom',
					),
					'priority' 				=> 65,
				    'input_attrs' 			=> array(
				        'min'   => 1,
				        'max'   => 300,
				        'step'  => 1,
				    ),
				) ) );
			}
			
			
			/**
			 *  Blog Subheader Breadcrumbs
			 */
			$wp_customize->add_setting( 'kirhero_blog_subheader_breadcrumbs', array(
				'default'           	=> kirhero_get_default_theme_settings('blog-page-header-enable-breadcrumbs'),
				'sanitize_callback' 	=> 'kirhero_sanitize_checkbox',
			) );

			if( self::kirhero_admin_functions( 'kirhero_blog_subheader_breadcrumbs' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_blog_subheader_breadcrumbs', array(
					'label'	   				=> esc_html__( 'Enable Breadcrumbs', 'orionwp' ),
					'type' 					=> 'checkbox',
					'section'  				=> 'kirhero_blog_single_post',
					'settings' 				=> 'kirhero_blog_subheader_breadcrumbs',
					'priority' 				=> 70,
				) ) );
			}
			
			/**
			 * General Breadcrumbs link color
			 */
			$wp_customize->add_setting( 'kirhero_blog_subheader_breadcrumbs_link_color', array(
				'default'           	=> kirhero_get_default_theme_settings('blog-page-header-breadcrumbs-link-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_blog_subheader_breadcrumbs_link_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_blog_subheader_breadcrumbs_link_color', array(
					'label'	   				=> esc_html__( 'Breadcrumbs Link Color', 'orionwp' ),
					'section'  				=> 'kirhero_blog_single_post',
					'settings' 				=> 'kirhero_blog_subheader_breadcrumbs_link_color',
					'priority' 				=> 71,
				) ) );
			}

			

			
			
			

			
		}
		
		///header
		public static function kirhero_header( $wp_customize )
		{
			
			
			
			/**
			 * Panel
			 */
			//$panel = 'kirhero_admin_header_panel';
			if( self::kirhero_admin_functions( 'kirhero_admin_header_panel' ) )
			{
				$wp_customize->add_panel( 'kirhero_admin_header_panel' , array(
					'title' 			=> esc_html__( 'Header Settings', 'orionwp' ),
					'priority' 			=> 25,
				) );
			}

			/**
			 * Section
			 */
			if( self::kirhero_admin_functions( 'kirhero_admin_header_general' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_header_general' , array(
					'title' 			=> esc_html__( 'General Settings', 'orionwp' ),
					'priority' 			=> 1,
					'panel' 			=> 'kirhero_admin_header_panel',
				) );
			}

			/**
			 * Header Style
			 */
			$wp_customize->add_setting( 'kirhero_admin_header_style', array(
				'default'           	=> kirhero_get_default_theme_settings('header-type'),
				'sanitize_callback' 	=> 'kirhero_sanitize_select',
			) );
			
			
			if( self::kirhero_admin_functions( 'kirhero_admin_header_style' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_header_style', array(
					'label'	   				=> esc_html__( 'Style', 'orionwp' ),
					'type' 					=> 'select',
					'section'  				=> 'kirhero_admin_header_general',
					'settings' 				=> 'kirhero_admin_header_style',
					'priority' 				=> 1,
					'choices' 				=> array(
						//'default' 		=> esc_html__( 'Default', 'orionwp' ),
						'minimal' 	=> esc_html__( 'Minimal', 'orionwp' ),
										),
				) ) );
			}
			
			/**
			 * Header Height
			 */
			$wp_customize->add_setting( 'kirhero_admin_header_height', array(
	
				'default'           	=> kirhero_get_default_theme_settings('header-height'),
				'sanitize_callback' 	=> 'kirhero_sanitize_number',
				
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_header_height' ) )
			{
				$wp_customize->add_control( new Kirhero_Range_Customize_Control( $wp_customize, 'kirhero_admin_header_height', array(
					'label'	   				=> esc_html__( 'Height (px)', 'orionwp' ),
					'section'  				=> 'kirhero_admin_header_general',
					'settings' 				=> 'kirhero_admin_header_height',
					'priority' 				=> 2,
				    'input_attrs' 			=> array(
				        'min'   => 0,
				        'max'   => 250,
				        'step'  => 1,
				    ),
				) ) );
			}
			
			/**
			 * Show second-nav menu
			 */
			 
			$wp_customize->add_setting( 'kirhero_admin_header_second_nav_show', array(
				'default'           	=> kirhero_get_default_theme_settings('show-header-second'),
				'sanitize_callback' 	=> 'kirhero_sanitize_checkbox',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_header_second_nav_show' ) )
			{
				$wp_customize->add_control('kirhero_admin_header_second_nav_show', array(
					'label'			=> esc_html__( 'Show Second menu', 'orionwp' ),
					'section'  				=> 'kirhero_admin_header_general',
					'settings' 				=> 'kirhero_admin_header_second_nav_show',
					'priority' 				=> 3,
					'type'       => 'checkbox',	
				    ) );
			}
			/**
			 * Header Background Color
			 */
			$wp_customize->add_setting( 'kirhero_header_background', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('header-background-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_header_background' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_header_background', array(
					'label'	   				=> esc_html__( 'Background Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_header_general',
					'settings' 				=> 'kirhero_header_background',
					'priority' 				=> 6,
				) ) );
			}
			
			/**
			 * Header Transparent Background Color
			 */
			$wp_customize->add_setting( 'kirhero_header_transparent_background', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('header-transparent-background-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_header_transparent_background' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_header_transparent_background', array(
					'label'	   				=> esc_html__( 'Transparent Background Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_header_general',
					'settings' 				=> 'kirhero_header_transparent_background',
					'priority' 				=> 6,
					'active_callback'             => 'kirhero_has_header_transparent_hp',
				) ) );
			}
			
			/**
			 * Header Transparent text Color
			 */
			$wp_customize->add_setting( 'kirhero_header_transparent_font_color', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('header-transparent-font-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_header_transparent_font_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_header_transparent_font_color', array(
					'label'	   				=> esc_html__( 'Transparent Font Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_header_general',
					'settings' 				=> 'kirhero_header_transparent_font_color',
					'priority' 				=> 6,
					'active_callback'             => 'kirhero_has_header_transparent_hp',
				) ) );
			}

			
			/**
			 * Header Transparent HomePage
			 */
			$wp_customize->add_setting( 'kirhero_header_transparent_hp', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('header-transparent-hp'),
				'sanitize_callback' 	=> 'kirhero_sanitize_checkbox',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_header_transparent_hp' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_header_transparent_hp', array(
					'label'	   				=> esc_html__( 'Transparent Header on Homepage', 'orionwp' ),
					'type' 					=> 'checkbox',
					'section'  				=> 'kirhero_admin_header_general',
					'settings' 				=> 'kirhero_header_transparent_hp',
					'priority' 				=> 4,
					//'active_callback'             => 'kirhero_has_wide_layout',
				) ) );
			}
			
			/**
			 * Header Full Width
			 */
			$wp_customize->add_setting( 'kirhero_header_full_width', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('header-full-width'),
				'sanitize_callback' 	=> 'kirhero_sanitize_checkbox',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_header_full_width' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_header_full_width', array(
					'label'	   				=> esc_html__( 'Full Width Header', 'orionwp' ),
					'type' 					=> 'checkbox',
					'section'  				=> 'kirhero_admin_header_general',
					'settings' 				=> 'kirhero_header_full_width',
					'priority' 				=> 4,
					//'active_callback'             => 'kirhero_has_wide_layout',
				) ) );
			}
			/**
			 * Header Fixed
			 */
			$wp_customize->add_setting( 'kirhero_header_fixed', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('header-fixed'),
				'sanitize_callback' 	=> 'kirhero_sanitize_checkbox',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_header_fixed' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_header_fixed', array(
					'label'	   				=> esc_html__( 'Fixed Header', 'orionwp' ),
					'type' 					=> 'checkbox',
					'section'  				=> 'kirhero_admin_header_general',
					'settings' 				=> 'kirhero_header_fixed',
					'priority' 				=> 5,
				) ) );
			}
			
			/**
			 * Header Full Width
			 */
			$wp_customize->add_setting( 'kirhero_header_drop_shadow', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('header-drop-shadow'),
				'sanitize_callback' 	=> 'kirhero_sanitize_checkbox',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_header_drop_shadow' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_header_drop_shadow', array(
					'label'	   				=> esc_html__( 'Drop Shadow', 'orionwp' ),
					'type' 					=> 'checkbox',
					'section'  				=> 'kirhero_admin_header_general',
					'settings' 				=> 'kirhero_header_drop_shadow',
					'priority' 				=> 5,
					'active_callback'             => 'kirhero_has_wide_layout',
				) ) );
			}
			
			/**
			 * Header header padding
			 */
			$wp_customize->add_setting( 'kirhero_header_padding_header', array(
				'sanitize_callback' 	=> 'wp_kses',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_header_padding_header' ) )
			{
				$wp_customize->add_control( new Kirhero_Header_Customizer_Control( $wp_customize, 'kirhero_header_padding_header', array(
					'label'    				=> esc_html__( 'Header Padding', 'orionwp' ),
					'section'  				=> 'kirhero_admin_header_general',
					'priority' 				=> 6,
				) ) );
			}
			
			/**
			 * Header padding
			 */
			 //left
			$wp_customize->add_setting( 'kirhero_header_padding_left', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('header-padding-left'),
				'sanitize_callback' 	=> 'wp_kses_post',
			) );

			$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_header_padding_left', array(
				'label'	   				=> esc_html__( 'Header : padding-left', 'orionwp' ),
				'description'	   		=> esc_html__( 'Add Header padding-left (px - em - %).', 'orionwp' ),
				'type' 					=> 'text',
				'section'  				=> 'kirhero_admin_header_general',
				'settings' 				=> 'kirhero_header_padding_left',
				'priority' 				=> 9,
			) ) );
			//right
			$wp_customize->add_setting( 'kirhero_header_padding_right', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('header-padding-right'),
				'sanitize_callback' 	=> 'wp_kses_post',
			) );
			
			$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_header_padding_right', array(
				'label'	   				=> esc_html__( 'Header : padding-right', 'orionwp' ),
				'description'	   		=> esc_html__( 'Add Header padding-tight (px - em - %).', 'orionwp' ),
				'type' 					=> 'text',
				'section'  				=> 'kirhero_admin_header_general',
				'settings' 				=> 'kirhero_header_padding_right',
				'priority' 				=> 10,
			) ) );
			//top
			$wp_customize->add_setting( 'kirhero_header_padding_top', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('header-padding-top'),
				'sanitize_callback' 	=> 'wp_kses_post',
			) );

			$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_header_padding_top', array(
				'label'	   				=> esc_html__( 'Header : padding-top', 'orionwp' ),
				'description'	   		=> esc_html__( 'Add Header padding-top (px - em - %).', 'orionwp' ),
				'type' 					=> 'text',
				'section'  				=> 'kirhero_admin_header_general',
				'settings' 				=> 'kirhero_header_padding_top',
				'priority' 				=> 7,
			) ) );
			//bottom
			$wp_customize->add_setting( 'kirhero_header_padding_bottom', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('header-padding-bottom'),
				'sanitize_callback' 	=> 'wp_kses_post',
			) );

			$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_header_padding_bottom', array(
				'label'	   				=> esc_html__( 'Header : padding-bottom', 'orionwp' ),
				'description'	   		=> esc_html__( 'Add Header padding-bottom (px - em - %).', 'orionwp' ),
				'type' 					=> 'text',
				'section'  				=> 'kirhero_admin_header_general',
				'settings' 				=> 'kirhero_header_padding_bottom',
				'priority' 				=> 8,
			) ) );
			
			
			/**
			 * Header header margin
			 */
			$wp_customize->add_setting( 'kirhero_header_margin_header', array(
				'sanitize_callback' 	=> 'wp_kses',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_header_margin_header' ) )
			{
				$wp_customize->add_control( new Kirhero_Header_Customizer_Control( $wp_customize, 'kirhero_header_margin_header', array(
					'label'    				=> esc_html__( 'Header margin', 'orionwp' ),
					'section'  				=> 'kirhero_admin_header_general',
					'priority' 				=> 11,
				) ) );
			}
			/**
			 * Header margin
			 */
			 //left
			$wp_customize->add_setting( 'kirhero_header_margin_left', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('header-margin-left'),
				'sanitize_callback' 	=> 'wp_kses_post',
			) );

			$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_header_margin_left', array(
				'label'	   				=> esc_html__( 'Header : margin-left', 'orionwp' ),
				'description'	   		=> esc_html__( 'Add Header margin-left (px - em - %).', 'orionwp' ),
				'type' 					=> 'text',
				'section'  				=> 'kirhero_admin_header_general',
				'settings' 				=> 'kirhero_header_margin_left',
				'priority' 				=> 14,
			) ) );
			//right
			$wp_customize->add_setting( 'kirhero_header_margin_right', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('header-margin-right'),
				'sanitize_callback' 	=> 'wp_kses_post',
			) );
			
			$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_header_margin_right', array(
				'label'	   				=> esc_html__( 'Header : margin-right', 'orionwp' ),
				'description'	   		=> esc_html__( 'Add Header margin-tight (px - em - %).', 'orionwp' ),
				'type' 					=> 'text',
				'section'  				=> 'kirhero_admin_header_general',
				'settings' 				=> 'kirhero_header_margin_right',
				'priority' 				=> 15,
			) ) );
			//top
			$wp_customize->add_setting( 'kirhero_header_margin_top', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('header-margin-top'),
				'sanitize_callback' 	=> 'wp_kses_post',
			) );

			$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_header_margin_top', array(
				'label'	   				=> esc_html__( 'Header : margin-top', 'orionwp' ),
				'description'	   		=> esc_html__( 'Add Header margin-top (px - em - %).', 'orionwp' ),
				'type' 					=> 'text',
				'section'  				=> 'kirhero_admin_header_general',
				'settings' 				=> 'kirhero_header_margin_top',
				'priority' 				=> 12,
			) ) );
			//bottom
			$wp_customize->add_setting( 'kirhero_header_margin_bottom', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('header-margin-bottom'),
				'sanitize_callback' 	=> 'wp_kses_post',
			) );

			$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_header_margin_bottom', array(
				'label'	   				=> esc_html__( 'Header : margin-bottom', 'orionwp' ),
				'description'	   		=> esc_html__( 'Add Header margin-bottom (px - em - %).', 'orionwp' ),
				'type' 					=> 'text',
				'section'  				=> 'kirhero_admin_header_general',
				'settings' 				=> 'kirhero_header_margin_bottom',
				'priority' 				=> 13,
			) ) );			
		
			
			//Menu section
			
			/**
			 * Section
			 */
			 
			if( self::kirhero_admin_functions( 'kirhero_admin_header_menu_general' ) )
			{ 
				$wp_customize->add_section( 'kirhero_admin_header_menu_general' , array(
					'title' 			=> esc_html__( 'Menu Settings', 'orionwp' ),
					'priority' 			=> 2,
					'panel' 			=> 'kirhero_admin_header_panel',
				) );
			}
			
			/**
			 * Menu Background Color
			 */
			$wp_customize->add_setting( 'kirhero_header_menu_background', array(
				'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('header-menu-background-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_header_menu_background' ) )
			{ 
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_header_menu_background', array(
					'label'	   				=> esc_html__( 'Background Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_header_menu_general',
					'settings' 				=> 'kirhero_header_menu_background',
					'priority' 				=> 1,
				) ) );
			}
			
			/**
			 * Menu Position
			 */
			$wp_customize->add_setting( 'kirhero_header_menu_position', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('header-menu-position'),
				'sanitize_callback' 	=> 'kirhero_sanitize_select',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_header_menu_position' ) )
			{ 
				$wp_customize->add_control( new Kirhero_Buttongroup_Customizer_Control( $wp_customize, 'kirhero_header_menu_position', array(
					'label'	   				=> esc_html__( 'Menu Position', 'orionwp' ),
					'section'  				=> 'kirhero_admin_header_menu_general',
					'settings' 				=> 'kirhero_header_menu_position',
					'priority' 				=> 5,
					'choices' 				=> array(
						'left' 	=> esc_html__( 'Left', 'orionwp' ),
						//'center' 	=> esc_html__( 'Center', 'orionwp' ),
						'right' 	=> esc_html__( 'Right', 'orionwp' ),
					),
					
				) ) );
			}
			
			/**
			 * Menu link Color
			 */
			$wp_customize->add_setting( 'kirhero_header_menu_link_color', array(
				'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('header-menu-link-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_header_menu_link_color' ) )
			{ 
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_header_menu_link_color', array(
					'label'	   				=> esc_html__( 'Link Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_header_menu_general',
					'settings' 				=> 'kirhero_header_menu_link_color',
					'priority' 				=> 1,
				) ) );
			}
			
			/**
			 * Menu link:active Color
			 */
			$wp_customize->add_setting( 'kirhero_header_menu_link_active_color', array(

				'default'           	=> kirhero_get_default_theme_settings('header-menu-link-active-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_header_menu_link_active_color' ) )
			{ 
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_header_menu_link_active_color', array(
					'label'	   				=> esc_html__( 'Link Color: Current Menu Item', 'orionwp' ),
					'section'  				=> 'kirhero_admin_header_menu_general',
					'settings' 				=> 'kirhero_header_menu_link_active_color',
					'priority' 				=> 2,
				) ) );
			}
			
			/**
			 * Menu link:hover Color
			 */
			$wp_customize->add_setting( 'kirhero_header_menu_link_hover_color', array(

				'default'           	=> kirhero_get_default_theme_settings('header-menu-link-hover-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_header_menu_link_hover_color' ) )
			{ 
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_header_menu_link_hover_color', array(
					'label'	   				=> esc_html__( 'Link Color :hover', 'orionwp' ),
					'section'  				=> 'kirhero_admin_header_menu_general',
					'settings' 				=> 'kirhero_header_menu_link_hover_color',
					'priority' 				=> 2,
				) ) );
			}
			
			/**
			 * Menu link color effect
			 */
			$wp_customize->add_setting( 'kirhero_header_menu_link_color_effect', array(

				'default'           	=> kirhero_get_default_theme_settings('header-menu-link-color-effect'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_header_menu_link_color_effect' ) )
			{ 
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_header_menu_link_color_effect', array(
					'label'	   				=> esc_html__( 'Links Effect Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_header_menu_general',
					'settings' 				=> 'kirhero_header_menu_link_color_effect',
					'priority' 				=> 3,
				) ) );
			}
			
			/**
			 * Header header search
			 */
			$wp_customize->add_setting( 'kirhero_header_search_header', array(
				'sanitize_callback' 	=> 'wp_kses',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_header_search_header' ) )
			{ 
				$wp_customize->add_control( new Kirhero_Header_Customizer_Control( $wp_customize, 'kirhero_header_search_header', array(
					'label'    				=> esc_html__( 'Search Form', 'orionwp' ),
					'section'  				=> 'kirhero_admin_header_menu_general',
					'priority' 				=> 20,
				) ) );
			}
			
			/**
			 * Show search form
			 */
			 
			$wp_customize->add_setting( 'kirhero_header_search_header_show', array(
				'default'           	=> kirhero_get_default_theme_settings('header-menu-search-show'),
				'sanitize_callback' 	=> 'kirhero_sanitize_checkbox',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_header_search_header_show' ) )
			{ 
				$wp_customize->add_control('kirhero_header_search_header_show', array(
					'label'			=> esc_html__( 'Show Search Form', 'orionwp' ),
					'section'  				=> 'kirhero_admin_header_menu_general',
					'settings' 				=> 'kirhero_header_search_header_show',
					'priority' 				=> 21,
					'type'       => 'checkbox',	
				    ) );
			}
			
			/**
			 * Header header padding / margin 
			 */
			$wp_customize->add_setting( 'kirhero_header_padding_margin', array(
				'sanitize_callback' 	=> 'wp_kses',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_header_padding_margin' ) )
			{
				$wp_customize->add_control( new Kirhero_Header_Customizer_Control( $wp_customize, 'kirhero_header_padding_margin', array(
					'label'    				=> esc_html__( 'Menu Margin / Padding', 'orionwp' ),
					'section'  				=> 'kirhero_admin_header_menu_general',
					'priority' 				=> 30,
				) ) );
			}
			
			/**
			 * Header Menu Padding / Margin
			 */
			$wp_customize->add_setting( 'kirhero_header_menu_padding_top', array(

				'default'           	=> kirhero_get_default_theme_settings('header-menu-padding-top'),
				'sanitize_callback' 	=> 'kirhero_sanitize_number',
			) );
			
			$wp_customize->add_setting( 'kirhero_header_menu_padding_right', array(

				'default'           	=> kirhero_get_default_theme_settings('header-menu-padding-right'),
				'sanitize_callback' 	=> 'kirhero_sanitize_number',
			) );
			
			$wp_customize->add_setting( 'kirhero_header_menu_padding_bottom', array(

				'default'           	=> kirhero_get_default_theme_settings('header-menu-padding-bottom'),
				'sanitize_callback' 	=> 'kirhero_sanitize_number',
			) );


			$wp_customize->add_setting( 'kirhero_header_menu_padding_left', array(

				'default'           	=> kirhero_get_default_theme_settings('header-menu-padding-left'),
				'sanitize_callback' 	=> 'kirhero_sanitize_number',
			) );

			if( self::kirhero_admin_functions( 'kirhero_header_menu_pad_mar' ) )
			{
				$wp_customize->add_control( new Kirhero_Dimensions_Customizer_Control( $wp_customize, 'kirhero_header_menu_pad_mar', array(
					'label'	   				=> esc_html__( 'Padding (px)', 'orionwp' ),
					'section'  				=> 'kirhero_admin_header_menu_general',				
					'settings'   => array(					
			            'desktop_top' 		=> 'kirhero_header_menu_padding_top',
			            'desktop_right' 	=> 'kirhero_header_menu_padding_right',
			            'desktop_bottom' 	=> 'kirhero_header_menu_padding_bottom',
			            'desktop_left' 		=> 'kirhero_header_menu_padding_left',
					),
					'priority' 				=> 31,
				    'input_attrs' 			=> array(
				        'min'   => 0,
				        'max'   => 100,
				        'step'  => 1,
				    ),
				) ) );
			}
			
			//Title / Logo section
			
			/**
			 * Section
			 */
			 			
			$wp_customize->add_section( 'kirhero_admin_header_logo' , array(
				'title' 			=> esc_html__( 'Logo / Title Settings', 'orionwp' ),
				'priority' 			=> 3,
				'panel' 			=> 'kirhero_admin_header_panel',
			) );
			
			
			
						
			/**
			 * Logo Height
			 */
			$wp_customize->add_setting( 'kirhero_admin_header_logo_width', array(
	
				'default'           	=> kirhero_get_default_theme_settings('header-logo-width'),
				'sanitize_callback' 	=> 'kirhero_sanitize_number',
				'transport' 			=> 'postMessage',

			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_header_logo_width' ) )
			{
				$wp_customize->add_control( new Kirhero_Range_Customize_Control( $wp_customize, 'kirhero_admin_header_logo_width', array(
					'label'	   				=> esc_html__( 'Logo Width (px)', 'orionwp' ),
					'section'  				=> 'kirhero_admin_header_logo',
					'settings' 				=> 'kirhero_admin_header_logo_width',
					'priority' 				=> 2,
					'active_callback' 		=> 'kirhero_has_logo',
				    'input_attrs' 			=> array(
				        'min'   => 1,
				        'max'   => 500,
				        'step'  => 1,
				    ),
				) ) );
			}

			
						
			/**
			 * Logo Height
			 */
			$wp_customize->add_setting( 'kirhero_admin_header_logo_height', array(
	
				'default'           	=> kirhero_get_default_theme_settings('header-logo-height'),
				'sanitize_callback' 	=> 'kirhero_sanitize_number',
				'transport' 			=> 'postMessage',

			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_header_logo_height' ) )
			{
				$wp_customize->add_control( new Kirhero_Range_Customize_Control( $wp_customize, 'kirhero_admin_header_logo_height', array(
					'label'	   				=> esc_html__( 'Logo Height (px)', 'orionwp' ),
					'section'  				=> 'kirhero_admin_header_logo',
					'settings' 				=> 'kirhero_admin_header_logo_height',
					'priority' 				=> 3,
					'active_callback' 		=> 'kirhero_has_logo',
				    'input_attrs' 			=> array(
				        'min'   => 1,
				        'max'   => 500,
				        'step'  => 1,
				    ),
				) ) );
			}
			
			
			/**
			 * Show Tagline
			 */
			 
			$wp_customize->add_setting( 'kirhero_admin_header_logo_show_tagline', array(
				'default'           	=> kirhero_get_default_theme_settings('header-logo-tagline-show'),
				'sanitize_callback' 	=> 'kirhero_sanitize_checkbox',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_header_logo_show_tagline' ) )
			{
				$wp_customize->add_control('kirhero_admin_header_logo_show_tagline', array(
					'label'			=> esc_html__( 'Show Tagline', 'orionwp' ),
					'section'  				=> 'kirhero_admin_header_logo',
					'settings' 				=> 'kirhero_admin_header_logo_show_tagline',
					'priority' 				=> 4,
					'type'       => 'checkbox',	
				    ) );
			}
			
			/**
			 * Show Title
			 */
			 
			$wp_customize->add_setting( 'kirhero_admin_header_logo_show_title', array(
				'default'           	=> kirhero_get_default_theme_settings('header-logo-title-show'),
				'sanitize_callback' 	=> 'kirhero_sanitize_checkbox',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_header_logo_show_title' ) )
			{
				$wp_customize->add_control('kirhero_admin_header_logo_show_title', array(
					'label'			=> esc_html__( 'Show Title', 'orionwp' ),
					'section'  				=> 'kirhero_admin_header_logo',
					'settings' 				=> 'kirhero_admin_header_logo_show_title',
					'priority' 				=> 3,
					'type'       => 'checkbox',	
				    ) );
			}


			/**
			 * Logo Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_header_logo_color', array(
				'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('header-logo-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_header_logo_color' ) )
			{ 
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_header_logo_color', array(
					'label'	   				=> esc_html__( 'Link Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_header_logo',
					'settings' 				=> 'kirhero_admin_header_logo_color',
					'priority' 				=> 10,
				) ) );
			}
			
			/**
			 * Logo Color :hover
			 */
			$wp_customize->add_setting( 'kirhero_admin_header_logo_color_hover', array(
				'default'           	=> kirhero_get_default_theme_settings('header-logo-color-hover'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_header_logo_color_hover' ) )
			{ 
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_header_logo_color_hover', array(
					'label'	   				=> esc_html__( 'Link Color :hover', 'orionwp' ),
					'section'  				=> 'kirhero_admin_header_logo',
					'settings' 				=> 'kirhero_admin_header_logo_color_hover',
					'priority' 				=> 11,
				) ) );
			}
			
			/**
			 * Tagline Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_header_tagline_color', array(
				'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('header-tagline-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_header_tagline_color' ) )
			{ 
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_header_tagline_color', array(
					'label'	   				=> esc_html__( 'Tagline Link Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_header_logo',
					'settings' 				=> 'kirhero_admin_header_tagline_color',
					'priority' 				=> 12,
				) ) );
			}
			
			/**
			 * Header Menu Padding / Margin
			 */
			$wp_customize->add_setting( 'kirhero_header_menu_logo_padding_top', array(

				'default'           	=> kirhero_get_default_theme_settings('header-menu-logo-padding-top'),
				'sanitize_callback' 	=> 'kirhero_sanitize_number',
			) );
			
			$wp_customize->add_setting( 'kirhero_header_menu_logo_padding_right', array(

				'default'           	=> kirhero_get_default_theme_settings('header-menu-logo-padding-right'),
				'sanitize_callback' 	=> 'kirhero_sanitize_number',
			) );
			
			$wp_customize->add_setting( 'kirhero_header_menu_logo_padding_bottom', array(

				'default'           	=> kirhero_get_default_theme_settings('header-menu-logo-padding-bottom'),
				'sanitize_callback' 	=> 'kirhero_sanitize_number',
			) );


			$wp_customize->add_setting( 'kirhero_header_menu_logo_padding_left', array(

				'default'           	=> kirhero_get_default_theme_settings('header-menu-logo-padding-left'),
				'sanitize_callback' 	=> 'kirhero_sanitize_number',
			) );

			if( self::kirhero_admin_functions( 'kirhero_header_menu_logo_pad_mar' ) )
			{
				$wp_customize->add_control( new Kirhero_Dimensions_Customizer_Control( $wp_customize, 'kirhero_header_menu_logo_pad_mar', array(
					'label'	   				=> esc_html__( 'Logo Padding (px)', 'orionwp' ),
					'section'  				=> 'kirhero_admin_header_logo',				
					'settings'   => array(					
			            'desktop_top' 		=> 'kirhero_header_menu_logo_padding_top',
			            'desktop_right' 	=> 'kirhero_header_menu_logo_padding_right',
			            'desktop_bottom' 	=> 'kirhero_header_menu_logo_padding_bottom',
			            'desktop_left' 		=> 'kirhero_header_menu_logo_padding_left',
					),
					'priority' 				=> 5,
				    'input_attrs' 			=> array(
				        'min'   => 0,
				        'max'   => 100,
				        'step'  => 1,
				    ),
				) ) );
			}
			

			
			/**
			 * Header header dropdown menu
			 */
			$wp_customize->add_setting( 'kirhero_admin_header_dropdown_menu_header', array(
				'sanitize_callback' 	=> 'wp_kses',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_header_dropdown_menu_header' ) )
			{ 
				$wp_customize->add_control( new Kirhero_Header_Customizer_Control( $wp_customize, 'kirhero_admin_header_dropdown_menu_header', array(
					'label'    				=> esc_html__( 'Dropdown Menu', 'orionwp' ),
					'section'  				=> 'kirhero_admin_header_menu_general',
					'priority' 				=> 40,
				) ) );
			}
			
			/**
			 * Menu Dropdown Menu background
			 */
			$wp_customize->add_setting( 'kirhero_admin_header_dropdown_menu_background', array(

				'default'           	=> kirhero_get_default_theme_settings('header-menu-dropdown-menu-background'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
				'transport' 			=> 'postMessage',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_header_dropdown_menu_background' ) )
			{ 
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_header_dropdown_menu_background', array(
					'label'	   				=> esc_html__( 'Background Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_header_menu_general',
					'settings' 				=> 'kirhero_admin_header_dropdown_menu_background',
					'priority' 				=> 41,
				) ) );
			}
			
			/**
			 * Menu Dropdown Menu link color
			 */
			$wp_customize->add_setting( 'kirhero_admin_header_dropdown_menu_link_color', array(

				'default'           	=> kirhero_get_default_theme_settings('header-menu-dropdown-menu-link-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
				'transport' 			=> 'postMessage',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_header_dropdown_menu_link_color' ) )
			{ 
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_header_dropdown_menu_link_color', array(
					'label'	   				=> esc_html__( 'Link Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_header_menu_general',
					'settings' 				=> 'kirhero_admin_header_dropdown_menu_link_color',
					'priority' 				=> 42,
				) ) );
			}
			
			/**
			 * Menu Dropdown Menu link color :hover
			 */
			$wp_customize->add_setting( 'kirhero_admin_header_dropdown_menu_link_color_hover', array(

				'default'           	=> kirhero_get_default_theme_settings('header-menu-dropdown-menu-link-color-hover'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_header_dropdown_menu_link_color_hover' ) )
			{ 
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_header_dropdown_menu_link_color_hover', array(
					'label'	   				=> esc_html__( 'Link Color :hover', 'orionwp' ),
					'section'  				=> 'kirhero_admin_header_menu_general',
					'settings' 				=> 'kirhero_admin_header_dropdown_menu_link_color_hover',
					'priority' 				=> 43,
				) ) );
			}

		}
		
		
		//FrontPage 
		public static function kirhero_frontpage( $wp_customize )
		{
			
			/**
			 * Panel
			 */
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_panel' ) )
			{
				$wp_customize->add_panel( 'kirhero_admin_frontpage_panel' , array(
					'title' 			=> esc_html__( 'Frontpage Settings', 'orionwp' ),
					'priority' 			=> 21,
				) );
			}
			
			/**
			 * Section
			 */
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_section' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_frontpage_section' , array(
					'title' 			=> esc_html__( 'General Settings', 'orionwp' ),
					'priority' 			=> 1,
					'panel' 			=> 'kirhero_admin_frontpage_panel',
				) );
			}
			
			
			/**
			 * Frontpage href color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_href_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-link-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_href_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_href_color', array(
					'label'	   				=> esc_html__( 'Link Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_section',
					'settings' 				=> 'kirhero_admin_frontpage_href_color',
					'priority' 				=> 1,
				) ) );
			}
			
			/**
			 * Frontpage href color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_href_color_hover', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-link-color-hover'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_href_color_hover' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_href_color_hover', array(
					'label'	   				=> esc_html__( 'Link Color :hover', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_section',
					'settings' 				=> 'kirhero_admin_frontpage_href_color_hover',
					'priority' 				=> 1,
				) ) );
			}
			
		
			/**
			 * Frontpage Elements Positioning
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_elements_positioning', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-elements-positioning'),
				'sanitize_callback' 	=> 'kirhero_sanitize_multi_choices',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_elements_positioning' ) )
			{
				$wp_customize->add_control( new Kirhero_Sortable_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_elements_positioning', array(
					'label'	   				=> esc_html__( 'Frontpage Elements Positioning', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_section',
					'settings' 				=> 'kirhero_admin_frontpage_elements_positioning',
					'priority' 				=> 1,
					'choices' 				=> kirhero_frontpage_elements(),
					//'description'      => 'You can show / hide and change elements position, drag elements. For activate frontpage you must active static frotpage in customizer  Homepage Settings > choose  A static page and chose your homepage.',
				) ) );
			}
			
			
			/**
			 * Section slide_title
			 */
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_slide_title_section' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_frontpage_slide_title_section' , array(
					'title' 			=> esc_html__( 'Slide / Title Section Settings', 'orionwp' ),
					'priority' 			=> 2,
					'panel' 			=> 'kirhero_admin_frontpage_panel',
					//'description'      => 'You can show / hide and change elements position in Frontpage General Settings',
				) );
			}
			
			
			/**
			 * frontpage_slide switcher
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_slide_title_switch', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-slide-title-switch'),
				'sanitize_callback' 	=> 'kirhero_sanitize_select',
			) );
			
			$wp_customize->selective_refresh->add_partial( 'kirhero_admin_frontpage_slide_title_switch', array(
			    'selector' => '.frontpage-slide-title',
			    'render_callback' => 'kirhero_admin_frontpage_slide_title_section',
			) );

			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_slide_title_switch' ) )
			{ 
				$wp_customize->add_control( new Kirhero_Buttongroup_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_slide_title_switch', array(
					'label'	   				=> esc_html__( 'Background', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_slide_title_section',
					'settings' 				=> 'kirhero_admin_frontpage_slide_title_switch',
					'priority' 				=> 1,
					'choices' 				=> array(
						'image' 	=> esc_html__( 'Image', 'orionwp' ),
						'color' 	=> esc_html__( 'Color', 'orionwp' ),
					),
					
				) ) );
			}
			
			/**
			 * frontpage_slide Background Image
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_slide_title_image', array(
				'sanitize_callback' 	=> 'kirhero_sanitize_image',
				'default' => kirhero_get_default_theme_settings( 'frontpage-slide-title-background-image' ),
				
			) );
			
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_slide_title_image' ) )
			{
				$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'kirhero_admin_frontpage_slide_title_image', array(
					'label'	   				=> esc_html__( 'Background Image', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_slide_title_section',
					'priority' 				=> 10,
					'active_callback'             => 'kirhero_cac_has_frontpage_slide_switch_image',
				) ) );
			}
			
			/**
			 * frontpage_slide Background Image Position
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_slide_title_image_position', array(
				'default' 				=> kirhero_get_default_theme_settings( 'frontpage-slide-title-background-image-position' ),
				'sanitize_callback' 	=> 'sanitize_text_field',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_slide_title_image_position' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_frontpage_slide_title_image_position', array(
							'label'	   				=> esc_html__( 'Background Position', 'orionwp' ),
							'type' 					=> 'select',
							'section'  				=> 'kirhero_admin_frontpage_slide_title_section',
							'priority' 				=> 11,
							'settings'				=> 'kirhero_admin_frontpage_slide_title_image_position',
							'active_callback' 		=> 'kirhero_cac_has_frontpage_slide_title_image',
							'choices' 				=> array(
								'initial' 			=> esc_html__( 'Default', 'orionwp' ),
								'top left' 			=> esc_html__( 'Top Left', 'orionwp' ),
								'top center' 		=> esc_html__( 'Top Center', 'orionwp' ),
								'top right'  		=> esc_html__( 'Top Right', 'orionwp' ),
								'center left' 		=> esc_html__( 'Center Left', 'orionwp' ),
								'center center' 	=> esc_html__( 'Center Center', 'orionwp' ),
								'center right' 		=> esc_html__( 'Center Right', 'orionwp' ),
								'bottom left' 		=> esc_html__( 'Bottom Left', 'orionwp' ),
								'bottom center' 	=> esc_html__( 'Bottom Center', 'orionwp' ),
								'bottom right' 		=> esc_html__( 'Bottom Right', 'orionwp' ),
							),
						) ) );
			}
	
			/**
			 * frontpage_slide Background Image Attachment
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_slide_title_image_attachment', array(
				'default' 				=> kirhero_get_default_theme_settings( 'frontpage-slide-title-background-image-attachment' ),
				'sanitize_callback' 	=> 'kirhero_sanitize_select',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_slide_title_image_attachment' ) )
			{

				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_frontpage_slide_title_image_attachment', array(
					'label'	   				=> esc_html__( 'Background Attachment', 'orionwp' ),
					'type' 					=> 'select',
					'section'  				=> 'kirhero_admin_frontpage_slide_title_section',
					'settings'				=> 'kirhero_admin_frontpage_slide_title_image_attachment',
					'priority' 				=> 12,
					'active_callback' 		=> 'kirhero_cac_has_frontpage_slide_title_image',
					'choices' 				=> array(
						'initial' 	=> esc_html__( 'Default', 'orionwp' ),
						'scroll' 	=> esc_html__( 'Scroll', 'orionwp' ),
						'fixed' 	=> esc_html__( 'Fixed', 'orionwp' ),
					),
				) ) );
			}
			
			/**
			 * frontpage_slide Image Size
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_slide_title_image_size', array(
				'default'           	=> kirhero_get_default_theme_settings( 'frontpage-slide-title-background-image-size' ),
				'sanitize_callback' 	=> 'kirhero_sanitize_select',
			) );

			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_slide_title_image_size' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_frontpage_slide_title_image_size', array(
					'label'	   				=> esc_html__( 'Slider Size', 'orionwp' ),
					'type' 					=> 'select',
					'section'  				=> 'kirhero_admin_frontpage_slide_title_section',
					'settings' 				=> 'kirhero_admin_frontpage_slide_title_image_size',
					'priority' 				=> 14,
					'choices' 				=> array(
						'small'     => esc_html__( 'Small', 'orionwp' ),
						'medium'        => esc_html__( 'Medium', 'orionwp' ),
						'large'         => esc_html__( 'Large', 'orionwp' ),

					),
				) ) );
			}
			
			
			/**
			 * frontpage_slide Background Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_slide_title_background_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-slide-title-background-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_slide_title_background_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_slide_title_background_color', array(
					'label'	   				=> esc_html__( 'Background Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_slide_title_section',
					'settings' 				=> 'kirhero_admin_frontpage_slide_title_background_color',
					'priority' 				=> 13,
					'active_callback'             => 'kirhero_cac_has_frontpage_slide_switch_color',
				) ) );
			}
			
			/**
			 * frontpage_slide Background Color liner
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_slide_title_background_color_liner', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-slide-title-background-color-liner'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_slide_title_background_color_liner' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_slide_title_background_color_liner', array(
					'label'	   				=> esc_html__( 'Background Color ( linear-gradient )', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_slide_title_section',
					'settings' 				=> 'kirhero_admin_frontpage_slide_title_background_color_liner',
					'priority' 				=> 13,
					'active_callback'             => 'kirhero_cac_has_frontpage_slide_switch_color',
				) ) );
			}
			
			/**
			 * frontpage_slide text Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_slide_title_text_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-slide-title-text-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_slide_title_text_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_slide_title_text_color', array(
					'label'	   				=> esc_html__( 'Text Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_slide_title_section',
					'settings' 				=> 'kirhero_admin_frontpage_slide_title_text_color',
					'priority' 				=> 14,
				) ) );
			}
			
			/**
			 * Header header frontpage_slide
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_slide_title_header', array(
				'sanitize_callback' 	=> 'wp_kses',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_slide_title_header' ) )
			{ 
				$wp_customize->add_control( new Kirhero_Header_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_slide_title_header', array(
					'label'    				=> esc_html__( 'Content', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_slide_title_section',
					'priority' 				=> 20,
				) ) );
			}
			
			/**
			 * frontpage_slide title
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_slide_title_title', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('frontpage-slide-title-title'),
				'sanitize_callback' 	=> 'wp_kses_post',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_slide_title_title' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_frontpage_slide_title_title', array(
					'label'	   				=> esc_html__( 'Title', 'orionwp' ),
					'type' 					=> 'text',
					'section'  				=> 'kirhero_admin_frontpage_slide_title_section',
					'settings' 				=> 'kirhero_admin_frontpage_slide_title_title',
					'priority' 				=> 22,
					//'active_callback'                    =>  'kirhero_cac_has_slider_background_image',
				) ) );
			}
			
			/**
			 * frontpage_slide text
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_slide_title_text', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('frontpage-slide-title-text'),
				'sanitize_callback' 	=> 'wp_kses_post',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_slide_title_text' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_frontpage_slide_title_text', array(
					'label'	   				=> esc_html__( 'Text', 'orionwp' ),
					'type' 					=> 'text',
					'section'  				=> 'kirhero_admin_frontpage_slide_title_section',
					'settings' 				=> 'kirhero_admin_frontpage_slide_title_text',
					'priority' 				=> 23,
					//'active_callback'                    =>  'kirhero_cac_has_slider_background_image',
				) ) );
			}
			
			/**
			 * frontpage_slide button text
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_slide_title_button_text', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('frontpage-slide-title-button-text'),
				'sanitize_callback' 	=> 'wp_kses_post',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_slide_title_button_text' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_frontpage_slide_title_button_text', array(
					'label'	   				=> esc_html__( 'Button Text', 'orionwp' ),
					'type' 					=> 'text',
					'section'  				=> 'kirhero_admin_frontpage_slide_title_section',
					'settings' 				=> 'kirhero_admin_frontpage_slide_title_button_text',
					'priority' 				=> 24,
					//'active_callback'                    =>  'kirhero_cac_has_slider_background_image',
				) ) );
			}
			
			/**
			 * frontpage_slide button url
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_slide_title_button_url', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('frontpage-slide-title-button-url'),
				'sanitize_callback' 	=> 'wp_kses_post',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_slide_title_button_url' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_frontpage_slide_title_button_url', array(
					'label'	   				=> esc_html__( 'Button URL', 'orionwp' ),
					'type' 					=> 'text',
					'section'  				=> 'kirhero_admin_frontpage_slide_title_section',
					'settings' 				=> 'kirhero_admin_frontpage_slide_title_button_url',
					'priority' 				=> 24,
					//'active_callback'                    =>  'kirhero_cac_has_slider_background_image',
				) ) );
			}
			
			
			/**
			 * Header header frontpage_slide
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_slide_title_header_btn', array(
				'sanitize_callback' 	=> 'wp_kses',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_slide_title_header_btn' ) )
			{ 
				$wp_customize->add_control( new Kirhero_Header_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_slide_title_header_btn', array(
					'label'    				=> esc_html__( 'Button', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_slide_title_section',
					'priority' 				=> 40,
				) ) );
			}
			
			/**
			 * frontpage_slide btn Background-Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_slide_title_btn_background_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-slide-title-btn-background-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_slide_title_btn_background_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_slide_title_btn_background_color', array(
					'label'	   				=> esc_html__( 'Button Background Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_slide_title_section',
					'settings' 				=> 'kirhero_admin_frontpage_slide_title_btn_background_color',
					'priority' 				=> 41,
				) ) );
			}
			
			/**
			 * frontpage_slide btn text Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_slide_title_btn_text_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-slide-title-btn-text-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_slide_title_btn_text_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_slide_title_btn_text_color', array(
					'label'	   				=> esc_html__( 'Button Text Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_slide_title_section',
					'settings' 				=> 'kirhero_admin_frontpage_slide_title_btn_text_color',
					'priority' 				=> 41,
				) ) );
			}
			
			/**
			 * frontpage_slide btn text Color hover
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_slide_title_btn_text_color_hover', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-slide-title-btn-text-color-hover'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_slide_title_btn_text_color_hover' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_slide_title_btn_text_color_hover', array(
					'label'	   				=> esc_html__( 'Button Text Color :hover', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_slide_title_section',
					'settings' 				=> 'kirhero_admin_frontpage_slide_title_btn_text_color_hover',
					'priority' 				=> 41,
				) ) );
			}
			
			/**
			 * frontpage_slide btn radius
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_slide_title_btn_border_radius', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('frontpage-slide-title-btn-border-radius'),
				'sanitize_callback' 	=> 'absint',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_slide_title_btn_border_radius' ) )
			{	
				$wp_customize->add_control( new Kirhero_Range_Customize_Control( $wp_customize, 'kirhero_admin_frontpage_slide_title_btn_border_radius', array(
					'label'	   				=> esc_html__( 'Border Radius', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_slide_title_section',
					'settings' 				=> 'kirhero_admin_frontpage_slide_title_btn_border_radius',
					'priority' 				=> 41,
				    'input_attrs' 			=> array(
				        'min'   => 0,
				        'max'   => 60,
				        'step'  => 1,
				    ),
				) ) );
			}

			
			
			/**
			 * Section about_content
			 */
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_about_content_section' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_frontpage_about_content_section' , array(
					'title' 			=> esc_html__( 'About / Content Section Settings', 'orionwp' ),
					'priority' 			=> 3,
					'panel' 			=> 'kirhero_admin_frontpage_panel',
					//'description'      => 'You can show / hide and change elements position in Frontpage General Settings',
				) );
			}
			
			
			/**
			 * about_content Layout Style
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_about_content_layout_style', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-about-layout-style'),
				'sanitize_callback' 	=> 'kirhero_sanitize_select',
			) );
			
			$wp_customize->selective_refresh->add_partial( 'kirhero_admin_frontpage_about_content_layout_style', array(
			    'selector' => '.frontpage-content',
			    'render_callback' => 'kirhero_admin_frontpage_about_content_section',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_about_content_layout_style' ) )
			{ 
				$wp_customize->add_control( new Kirhero_Buttongroup_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_about_content_layout_style', array(
					'label'	   				=> esc_html__( 'Section Layout', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_about_content_section',
					'settings' 				=> 'kirhero_admin_frontpage_about_content_layout_style',
					'priority' 				=> 1,
					'choices' 				=> array(
						'wide' 	=> esc_html__( 'Wide', 'orionwp' ),
						'boxed' 	=> esc_html__( 'Boxed', 'orionwp' ),
					),
					
				) ) );
			}
			
			
			/**
			 * about_content Background Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_about_content_background_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-about-background-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_about_content_background_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_about_content_background_color', array(
					'label'	   				=> esc_html__( 'Background Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_about_content_section',
					'settings' 				=> 'kirhero_admin_frontpage_about_content_background_color',
					'priority' 				=> 3,
				) ) );
			}
			
			/**
			 * about_content Text Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_about_content_text_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-about-text-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_about_content_text_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_about_content_text_color', array(
					'label'	   				=> esc_html__( 'Font Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_about_content_section',
					'settings' 				=> 'kirhero_admin_frontpage_about_content_text_color',
					'priority' 				=> 3,
				) ) );
			}
			
			/**
			 * about_content link Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_about_content_link_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-about-link-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_about_content_link_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_about_content_link_color', array(
					'label'	   				=> esc_html__( 'Link Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_about_content_section',
					'settings' 				=> 'kirhero_admin_frontpage_about_content_link_color',
					'priority' 				=> 3,
				) ) );
			}
			
			/**
			 * about_content link Color hover
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_about_content_link_color_hover', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-about-link-color-hover'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_about_content_link_color_hover' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_about_content_link_color_hover', array(
					'label'	   				=> esc_html__( 'Link Color :hover', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_about_content_section',
					'settings' 				=> 'kirhero_admin_frontpage_about_content_link_color_hover',
					'priority' 				=> 3,
				) ) );
			}
			
			
			/**
			 * about_content Padding 
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_about_padding_top', array(

				'default'           	=> kirhero_get_default_theme_settings('frontpage-about-padding-top'),
				'sanitize_callback' 	=> 'kirhero_sanitize_number',
			) );
			
			$wp_customize->add_setting( 'kirhero_admin_frontpage_about_padding_right', array(

				'default'           	=> kirhero_get_default_theme_settings('frontpage-about-padding-right'),
				'sanitize_callback' 	=> 'kirhero_sanitize_number',
			) );
			
			$wp_customize->add_setting( 'kirhero_admin_frontpage_about_padding_bottom', array(

				'default'           	=> kirhero_get_default_theme_settings('frontpage-about-padding-bottom'),
				'sanitize_callback' 	=> 'kirhero_sanitize_number',
			) );


			$wp_customize->add_setting( 'kirhero_admin_frontpage_about_padding_left', array(

				'default'           	=> kirhero_get_default_theme_settings('frontpage-about-padding-left'),
				'sanitize_callback' 	=> 'kirhero_sanitize_number',
			) );

			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_about_pad' ) )
			{
				$wp_customize->add_control( new Kirhero_Dimensions_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_about_pad', array(
					'label'	   				=> esc_html__( 'Padding (px)', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_about_content_section',				
					'settings'   => array(					
			            'desktop_top' 		=> 'kirhero_admin_frontpage_about_padding_top',
			            'desktop_right' 	=> 'kirhero_admin_frontpage_about_padding_right',
			            'desktop_bottom' 	=> 'kirhero_admin_frontpage_about_padding_bottom',
			            'desktop_left' 		=> 'kirhero_admin_frontpage_about_padding_left',
					),
					'priority' 				=> 31,
				    'input_attrs' 			=> array(
				        'min'   => 0,
				        'max'   => 100,
				        'step'  => 1,
				    ),
				) ) );
			}
			
			
			
			/**
			 * Section team
			 */
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_team_section' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_frontpage_team_section' , array(
					'title' 			=> esc_html__( 'Team Section Settings', 'orionwp' ),
					'priority' 			=> 5,
					'panel' 			=> 'kirhero_admin_frontpage_panel',
					//'description'      => 'You can show / hide and change elements position in Frontpage General Settings',
				) );
			}
			
			
			/**
			 * frontpage_tean text
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_team_section_title_text', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('frontpage-team-title-text'),
				'sanitize_callback' 	=> 'wp_kses_post',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_team_section_title_text' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_frontpage_team_section_title_text', array(
					'label'	   				=> esc_html__( 'Title', 'orionwp' ),
					'type' 					=> 'text',
					'section'  				=> 'kirhero_admin_frontpage_team_section',
					'settings' 				=> 'kirhero_admin_frontpage_team_section_title_text',
					'priority' 				=> 10,
					//'active_callback'                    =>  'kirhero_cac_has_slider_background_image',
				) ) );
			}
			
			/**
			 * frontpage_team text
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_team_section_text', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('frontpage-team-text'),
				'sanitize_callback' 	=> 'wp_kses_post',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_team_section_text' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_frontpage_team_section_text', array(
					'label'	   				=> esc_html__( 'Text', 'orionwp' ),
					'type' 					=> 'text',
					'section'  				=> 'kirhero_admin_frontpage_team_section',
					'settings' 				=> 'kirhero_admin_frontpage_team_section_text',
					'priority' 				=> 11,
					//'active_callback'                    =>  'kirhero_cac_has_slider_background_image',
				) ) );
			}
			
			/**
			 * frontpage_team Background Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_team_section_background_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-team-background-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_team_section_background_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_team_section_background_color', array(
					'label'	   				=> esc_html__( 'Background Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_team_section',
					'settings' 				=> 'kirhero_admin_frontpage_team_section_background_color',
					'priority' 				=> 12,
				) ) );
			}
			
			/**
			 * frontpage_team Title Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_team_section_title_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-team-title-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_team_section_title_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_team_section_title_color', array(
					'label'	   				=> esc_html__( 'Title Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_team_section',
					'settings' 				=> 'kirhero_admin_frontpage_team_section_title_color',
					'priority' 				=> 12,
				) ) );
			}
			
			/**
			 * frontpage_team Text Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_team_section_text_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-team-text-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_team_section_text_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_team_section_text_color', array(
					'label'	   				=> esc_html__( 'Text Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_team_section',
					'settings' 				=> 'kirhero_admin_frontpage_team_section_text_color',
					'priority' 				=> 12,
				) ) );
			}
			
			
			/**
			 * frontpage_team Link Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_team_section_link_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-team-link-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_team_section_link_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_team_section_link_color', array(
					'label'	   				=> esc_html__( 'Link Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_team_section',
					'settings' 				=> 'kirhero_admin_frontpage_team_section_link_color',
					'priority' 				=> 12,
				) ) );
			}
			
			/**
			 * frontpage_team Link Color hover
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_team_section_link_color_hover', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-team-link-color-hover'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_team_section_link_color_hover' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_team_section_link_color_hover', array(
					'label'	   				=> esc_html__( 'Link Color :hover', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_team_section',
					'settings' 				=> 'kirhero_admin_frontpage_team_section_link_color_hover',
					'priority' 				=> 12,
				) ) );
			}
			
			
			
			/**
			 * frontpage_team Items per row
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_team_section_items_count', array(
				'default'           	=> kirhero_get_default_theme_settings( 'frontpage-team-items-count' ),
				'sanitize_callback' 	=> 'kirhero_sanitize_select',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_team_section_items_count' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_frontpage_team_section_items_count', array(
					'label'	   				=> esc_html__( 'Items per row', 'orionwp' ),
					'type' 					=> 'select',
					'section'  				=> 'kirhero_admin_frontpage_team_section',
					'settings' 				=> 'kirhero_admin_frontpage_team_section_items_count',
					'priority' 				=> 13,
					'choices' 				=> array(
						'2' => '2',
						'3' => '3',
						'4' => '4'
					),
				) ) );
			}
			
			/**
			 * frontpage_team member
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_team_section_team_content', array(
				'default'           	=> kirhero_get_default_theme_settings( 'frontpage-team-items-array' ),
				'sanitize_callback' 	=> 'customizer_repeater_sanitize',
			) );
			
			$wp_customize->selective_refresh->add_partial( 'kirhero_admin_frontpage_team_section_title_text', array(
			    'selector' => '.fp_team_wrap',
			    'render_callback' => 'kirhero_admin_frontpage_team_section',
			) );
		      
		     
		     if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_team_section_team_content' ) )
			{ 
			     $wp_customize->add_control( new Kirhero_Repeater_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_team_section_team_content', array(
						'label'   => esc_html__('Team Content','orionwp'),
						'item_name'   => esc_html__('Team Member','orionwp'),
						'section' => 'kirhero_admin_frontpage_team_section',
						'settings' => 'kirhero_admin_frontpage_team_section_team_content',
						'priority' => 14,
						
						'customizer_repeater_image_control' => true,
						'customizer_repeater_title_control' => true,
						'customizer_repeater_subtitle_control' => true,
						'customizer_repeater_text_control' => true,
						'customizer_repeater_link_control' => true,
						'customizer_repeater_repeater_control' => true
				) ) );
			}
			
			
			/**
			 * Section blog
			 */
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_blog_section' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_frontpage_blog_section' , array(
					'title' 			=> esc_html__( 'Blog Section Settings', 'orionwp' ),
					'priority' 			=> 5,
					'panel' 			=> 'kirhero_admin_frontpage_panel',
					//'description'      => 'You can show / hide and change elements position in Frontpage General Settings',
				) );
			}
			
			
			/**
			 * frontpage_blog title
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_blog_section_title_text', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('frontpage-blog-title-text'),
				'sanitize_callback' 	=> 'wp_kses_post',
			) );
			
			$wp_customize->selective_refresh->add_partial( 'kirhero_admin_frontpage_blog_section_title_text', array(
			    'selector' => '.frontpage-blog',
			    'render_callback' => 'kirhero_admin_frontpage_blog_section',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_blog_section_title_text' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_frontpage_blog_section_title_text', array(
					'label'	   				=> esc_html__( 'Title', 'orionwp' ),
					'type' 					=> 'text',
					'section'  				=> 'kirhero_admin_frontpage_blog_section',
					'settings' 				=> 'kirhero_admin_frontpage_blog_section_title_text',
					'priority' 				=> 10,
					//'active_callback'                    =>  'kirhero_cac_has_slider_background_image',
				) ) );
			}
			
			/**
			 * frontpage_blog text
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_blog_section_text', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('frontpage-blog-text'),
				'sanitize_callback' 	=> 'wp_kses_post',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_blog_section_text' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_frontpage_blog_section_text', array(
					'label'	   				=> esc_html__( 'Text', 'orionwp' ),
					'type' 					=> 'text',
					'section'  				=> 'kirhero_admin_frontpage_blog_section',
					'settings' 				=> 'kirhero_admin_frontpage_blog_section_text',
					'priority' 				=> 11,
					//'active_callback'                    =>  'kirhero_cac_has_slider_background_image',
				) ) );
			}			
			
			/**
			 * frontpage_team Background Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_blog_section_background_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-blog-background-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_blog_section_background_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_blog_section_background_color', array(
					'label'	   				=> esc_html__( 'Background Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_blog_section',
					'settings' 				=> 'kirhero_admin_frontpage_blog_section_background_color',
					'priority' 				=> 12,
				) ) );
			}
			
			/**
			 * frontpage_team Title Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_blog_section_title_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-blog-title-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_blog_section_title_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_blog_section_title_color', array(
					'label'	   				=> esc_html__( 'Title Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_blog_section',
					'settings' 				=> 'kirhero_admin_frontpage_blog_section_title_color',
					'priority' 				=> 12,
				) ) );
			}
			
			/**
			 * frontpage_team Text Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_blog_section_text_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-blog-text-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_blog_section_text_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_blog_section_text_color', array(
					'label'	   				=> esc_html__( 'Text Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_blog_section',
					'settings' 				=> 'kirhero_admin_frontpage_blog_section_text_color',
					'priority' 				=> 12,
				) ) );
			}
			
			
			/**
			 * frontpage_team Link Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_blog_section_link_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-blog-link-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_blog_section_link_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_blog_section_link_color', array(
					'label'	   				=> esc_html__( 'Link Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_blog_section',
					'settings' 				=> 'kirhero_admin_frontpage_blog_section_link_color',
					'priority' 				=> 12,
				) ) );
			}
			
			/**
			 * frontpage_team Link Color hover
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_blog_section_link_color_hover', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-blog-link-color-hover'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_blog_section_link_color_hover' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_blog_section_link_color_hover', array(
					'label'	   				=> esc_html__( 'Link Color :hover', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_blog_section',
					'settings' 				=> 'kirhero_admin_frontpage_blog_section_link_color_hover',
					'priority' 				=> 12,
				) ) );
			}
			
			
			
			/**
			 * frontpage_team Items
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_blog_section_items', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('frontpage-blog-items'),
				'sanitize_callback' 	=> 'absint',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_blog_section_items' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_frontpage_blog_section_items', array(
					'label'	   				=> esc_html__( 'Number of Items', 'orionwp' ),
					'type' 					=> 'number',
					'input_attrs' 			=> array(
						        'min'   => 1,
						        'step'  => 1,
						    ),
					'section'  				=> 'kirhero_admin_frontpage_blog_section',
					'settings' 				=> 'kirhero_admin_frontpage_blog_section_items',
					'priority' 				=> 15,
				) ) );
			}
			
			
			
				
			/**
			 * Section features
			 */
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_features_section' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_frontpage_features_section' , array(
					'title' 			=> esc_html__( 'Features Section Settings', 'orionwp' ),
					'priority' 			=> 5,
					'panel' 			=> 'kirhero_admin_frontpage_panel',
					//'description'      => 'You can show / hide and change elements position in Frontpage General Settings',
				) );
			}
			
			
			/**
			 * frontpage_tean text
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_features_section_title_text', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('frontpage-features-title-text'),
				'sanitize_callback' 	=> 'wp_kses_post',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_features_section_title_text' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_frontpage_features_section_title_text', array(
					'label'	   				=> esc_html__( 'Title', 'orionwp' ),
					'type' 					=> 'text',
					'section'  				=> 'kirhero_admin_frontpage_features_section',
					'settings' 				=> 'kirhero_admin_frontpage_features_section_title_text',
					'priority' 				=> 10,
					//'active_callback'                    =>  'kirhero_cac_has_slider_background_image',
				) ) );
			}
			
			/**
			 * frontpage_team text
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_features_section_text', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('frontpage-features-text'),
				'sanitize_callback' 	=> 'wp_kses_post',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_features_section_text' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_frontpage_features_section_text', array(
					'label'	   				=> esc_html__( 'Text', 'orionwp' ),
					'type' 					=> 'text',
					'section'  				=> 'kirhero_admin_frontpage_features_section',
					'settings' 				=> 'kirhero_admin_frontpage_features_section_text',
					'priority' 				=> 11,
					//'active_callback'                    =>  'kirhero_cac_has_slider_background_image',
				) ) );
			}
			
			/**
			 * frontpage_team Background Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_features_section_background_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-features-background-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_features_section_background_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_features_section_background_color', array(
					'label'	   				=> esc_html__( 'Background Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_features_section',
					'settings' 				=> 'kirhero_admin_frontpage_features_section_background_color',
					'priority' 				=> 12,
				) ) );
			}
			
			/**
			 * frontpage_team Background Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_features_section_background_color_liner', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-features-background-color-liner'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_features_section_background_color_liner' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_features_section_background_color_liner', array(
					'label'	   				=> esc_html__( 'Background Color ( linear-gradient )', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_features_section',
					'settings' 				=> 'kirhero_admin_frontpage_features_section_background_color_liner',
					'priority' 				=> 12,
				) ) );
			}
			
			/**
			 * frontpage_team Title Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_features_section_title_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-features-title-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_features_section_title_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_features_section_title_color', array(
					'label'	   				=> esc_html__( 'Title Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_features_section',
					'settings' 				=> 'kirhero_admin_frontpage_features_section_title_color',
					'priority' 				=> 12,
				) ) );
			}
			
			/**
			 * frontpage_team Text Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_features_section_text_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-features-text-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_features_section_text_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_features_section_text_color', array(
					'label'	   				=> esc_html__( 'Text Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_features_section',
					'settings' 				=> 'kirhero_admin_frontpage_features_section_text_color',
					'priority' 				=> 12,
				) ) );
			}
			
			
			
			/**
			 * frontpage_team Items per row
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_features_section_items_count', array(
				'default'           	=> kirhero_get_default_theme_settings( 'frontpage-features-items-count' ),
				'sanitize_callback' 	=> 'kirhero_sanitize_select',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_features_section_items_count' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_frontpage_features_section_items_count', array(
					'label'	   				=> esc_html__( 'Items per row', 'orionwp' ),
					'type' 					=> 'select',
					'section'  				=> 'kirhero_admin_frontpage_features_section',
					'settings' 				=> 'kirhero_admin_frontpage_features_section_items_count',
					'priority' 				=> 13,
					'choices' 				=> array(
						'2' => '2',
						'3' => '3',
						'4' => '4'
					),
				) ) );
			}
			
			/**
			 * frontpage_team member
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_features_section_content', array(
				'default'           	=> kirhero_get_default_theme_settings( 'frontpage-features-items-array' ),
				'sanitize_callback' 	=> 'customizer_repeater_sanitize',
			) );
			
			$wp_customize->selective_refresh->add_partial( 'kirhero_admin_frontpage_features_section_title_text', array(
			    'selector' => '.fp_features_wrap',
			    'render_callback' => 'kirhero_admin_frontpage_features_section',
			) );
		      
		     
		     if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_features_section_content' ) )
			{ 
			     $wp_customize->add_control( new Kirhero_Repeater_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_features_section_content', array(
						'label'   => esc_html__('Features Content','orionwp'),
						'item_name'   => esc_html__('Feature','orionwp'),
						'section' => 'kirhero_admin_frontpage_features_section',
						'settings' => 'kirhero_admin_frontpage_features_section_content',
						'priority' => 14,
						
						'customizer_repeater_icon_control' => true,
						'customizer_repeater_color_control' => true,
						'customizer_repeater_title_control' => true,
						'customizer_repeater_text_control' => true,
						'customizer_repeater_link_control' => true,
				) ) );
			}
			
			
			/**
			 * Section action
			 */
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_action_section' ) )
			{
				$wp_customize->add_section( 'kirhero_admin_frontpage_action_section' , array(
					'title' 			=> esc_html__( 'Action Section Settings', 'orionwp' ),
					'priority' 			=> 5,
					'panel' 			=> 'kirhero_admin_frontpage_panel',
					//'description'      => 'You can show / hide and change elements position in Frontpage General Settings',
				) );
			}
			
			/**
			 * frontpage_tean text
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_action_section_title_text', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('frontpage-action-title-text'),
				'sanitize_callback' 	=> 'wp_kses_post',
			) );
			
			$wp_customize->selective_refresh->add_partial( 'kirhero_admin_frontpage_action_section_title_text', array(
			    'selector' => '.frontpage-action',
			    'render_callback' => 'kirhero_admin_frontpage_action_section',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_action_section_title_text' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_frontpage_action_section_title_text', array(
					'label'	   				=> esc_html__( 'Title', 'orionwp' ),
					'type' 					=> 'text',
					'section'  				=> 'kirhero_admin_frontpage_action_section',
					'settings' 				=> 'kirhero_admin_frontpage_action_section_title_text',
					'priority' 				=> 10,
					//'active_callback'                    =>  'kirhero_cac_has_slider_background_image',
				) ) );
			}
			
			/**
			 * frontpage_tean sub title
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_action_section_subtitle_text', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('frontpage-action-subtitle-text'),
				'sanitize_callback' 	=> 'wp_kses_post',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_action_section_subtitle_text' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_frontpage_action_section_subtitle_text', array(
					'label'	   				=> esc_html__( 'Sub Title', 'orionwp' ),
					'type' 					=> 'text',
					'section'  				=> 'kirhero_admin_frontpage_action_section',
					'settings' 				=> 'kirhero_admin_frontpage_action_section_subtitle_text',
					'priority' 				=> 10,
					//'active_callback'                    =>  'kirhero_cac_has_slider_background_image',
				) ) );
			}
			
			
						
			/**
			 * frontpage_action text
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_action_section_text', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('frontpage-action-text'),
				'sanitize_callback' 	=> 'wp_kses_post',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_action_section_text' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_frontpage_action_section_text', array(
					'label'	   				=> esc_html__( 'Text', 'orionwp' ),
					'type' 					=> 'text',
					'section'  				=> 'kirhero_admin_frontpage_action_section',
					'settings' 				=> 'kirhero_admin_frontpage_action_section_text',
					'priority' 				=> 11,
					//'active_callback'                    =>  'kirhero_cac_has_slider_background_image',
				) ) );
			}
			
			/**
			 * frontpage_action Background Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_action_section_background_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-action-background-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_action_section_background_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_action_section_background_color', array(
					'label'	   				=> esc_html__( 'Background Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_action_section',
					'settings' 				=> 'kirhero_admin_frontpage_action_section_background_color',
					'priority' 				=> 12,
				) ) );
			}
			
			/**
			 * frontpage_action 2nd Background Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_action_section_background_color_2', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-action-background-color-2'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_action_section_background_color_2' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_action_section_background_color_2', array(
					'label'	   				=> esc_html__( 'Background Color ( linear-gradient )', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_action_section',
					'settings' 				=> 'kirhero_admin_frontpage_action_section_background_color_2',
					'priority' 				=> 12,
				) ) );
			}
			
			/**
			 * frontpage_action title Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_action_section_title_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-action-title-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_action_section_title_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_action_section_title_color', array(
					'label'	   				=> esc_html__( 'Title Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_action_section',
					'settings' 				=> 'kirhero_admin_frontpage_action_section_title_color',
					'priority' 				=> 12,
				) ) );
			}
			
			/**
			 * frontpage_action text Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_action_section_text_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-action-text-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_action_section_text_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_action_section_text_color', array(
					'label'	   				=> esc_html__( 'Text Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_action_section',
					'settings' 				=> 'kirhero_admin_frontpage_action_section_text_color',
					'priority' 				=> 12,
				) ) );
			}
			
			/**
			 * frontpage_action button text
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_action_button_text', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('frontpage-action-button-text'),
				'sanitize_callback' 	=> 'wp_kses_post',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_action_button_text' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_frontpage_action_button_text', array(
					'label'	   				=> esc_html__( 'Button Text', 'orionwp' ),
					'type' 					=> 'text',
					'section'  				=> 'kirhero_admin_frontpage_action_section',
					'settings' 				=> 'kirhero_admin_frontpage_action_button_text',
					'priority' 				=> 11,
					//'active_callback'                    =>  'kirhero_cac_has_slider_background_image',
				) ) );
			}
			
			/**
			 * frontpage_action button link
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_action_button_link', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('frontpage-action-button-link'),
				'sanitize_callback' 	=> 'wp_kses_post',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_action_button_link' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_frontpage_action_button_link', array(
					'label'	   				=> esc_html__( 'Link', 'orionwp' ),
					'type' 					=> 'text',
					'section'  				=> 'kirhero_admin_frontpage_action_section',
					'settings' 				=> 'kirhero_admin_frontpage_action_button_link',
					'priority' 				=> 11,
					//'active_callback'                    =>  'kirhero_cac_has_slider_background_image',
				) ) );
			}
			
			
			
			/**
			 * Header header frontpage_action
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_action_header_btn', array(
				'sanitize_callback' 	=> 'wp_kses',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_action_header_btn' ) )
			{ 
				$wp_customize->add_control( new Kirhero_Header_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_action_header_btn', array(
					'label'    				=> esc_html__( 'Button', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_action_section',
					'priority' 				=> 40,
				) ) );
			}
			
			/**
			 * frontpage_slide btn Background-Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_action_btn_background_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-action-btn-background-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_action_btn_background_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_action_btn_background_color', array(
					'label'	   				=> esc_html__( 'Button Background Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_action_section',
					'settings' 				=> 'kirhero_admin_frontpage_action_btn_background_color',
					'priority' 				=> 41,
				) ) );
			}
			
			/**
			 * frontpage_slide btn text Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_action_btn_text_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-action-btn-text-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_action_btn_text_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_action_btn_text_color', array(
					'label'	   				=> esc_html__( 'Button Text Color', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_action_section',
					'settings' 				=> 'kirhero_admin_frontpage_action_btn_text_color',
					'priority' 				=> 41,
				) ) );
			}
			
			/**
			 * frontpage_slide btn text Color hover
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_action_btn_text_color_hover', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-action-btn-text-color-hover'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_action_btn_text_color_hover' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_action_btn_text_color_hover', array(
					'label'	   				=> esc_html__( 'Button Text Color :hover', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_action_section',
					'settings' 				=> 'kirhero_admin_frontpage_action_btn_text_color_hover',
					'priority' 				=> 41,
				) ) );
			}
			
			/**
			 * frontpage_slide btn radius
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_action_btn_border_radius', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('frontpage-action-btn-border-radius'),
				'sanitize_callback' 	=> 'absint',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_action_btn_border_radius' ) )
			{	
				$wp_customize->add_control( new Kirhero_Range_Customize_Control( $wp_customize, 'kirhero_admin_frontpage_action_btn_border_radius', array(
					'label'	   				=> esc_html__( 'Border Radius', 'orionwp' ),
					'section'  				=> 'kirhero_admin_frontpage_action_section',
					'settings' 				=> 'kirhero_admin_frontpage_action_btn_border_radius',
					'priority' 				=> 41,
				    'input_attrs' 			=> array(
				        'min'   => 0,
				        'max'   => 60,
				        'step'  => 1,
				    ),
				) ) );
			}
			
			
			/**
			 * Section subscribe
			 */
			
			//rename default var name 
			// sidebar-widgets-kirhero-subscribe-widgets = widget ID 
			$kirhero_admin_frontpage_subscribe_section = 'sidebar-widgets-kirhero-subscribe-widgets';
			 
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_subscribe_section' ) )
			{
				$wp_customize->add_section( $kirhero_admin_frontpage_subscribe_section , array(
					'title' 			=> esc_html__( 'Subscribe Section Settings', 'orionwp' ),
					'priority' 			=> 5,
					'panel' 			=> 'kirhero_admin_frontpage_panel',
					//'description'      => 'You can show / hide and change elements position in Frontpage General Settings',
				) );
			}
			
			/**
			 * frontpage_subscribe title
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_subscribe_section_title_text', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('frontpage-subscribe-title-text'),
				'sanitize_callback' 	=> 'wp_kses_post',
			) );
			
			$wp_customize->selective_refresh->add_partial( 'kirhero_admin_frontpage_subscribe_section_title_text', array(
			    'selector' => '.frontpage-subscribe',
			    'render_callback' => $kirhero_admin_frontpage_subscribe_section,
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_subscribe_section_title_text' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_frontpage_subscribe_section_title_text', array(
					'label'	   				=> esc_html__( 'Title', 'orionwp' ),
					'type' 					=> 'text',
					'section'  				=> $kirhero_admin_frontpage_subscribe_section,
					'settings' 				=> 'kirhero_admin_frontpage_subscribe_section_title_text',
					'priority' 				=> -1,
					//'active_callback'                    =>  'kirhero_cac_has_slider_background_image',
				) ) );
			}
						
			/**
			 * frontpage_subscribe text
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_subscribe_section_text', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('frontpage-subscribe-text'),
				'sanitize_callback' 	=> 'wp_kses_post',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_subscribe_section_text' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_frontpage_subscribe_section_text', array(
					'label'	   				=> esc_html__( 'Text', 'orionwp' ),
					'type' 					=> 'text',
					'section'  				=> $kirhero_admin_frontpage_subscribe_section,
					'settings' 				=> 'kirhero_admin_frontpage_subscribe_section_text',
					'priority' 				=> -1,
					//'active_callback'                    =>  'kirhero_cac_has_slider_background_image',
				) ) );
			}
			
			/**
			 * frontpage_subscribe swicher
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_subscribe_section_switch', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-subscribe-switch'),
				'sanitize_callback' 	=> 'kirhero_sanitize_select',
			) );

			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_subscribe_section_switch' ) )
			{ 
				$wp_customize->add_control( new Kirhero_Buttongroup_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_subscribe_section_switch', array(
					'label'	   				=> esc_html__( 'Background', 'orionwp' ),
					'section'  				=> $kirhero_admin_frontpage_subscribe_section,
					'settings' 				=> 'kirhero_admin_frontpage_subscribe_section_switch',
					'priority' 				=> -1,
					'choices' 				=> array(
						'image' 	=> esc_html__( 'Image', 'orionwp' ),
						'color' 	=> esc_html__( 'Color', 'orionwp' ),
					),
					
				) ) );
			}
			
			
			/**
			 * frontpage_subscribe Background Image
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_subscribe_image', array(
				'sanitize_callback' 	=> 'kirhero_sanitize_image',
				'default' => kirhero_get_default_theme_settings('frontpage-subscribe-image'),
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_subscribe_image' ) )
			{
				$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'kirhero_admin_frontpage_subscribe_image', array(
					'label'	   				=> esc_html__( 'Background Image', 'orionwp' ),
					'section'  				=> $kirhero_admin_frontpage_subscribe_section,
					'priority' 				=> -1,
					'transport'                   => 'refresh',
					'active_callback'             => 'kirhero_cac_has_frontpage_subscribe_switch_image',
				) ) );
			}
			
			/**
			 * frontpage_subscribe Background Image Attachment
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_subscribe_image_attachment', array(
				'default' 				=> kirhero_get_default_theme_settings('frontpage-subscribe-image-attachment'),
				'sanitize_callback' 	=> 'kirhero_sanitize_select',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_subscribe_image_attachment' ) )
			{

				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_frontpage_subscribe_image_attachment', array(
					'label'	   				=> esc_html__( 'Background Attachment', 'orionwp' ),
					'type' 					=> 'select',
					'section'  				=> $kirhero_admin_frontpage_subscribe_section,
					'settings'				=> 'kirhero_admin_frontpage_subscribe_image_attachment',
					'priority' 				=> -1,
					'active_callback' 		=> 'kirhero_cac_has_frontpage_subscribe_image',
					'choices' 				=> array(
						'initial' 	=> esc_html__( 'Default', 'orionwp' ),
						'scroll' 	=> esc_html__( 'Scroll', 'orionwp' ),
						'fixed' 	=> esc_html__( 'Fixed', 'orionwp' ),
					),
				) ) );
			}
			
			/**
			 * frontpage_subscribe Background Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_subscribe_section_background_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-subscribe-background-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_subscribe_section_background_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_subscribe_section_background_color', array(
					'label'	   				=> esc_html__( 'Background Color', 'orionwp' ),
					'section'  				=> $kirhero_admin_frontpage_subscribe_section,
					'settings' 				=> 'kirhero_admin_frontpage_subscribe_section_background_color',
					'priority' 				=> -1,
					'active_callback'             => 'kirhero_cac_has_frontpage_subscribe_switch_color',
				) ) );
			}
			
			/**
			 * frontpage_subscribe Background Color liner
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_subscribe_section_background_color_liner', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-subscribe-background-color-liner'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_subscribe_section_background_color_liner' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_subscribe_section_background_color_liner', array(
					'label'	   				=> esc_html__( 'Background Color ( linear-gradient )', 'orionwp' ),
					'section'  				=> $kirhero_admin_frontpage_subscribe_section,
					'settings' 				=> 'kirhero_admin_frontpage_subscribe_section_background_color_liner',
					'priority' 				=> -1,
					'active_callback'             => 'kirhero_cac_has_frontpage_subscribe_switch_color',
				) ) );
			}
			
			/**
			 * frontpage_subscribe title Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_subscribe_section_title_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-subscribe-title-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_subscribe_section_title_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_subscribe_section_title_color', array(
					'label'	   				=> esc_html__( 'Title Color', 'orionwp' ),
					'section'  				=> $kirhero_admin_frontpage_subscribe_section,
					'settings' 				=> 'kirhero_admin_frontpage_subscribe_section_title_color',
					'priority' 				=> -1,
				) ) );
			}
			
			/**
			 * frontpage_subscribe text Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_subscribe_section_text_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-subscribe-text-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_subscribe_section_text_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_subscribe_section_text_color', array(
					'label'	   				=> esc_html__( 'Text Color', 'orionwp' ),
					'section'  				=> $kirhero_admin_frontpage_subscribe_section,
					'settings' 				=> 'kirhero_admin_frontpage_subscribe_section_text_color',
					'priority' 				=> -1,
				) ) );
			}
			
			/**
			 * frontpage_subscribe Header
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_subscribe_section_header', array(
				'sanitize_callback' 	=> 'wp_kses',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_subscribe_section_header' ) )
			{
				$wp_customize->add_control( new Kirhero_Header_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_subscribe_section_header', array(
					'label'    				=> esc_html__( 'Widgets / Shortcode Section', 'orionwp' ),
					'section'  				=> $kirhero_admin_frontpage_subscribe_section,
					'priority' 				=> -1,
				) ) );
			}
			
			/**
			 * frontpage_subscribe widget Background Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_subscribe_widget_background_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-subscribe-widget-background-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_subscribe_widget_background_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_subscribe_widget_background_color', array(
					'label'	   				=> esc_html__( 'Background Color', 'orionwp' ),
					'section'  				=> $kirhero_admin_frontpage_subscribe_section,
					'settings' 				=> 'kirhero_admin_frontpage_subscribe_widget_background_color',
					'priority' 				=> -1,
				) ) );
			}
			
			/**
			 * frontpage_subscribe widget Text Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_subscribe_widget_text_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-subscribe-widget-text-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_subscribe_widget_text_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_subscribe_widget_text_color', array(
					'label'	   				=> esc_html__( 'Text Color', 'orionwp' ),
					'section'  				=> $kirhero_admin_frontpage_subscribe_section,
					'settings' 				=> 'kirhero_admin_frontpage_subscribe_widget_text_color',
					'priority' 				=> -1,
				) ) );
			}
			
			/**
			 * frontpage_subscribe widget link Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_subscribe_widget_link_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-subscribe-widget-link-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_subscribe_widget_link_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_subscribe_widget_link_color', array(
					'label'	   				=> esc_html__( 'Link Color', 'orionwp' ),
					'section'  				=> $kirhero_admin_frontpage_subscribe_section,
					'settings' 				=> 'kirhero_admin_frontpage_subscribe_widget_link_color',
					'priority' 				=> -1,
				) ) );
			}
			
			/**
			 * frontpage_subscribe widget Link Color hover
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_subscribe_widget_link_color_hover', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-subscribe-widget-link-color-hover'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_subscribe_widget_link_color_hover' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_subscribe_widget_link_color_hover', array(
					'label'	   				=> esc_html__( 'Link Color :hover', 'orionwp' ),
					'section'  				=> $kirhero_admin_frontpage_subscribe_section,
					'settings' 				=> 'kirhero_admin_frontpage_subscribe_widget_link_color_hover',
					'priority' 				=> -1,
				) ) );
			}

			
			
			/**
			 * frontpage_subscribe Widgets Width
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_subscribe_widget_size', array(
	
				'default'           	=> kirhero_get_default_theme_settings('frontpage-subscribe-widget-size'),
				'sanitize_callback' 	=> 'kirhero_sanitize_number',
				
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_subscribe_widget_size' ) )
			{
				$wp_customize->add_control( new Kirhero_Range_Customize_Control( $wp_customize, 'kirhero_admin_frontpage_subscribe_widget_size', array(
					'label'	   				=> esc_html__( 'Widgets Width (%)', 'orionwp' ),
					'section'  				=> $kirhero_admin_frontpage_subscribe_section,
					'settings' 				=> 'kirhero_admin_frontpage_subscribe_widget_size',
					'priority' 				=> -1,
				    'input_attrs' 			=> array(
				        'min'   => 20,
				        'max'   => 100,
				        'step'  => 1,
				    ),
				) ) );
			}
			
			/**
			 * frontpage_contact shortcode
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_subscribe_shortcode', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('frontpage-subscribe-shortcode'),
				'sanitize_callback' 	=> 'wp_kses_post',
			) );

			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_subscribe_shortcode' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_frontpage_subscribe_shortcode', array(
					'label'	   				=> esc_html__( 'Shortcode', 'orionwp' ),
					'type' 					=> 'text',
					'section'  				=> $kirhero_admin_frontpage_subscribe_section,
					'settings' 				=> 'kirhero_admin_frontpage_subscribe_shortcode',
					'priority' 				=> -1,
					//'active_callback'                    =>  'kirhero_cac_has_slider_background_image',
				) ) );
			}
			
			$wp_customize->add_setting( 'kirhero_admin_frontpage_subscribe_section_header_space2', array(
				'sanitize_callback' 	=> 'wp_kses',
			) );
			
			$wp_customize->add_control( new Kirhero_Header_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_subscribe_section_header_space2', array(
				'label'    				=> '',
				'section'  				=> $kirhero_admin_frontpage_subscribe_section,
				'priority' 				=> -1,
				'css_class'                  => 'kirhero-customizer-heading-space3',
			) ) );
			
			
			$wp_customize->add_setting( 'kirhero_admin_frontpage_subscribe_section_header_space', array(
				'sanitize_callback' 	=> 'wp_kses',
			) );
			
			$wp_customize->add_control( new Kirhero_Header_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_subscribe_section_header_space', array(
				'label'    				=> '',
				'section'  				=> $kirhero_admin_frontpage_subscribe_section,
				'priority' 				=> 100,
				'css_class'                  => 'kirhero-customizer-heading-space',
			) ) );
			
			
			/**
			 * Section contact
			 */
			
			//rename default var name 
			// sidebar-widgets-kirhero-subscribe-widgets = widget ID 
			$kirhero_admin_frontpage_contact_section = 'sidebar-widgets-kirhero-contact-widgets';
			 
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_contact_section' ) )
			{
				$wp_customize->add_section( $kirhero_admin_frontpage_contact_section , array(
					'title' 			=> esc_html__( 'Contact Section Settings', 'orionwp' ),
					'priority' 			=> 5,
					'panel' 			=> 'kirhero_admin_frontpage_panel',
					//'description'      => 'You can show / hide and change elements position in Frontpage General Settings',
				) );
			}
			
			/**
			 * frontpage_contact title
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_contact_section_title_text', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('frontpage-contact-title-text'),
				'sanitize_callback' 	=> 'wp_kses_post',
			) );
			
			$wp_customize->selective_refresh->add_partial( 'kirhero_admin_frontpage_contact_section_title_text', array(
			    'selector' => '.frontpage-contact',
			    'render_callback' => $kirhero_admin_frontpage_contact_section,
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_contact_section_title_text' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_frontpage_contact_section_title_text', array(
					'label'	   				=> esc_html__( 'Title', 'orionwp' ),
					'type' 					=> 'text',
					'section'  				=> $kirhero_admin_frontpage_contact_section,
					'settings' 				=> 'kirhero_admin_frontpage_contact_section_title_text',
					'priority' 				=> -1,
					//'active_callback'                    =>  'kirhero_cac_has_slider_background_image',
				) ) );
			}
						
			/**
			 * frontpage_contact text
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_contact_section_text', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('frontpage-contact-text'),
				'sanitize_callback' 	=> 'wp_kses_post',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_contact_section_text' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_frontpage_contact_section_text', array(
					'label'	   				=> esc_html__( 'Subtitle', 'orionwp' ),
					'type' 					=> 'text',
					'section'  				=> $kirhero_admin_frontpage_contact_section,
					'settings' 				=> 'kirhero_admin_frontpage_contact_section_text',
					'priority' 				=> -1,
					//'active_callback'                    =>  'kirhero_cac_has_slider_background_image',
				) ) );
			}
			
			/**
			 * frontpage_contact editor
			 */

			$wp_customize->add_setting( 'kirhero_admin_frontpage_contact_section_editor', array(
				'sanitize_callback' 	=> 'wp_kses_post',
				'default'               => kirhero_get_default_theme_settings('frontpage-contact-editor'),
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_contact_section_editor' ) )
			{
				$wp_customize->add_control( new Kirhero_Page_Editor_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_contact_section_editor', array(
					'label'    				=> esc_html__( 'Content Editor', 'orionwp' ),
					'section'  				=> $kirhero_admin_frontpage_contact_section,
					'priority' 				=> -1,
					'settings' 				=> 'kirhero_admin_frontpage_contact_section_editor',
				) ) );
			}
			
			/**
			 * frontpage_contact switcher
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_contact_switch', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-contact-switch'),
				'sanitize_callback' 	=> 'kirhero_sanitize_select',
			) );

			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_contact_switch' ) )
			{ 
				$wp_customize->add_control( new Kirhero_Buttongroup_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_contact_switch', array(
					'label'	   				=> esc_html__( 'Background', 'orionwp' ),
					'section'  				=> $kirhero_admin_frontpage_contact_section,
					'settings' 				=> 'kirhero_admin_frontpage_contact_switch',
					'priority' 				=> -1,
					'choices' 				=> array(
						'image' 	=> esc_html__( 'Image', 'orionwp' ),
						'color' 	=> esc_html__( 'Color', 'orionwp' ),
					),
					
				) ) );
			}
			
			
			/**
			 * frontpage_contact Background Image
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_contact_image', array(
				'sanitize_callback' 	=> 'kirhero_sanitize_image',
				'default' => kirhero_get_default_theme_settings('frontpage-contact-image'),
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_contact_image' ) )
			{
				$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'kirhero_admin_frontpage_contact_image', array(
					'label'	   				=> esc_html__( 'Background Image', 'orionwp' ),
					'section'  				=> $kirhero_admin_frontpage_contact_section,
					'priority' 				=> -1,
					'transport' => 'refresh',
					'active_callback'             => 'kirhero_cac_has_frontpage_contact_switch_image',
				) ) );
			}
			
			/**
			 * frontpage_contact Background Image Attachment
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_contact_image_attachment', array(
				'default' 				=> kirhero_get_default_theme_settings('frontpage-contact-image-attachment'),
				'sanitize_callback' 	=> 'kirhero_sanitize_select',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_contact_image_attachment' ) )
			{

				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_frontpage_contact_image_attachment', array(
					'label'	   				=> esc_html__( 'Background Attachment', 'orionwp' ),
					'type' 					=> 'select',
					'section'  				=> $kirhero_admin_frontpage_contact_section,
					'settings'				=> 'kirhero_admin_frontpage_contact_image_attachment',
					'priority' 				=> -1,
					'active_callback' 		=> 'kirhero_cac_has_frontpage_contact_image',
					'choices' 				=> array(
						'initial' 	=> esc_html__( 'Default', 'orionwp' ),
						'scroll' 	=> esc_html__( 'Scroll', 'orionwp' ),
						'fixed' 	=> esc_html__( 'Fixed', 'orionwp' ),
					),
				) ) );
			}
			
			/**
			 * frontpage_contact Background Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_contact_section_background_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-contact-background-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_contact_section_background_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_contact_section_background_color', array(
					'label'	   				=> esc_html__( 'Background Color', 'orionwp' ),
					'section'  				=> $kirhero_admin_frontpage_contact_section,
					'settings' 				=> 'kirhero_admin_frontpage_contact_section_background_color',
					'priority' 				=> -1,
					'active_callback'             => 'kirhero_cac_has_frontpage_contact_switch_color',
				) ) );
			}
			
			/**
			 * frontpage_contact Background Color liner
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_contact_section_background_color_liner', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-contact-background-color-liner'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_contact_section_background_color_liner' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_contact_section_background_color_liner', array(
					'label'	   				=> esc_html__( 'Background Color ( linear-gradient )', 'orionwp' ),
					'section'  				=> $kirhero_admin_frontpage_contact_section,
					'settings' 				=> 'kirhero_admin_frontpage_contact_section_background_color_liner',
					'priority' 				=> -1,
					'active_callback'             => 'kirhero_cac_has_frontpage_contact_switch_color',
				) ) );
			}
			
			/**
			 * frontpage_contact text Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_contact_section_text_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-contact-text-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_contact_section_text_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_contact_section_text_color', array(
					'label'	   				=> esc_html__( 'Text Color', 'orionwp' ),
					'section'  				=> $kirhero_admin_frontpage_contact_section,
					'settings' 				=> 'kirhero_admin_frontpage_contact_section_text_color',
					'priority' 				=> -1,
				) ) );
			}
			
			/**
			 * frontpage_contact link Color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_contact_section_link_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-contact-link-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_contact_section_link_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_contact_section_link_color', array(
					'label'	   				=> esc_html__( 'Link Color', 'orionwp' ),
					'section'  				=> $kirhero_admin_frontpage_contact_section,
					'settings' 				=> 'kirhero_admin_frontpage_contact_section_link_color',
					'priority' 				=> -1,
				) ) );
			}

			/**
			 * frontpage_contact link Color hover
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_contact_section_link_color_hover', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-contact-link-color-hover'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_contact_section_link_color_hover' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_contact_section_link_color_hover', array(
					'label'	   				=> esc_html__( 'Link Color :hover', 'orionwp' ),
					'section'  				=> $kirhero_admin_frontpage_contact_section,
					'settings' 				=> 'kirhero_admin_frontpage_contact_section_link_color_hover',
					'priority' 				=> -1,
				) ) );
			}

			
			
			/**
			 * frontpage_contact Header
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_contact_section_header', array(
				'sanitize_callback' 	=> 'wp_kses',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_contact_section_header' ) )
			{
				$wp_customize->add_control( new Kirhero_Header_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_contact_section_header', array(
					'label'    				=> esc_html__( 'Widgets / Shortcode Section', 'orionwp' ),
					'section'  				=> $kirhero_admin_frontpage_contact_section,
					'priority' 				=> -1,
				) ) );
			}
			
			/**
			 * frontpage_contact shortcode title
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_contact_section_shortcode_title', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('frontpage-contact-shortcode-title'),
				'sanitize_callback' 	=> 'wp_kses_post',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_contact_section_shortcode_title' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_frontpage_contact_section_shortcode_title', array(
					'label'	   				=> esc_html__( 'Title', 'orionwp' ),
					'type' 					=> 'text',
					'section'  				=> $kirhero_admin_frontpage_contact_section,
					'settings' 				=> 'kirhero_admin_frontpage_contact_section_shortcode_title',
					'priority' 				=> -1,
					//'active_callback'                    =>  'kirhero_cac_has_slider_background_image',
				) ) );
			}
			
			
			/**
			 * frontpage_contact shortcode background
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_contact_section_shortcode_background_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-contact-shortcode-background-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_contact_section_shortcode_background_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_contact_section_shortcode_background_color', array(
					'label'	   				=> esc_html__( 'Background Color', 'orionwp' ),
					'section'  				=> $kirhero_admin_frontpage_contact_section,
					'settings' 				=> 'kirhero_admin_frontpage_contact_section_shortcode_background_color',
					'priority' 				=> -1,
				) ) );
			}
			
			/**
			 * frontpage_contact shortcode text color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_contact_section_shortcode_text_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-contact-shortcode-text-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_contact_section_shortcode_text_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_contact_section_shortcode_text_color', array(
					'label'	   				=> esc_html__( 'Text Color', 'orionwp' ),
					'section'  				=> $kirhero_admin_frontpage_contact_section,
					'settings' 				=> 'kirhero_admin_frontpage_contact_section_shortcode_text_color',
					'priority' 				=> -1,
				) ) );
			}
			
			/**
			 * frontpage_contact shortcode link color
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_contact_section_shortcode_link_color', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-contact-shortcode-link-color'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_contact_section_shortcode_link_color' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_contact_section_shortcode_link_color', array(
					'label'	   				=> esc_html__( 'Link Color', 'orionwp' ),
					'section'  				=> $kirhero_admin_frontpage_contact_section,
					'settings' 				=> 'kirhero_admin_frontpage_contact_section_shortcode_link_color',
					'priority' 				=> -1,
				) ) );
			}
			
			/**
			 * frontpage_contact shortcode link color href
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_contact_section_shortcode_link_color_hover', array(
				'default'           	=> kirhero_get_default_theme_settings('frontpage-contact-shortcode-link-color-hover'),
				'sanitize_callback' 	=> 'kirhero_sanitize_color',
			) );
			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_contact_section_shortcode_link_color_hover' ) )
			{
				$wp_customize->add_control( new Kirhero_Color_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_contact_section_shortcode_link_color_hover', array(
					'label'	   				=> esc_html__( 'Link Color :hover', 'orionwp' ),
					'section'  				=> $kirhero_admin_frontpage_contact_section,
					'settings' 				=> 'kirhero_admin_frontpage_contact_section_shortcode_link_color_hover',
					'priority' 				=> -1,
				) ) );
			}
			
			
			/**
			 * frontpage_contact shortcode
			 */
			$wp_customize->add_setting( 'kirhero_admin_frontpage_contact_section_shortcode', array(
				//'transport' 			=> 'postMessage',
				'default'           	=> kirhero_get_default_theme_settings('frontpage-contact-shortcode'),
				'sanitize_callback' 	=> 'wp_kses_post',
			) );

			
			if( self::kirhero_admin_functions( 'kirhero_admin_frontpage_contact_section_shortcode' ) )
			{
				$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'kirhero_admin_frontpage_contact_section_shortcode', array(
					'label'	   				=> esc_html__( 'Shortcode', 'orionwp' ),
					'type' 					=> 'text',
					'section'  				=> $kirhero_admin_frontpage_contact_section,
					'settings' 				=> 'kirhero_admin_frontpage_contact_section_shortcode',
					'priority' 				=> -1,
					//'active_callback'                    =>  'kirhero_cac_has_slider_background_image',
				) ) );
			}
			
			/**
			 * frontpage_contact Header Space
			 */
			
			$wp_customize->add_setting( 'kirhero_admin_frontpage_contact_section_header_space2', array(
				'sanitize_callback' 	=> 'wp_kses',
			) );
			
			$wp_customize->add_control( new Kirhero_Header_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_contact_section_header_space2', array(
				'label'    				=> '',
				'section'  				=> $kirhero_admin_frontpage_contact_section,
				'priority' 				=> -1,
				'css_class'                  => 'kirhero-customizer-heading-space2',
			) ) );

			
			/**
			 * frontpage_contact Header Space
			 */
			
			$wp_customize->add_setting( 'kirhero_admin_frontpage_contact_section_header_space', array(
				'sanitize_callback' 	=> 'wp_kses',
			) );
			
			$wp_customize->add_control( new Kirhero_Header_Customizer_Control( $wp_customize, 'kirhero_admin_frontpage_contact_section_header_space', array(
				'label'    				=> '',
				'section'  				=> $kirhero_admin_frontpage_contact_section,
				'priority' 				=> 100,
				'css_class'                  => 'kirhero-customizer-heading-space',
			) ) );
			
						
			
			

				
					
		}
		
		
		
		
		
		
	}
	
$Kirhero_Customizer = new Kirhero_Customizer();

}
